import { keybindingLabelBackground, keybindingLabelBorder, keybindingLabelBottomBorder, keybindingLabelForeground, asCssValue, widgetShadow, buttonForeground, buttonSeparator, buttonBackground, buttonHoverBackground, buttonSecondaryForeground, buttonSecondaryBackground, buttonSecondaryHoverBackground, buttonBorder, progressBarBackground, inputActiveOptionBorder, inputActiveOptionForeground, inputActiveOptionBackground, editorWidgetBackground, editorWidgetForeground, contrastBorder, checkboxBorder, checkboxBackground, checkboxForeground, problemsErrorIconForeground, problemsWarningIconForeground, problemsInfoIconForeground, inputBackground, inputForeground, inputBorder, textLinkForeground, inputValidationInfoBorder, inputValidationInfoBackground, inputValidationInfoForeground, inputValidationWarningBorder, inputValidationWarningBackground, inputValidationWarningForeground, inputValidationErrorBorder, inputValidationErrorBackground, inputValidationErrorForeground, listFilterWidgetBackground, listFilterWidgetNoMatchesOutline, listFilterWidgetOutline, listFilterWidgetShadow } from '../common/colorRegistry.js';
export const defaultKeybindingLabelStyles = getKeybindingLabelStyles({});
export function getKeybindingLabelStyles(override) {
    var _a, _b, _c, _d, _e;
    return {
        keybindingLabelBackground: asCssValue((_a = override.keybindingLabelBackground) !== null && _a !== void 0 ? _a : keybindingLabelBackground),
        keybindingLabelForeground: asCssValue((_b = override.keybindingLabelForeground) !== null && _b !== void 0 ? _b : keybindingLabelForeground),
        keybindingLabelBorder: asCssValue((_c = override.keybindingLabelBorder) !== null && _c !== void 0 ? _c : keybindingLabelBorder),
        keybindingLabelBottomBorder: asCssValue((_d = override.keybindingLabelBottomBorder) !== null && _d !== void 0 ? _d : keybindingLabelBottomBorder),
        keybindingLabelShadow: asCssValue((_e = override.keybindingLabelShadow) !== null && _e !== void 0 ? _e : widgetShadow)
    };
}
export const defaultButtonStyles = getButtonStyles({});
export function getButtonStyles(override) {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    return {
        buttonForeground: asCssValue((_a = override.buttonForeground) !== null && _a !== void 0 ? _a : buttonForeground),
        buttonSeparator: asCssValue((_b = override.buttonSeparator) !== null && _b !== void 0 ? _b : buttonSeparator),
        buttonBackground: asCssValue((_c = override.buttonBackground) !== null && _c !== void 0 ? _c : buttonBackground),
        buttonHoverBackground: asCssValue((_d = override.buttonHoverBackground) !== null && _d !== void 0 ? _d : buttonHoverBackground),
        buttonSecondaryForeground: asCssValue((_e = override.buttonSecondaryForeground) !== null && _e !== void 0 ? _e : buttonSecondaryForeground),
        buttonSecondaryBackground: asCssValue((_f = override.buttonSecondaryBackground) !== null && _f !== void 0 ? _f : buttonSecondaryBackground),
        buttonSecondaryHoverBackground: asCssValue((_g = override.buttonSecondaryHoverBackground) !== null && _g !== void 0 ? _g : buttonSecondaryHoverBackground),
        buttonBorder: asCssValue((_h = override.buttonBorder) !== null && _h !== void 0 ? _h : buttonBorder),
    };
}
export const defaultProgressBarStyles = getProgressBarStyles({});
export function getProgressBarStyles(override) {
    var _a;
    return {
        progressBarBackground: asCssValue((_a = override.progressBarBackground) !== null && _a !== void 0 ? _a : progressBarBackground)
    };
}
export const defaultToggleStyles = getToggleStyles({});
export function getToggleStyles(override) {
    var _a, _b, _c;
    return {
        inputActiveOptionBorder: asCssValue((_a = override.inputActiveOptionBorder) !== null && _a !== void 0 ? _a : inputActiveOptionBorder),
        inputActiveOptionForeground: asCssValue((_b = override.inputActiveOptionForeground) !== null && _b !== void 0 ? _b : inputActiveOptionForeground),
        inputActiveOptionBackground: asCssValue((_c = override.inputActiveOptionBackground) !== null && _c !== void 0 ? _c : inputActiveOptionBackground)
    };
}
export const defaultCheckboxStyles = getCheckboxStyles({});
export function getCheckboxStyles(override) {
    var _a, _b, _c;
    return {
        checkboxBackground: asCssValue((_a = override.checkboxBackground) !== null && _a !== void 0 ? _a : checkboxBackground),
        checkboxBorder: asCssValue((_b = override.checkboxBorder) !== null && _b !== void 0 ? _b : checkboxBorder),
        checkboxForeground: asCssValue((_c = override.checkboxForeground) !== null && _c !== void 0 ? _c : checkboxForeground)
    };
}
export const defaultDialogStyles = getDialogStyle({});
export function getDialogStyle(override) {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    return {
        dialogBackground: asCssValue((_a = override.dialogBackground) !== null && _a !== void 0 ? _a : editorWidgetBackground),
        dialogForeground: asCssValue((_b = override.dialogForeground) !== null && _b !== void 0 ? _b : editorWidgetForeground),
        dialogShadow: asCssValue((_c = override.dialogShadow) !== null && _c !== void 0 ? _c : widgetShadow),
        dialogBorder: asCssValue((_d = override.dialogBorder) !== null && _d !== void 0 ? _d : contrastBorder),
        errorIconForeground: asCssValue((_e = override.errorIconForeground) !== null && _e !== void 0 ? _e : problemsErrorIconForeground),
        warningIconForeground: asCssValue((_f = override.warningIconForeground) !== null && _f !== void 0 ? _f : problemsWarningIconForeground),
        infoIconForeground: asCssValue((_g = override.infoIconForeground) !== null && _g !== void 0 ? _g : problemsInfoIconForeground),
        textLinkForeground: asCssValue((_h = override.textLinkForeground) !== null && _h !== void 0 ? _h : textLinkForeground)
    };
}
export const defaultInputBoxStyles = getInputBoxStyle({});
export function getInputBoxStyle(override) {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m;
    return {
        inputBackground: asCssValue((_a = override.inputBackground) !== null && _a !== void 0 ? _a : inputBackground),
        inputForeground: asCssValue((_b = override.inputForeground) !== null && _b !== void 0 ? _b : inputForeground),
        inputBorder: asCssValue((_c = override.inputBorder) !== null && _c !== void 0 ? _c : inputBorder),
        inputValidationInfoBorder: asCssValue((_d = override.inputValidationInfoBorder) !== null && _d !== void 0 ? _d : inputValidationInfoBorder),
        inputValidationInfoBackground: asCssValue((_e = override.inputValidationInfoBackground) !== null && _e !== void 0 ? _e : inputValidationInfoBackground),
        inputValidationInfoForeground: asCssValue((_f = override.inputValidationInfoForeground) !== null && _f !== void 0 ? _f : inputValidationInfoForeground),
        inputValidationWarningBorder: asCssValue((_g = override.inputValidationWarningBorder) !== null && _g !== void 0 ? _g : inputValidationWarningBorder),
        inputValidationWarningBackground: asCssValue((_h = override.inputValidationWarningBackground) !== null && _h !== void 0 ? _h : inputValidationWarningBackground),
        inputValidationWarningForeground: asCssValue((_j = override.inputValidationWarningForeground) !== null && _j !== void 0 ? _j : inputValidationWarningForeground),
        inputValidationErrorBorder: asCssValue((_k = override.inputValidationErrorBorder) !== null && _k !== void 0 ? _k : inputValidationErrorBorder),
        inputValidationErrorBackground: asCssValue((_l = override.inputValidationErrorBackground) !== null && _l !== void 0 ? _l : inputValidationErrorBackground),
        inputValidationErrorForeground: asCssValue((_m = override.inputValidationErrorForeground) !== null && _m !== void 0 ? _m : inputValidationErrorForeground)
    };
}
export const defaultFindWidgetStyles = {
    listFilterWidgetBackground: asCssValue(listFilterWidgetBackground),
    listFilterWidgetOutline: asCssValue(listFilterWidgetOutline),
    listFilterWidgetNoMatchesOutline: asCssValue(listFilterWidgetNoMatchesOutline),
    listFilterWidgetShadow: asCssValue(listFilterWidgetShadow),
    inputBoxStyles: defaultInputBoxStyles,
    toggleStyles: defaultToggleStyles
};
