/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.35.0-dev.20221210(415b279fa04c40447ebb5bbbde50dbc078fffe9f)
 * Released under the MIT license
 * https://github.com/microsoft/vscode/blob/main/LICENSE.txt
 *-----------------------------------------------------------*/(function(){var Q=["require","exports","vs/editor/common/core/range","vs/editor/common/core/position","vs/base/common/strings","vs/base/common/platform","vs/editor/common/diff/algorithms/diffAlgorithm","vs/base/common/event","vs/base/common/errors","vs/base/common/assert","vs/base/common/lifecycle","vs/base/common/objects","vs/base/common/uri","vs/base/common/iterator","vs/base/common/linkedList","vs/base/common/diff/diff","vs/base/common/uint","vs/editor/common/core/characterClassifier","vs/editor/common/core/wordHelper","vs/editor/common/diff/linesDiffComputer","vs/base/common/stopwatch","vs/nls","vs/base/common/arrays","vs/base/common/cache","vs/base/common/codicons","vs/base/common/diff/diffChange","vs/base/common/functional","vs/base/common/keyCodes","vs/base/common/lazy","vs/base/common/hash","vs/base/common/types","vs/editor/common/core/selection","vs/editor/common/core/wordCharacterClassifier","vs/editor/common/diff/algorithms/joinSequenceDiffs","vs/editor/common/diff/algorithms/myersDiffAlgorithm","vs/editor/common/diff/algorithms/utils","vs/editor/common/diff/algorithms/dynamicProgrammingDiffing","vs/editor/common/diff/smartLinesDiffComputer","vs/editor/common/diff/standardLinesDiffComputer","vs/editor/common/diff/linesDiffComputers","vs/editor/common/languages/linkComputer","vs/editor/common/languages/supports/inplaceReplaceSupport","vs/editor/common/model","vs/editor/common/model/prefixSumComputer","vs/editor/common/model/mirrorTextModel","vs/editor/common/model/textModelSearch","vs/editor/common/services/unicodeTextModelHighlighter","vs/editor/common/standalone/standaloneEnums","vs/nls!vs/base/common/platform","vs/base/common/process","vs/base/common/path","vs/base/common/cancellation","vs/editor/common/tokenizationRegistry","vs/editor/common/languages","vs/editor/common/services/editorBaseApi","vs/nls!vs/base/common/worker/simpleWorker","vs/base/common/worker/simpleWorker","vs/editor/common/services/editorSimpleWorker"],J=function(I){for(var r=[],_=0,e=I.length;_<e;_++)r[_]=Q[I[_]];return r},Ee=this,Re=typeof global=="object"?global:{},ae;(function(I){I.global=Ee;var r=function(){function _(){this._detected=!1,this._isWindows=!1,this._isNode=!1,this._isElectronRenderer=!1,this._isWebWorker=!1,this._isElectronNodeIntegrationWebWorker=!1}return Object.defineProperty(_.prototype,"isWindows",{get:function(){return this._detect(),this._isWindows},enumerable:!1,configurable:!0}),Object.defineProperty(_.prototype,"isNode",{get:function(){return this._detect(),this._isNode},enumerable:!1,configurable:!0}),Object.defineProperty(_.prototype,"isElectronRenderer",{get:function(){return this._detect(),this._isElectronRenderer},enumerable:!1,configurable:!0}),Object.defineProperty(_.prototype,"isWebWorker",{get:function(){return this._detect(),this._isWebWorker},enumerable:!1,configurable:!0}),Object.defineProperty(_.prototype,"isElectronNodeIntegrationWebWorker",{get:function(){return this._detect(),this._isElectronNodeIntegrationWebWorker},enumerable:!1,configurable:!0}),_.prototype._detect=function(){this._detected||(this._detected=!0,this._isWindows=_._isWindows(),this._isNode=typeof module<"u"&&!!module.exports,this._isElectronRenderer=typeof process<"u"&&typeof process.versions<"u"&&typeof process.versions.electron<"u"&&process.type==="renderer",this._isWebWorker=typeof I.global.importScripts=="function",this._isElectronNodeIntegrationWebWorker=this._isWebWorker&&typeof process<"u"&&typeof process.versions<"u"&&typeof process.versions.electron<"u"&&process.type==="worker")},_._isWindows=function(){return typeof navigator<"u"&&navigator.userAgent&&navigator.userAgent.indexOf("Windows")>=0?!0:typeof process<"u"?process.platform==="win32":!1},_}();I.Environment=r})(ae||(ae={}));var ae;(function(I){var r=function(){function E(c,L,v){this.type=c,this.detail=L,this.timestamp=v}return E}();I.LoaderEvent=r;var _=function(){function E(c){this._events=[new r(1,"",c)]}return E.prototype.record=function(c,L){this._events.push(new r(c,L,I.Utilities.getHighPerformanceTimestamp()))},E.prototype.getEvents=function(){return this._events},E}();I.LoaderEventRecorder=_;var e=function(){function E(){}return E.prototype.record=function(c,L){},E.prototype.getEvents=function(){return[]},E.INSTANCE=new E,E}();I.NullLoaderEventRecorder=e})(ae||(ae={}));var ae;(function(I){var r=function(){function _(){}return _.fileUriToFilePath=function(e,E){if(E=decodeURI(E).replace(/%23/g,"#"),e){if(/^file:\/\/\//.test(E))return E.substr(8);if(/^file:\/\//.test(E))return E.substr(5)}else if(/^file:\/\//.test(E))return E.substr(7);return E},_.startsWith=function(e,E){return e.length>=E.length&&e.substr(0,E.length)===E},_.endsWith=function(e,E){return e.length>=E.length&&e.substr(e.length-E.length)===E},_.containsQueryString=function(e){return/^[^\#]*\?/gi.test(e)},_.isAbsolutePath=function(e){return/^((http:\/\/)|(https:\/\/)|(file:\/\/)|(\/))/.test(e)},_.forEachProperty=function(e,E){if(e){var c=void 0;for(c in e)e.hasOwnProperty(c)&&E(c,e[c])}},_.isEmpty=function(e){var E=!0;return _.forEachProperty(e,function(){E=!1}),E},_.recursiveClone=function(e){if(!e||typeof e!="object"||e instanceof RegExp||!Array.isArray(e)&&Object.getPrototypeOf(e)!==Object.prototype)return e;var E=Array.isArray(e)?[]:{};return _.forEachProperty(e,function(c,L){L&&typeof L=="object"?E[c]=_.recursiveClone(L):E[c]=L}),E},_.generateAnonymousModule=function(){return"===anonymous"+_.NEXT_ANONYMOUS_ID+++"==="},_.isAnonymousModule=function(e){return _.startsWith(e,"===anonymous")},_.getHighPerformanceTimestamp=function(){return this.PERFORMANCE_NOW_PROBED||(this.PERFORMANCE_NOW_PROBED=!0,this.HAS_PERFORMANCE_NOW=I.global.performance&&typeof I.global.performance.now=="function"),this.HAS_PERFORMANCE_NOW?I.global.performance.now():Date.now()},_.NEXT_ANONYMOUS_ID=1,_.PERFORMANCE_NOW_PROBED=!1,_.HAS_PERFORMANCE_NOW=!1,_}();I.Utilities=r})(ae||(ae={}));var ae;(function(I){function r(E){if(E instanceof Error)return E;var c=new Error(E.message||String(E)||"Unknown Error");return E.stack&&(c.stack=E.stack),c}I.ensureError=r;var _=function(){function E(){}return E.validateConfigurationOptions=function(c){function L(l){if(l.phase==="loading"){console.error('Loading "'+l.moduleId+'" failed'),console.error(l),console.error("Here are the modules that depend on it:"),console.error(l.neededBy);return}if(l.phase==="factory"){console.error('The factory function of "'+l.moduleId+'" has thrown an exception'),console.error(l),console.error("Here are the modules that depend on it:"),console.error(l.neededBy);return}}if(c=c||{},typeof c.baseUrl!="string"&&(c.baseUrl=""),typeof c.isBuild!="boolean"&&(c.isBuild=!1),typeof c.paths!="object"&&(c.paths={}),typeof c.config!="object"&&(c.config={}),typeof c.catchError>"u"&&(c.catchError=!1),typeof c.recordStats>"u"&&(c.recordStats=!1),typeof c.urlArgs!="string"&&(c.urlArgs=""),typeof c.onError!="function"&&(c.onError=L),Array.isArray(c.ignoreDuplicateModules)||(c.ignoreDuplicateModules=[]),c.baseUrl.length>0&&(I.Utilities.endsWith(c.baseUrl,"/")||(c.baseUrl+="/")),typeof c.cspNonce!="string"&&(c.cspNonce=""),typeof c.preferScriptTags>"u"&&(c.preferScriptTags=!1),c.nodeCachedData&&typeof c.nodeCachedData=="object"&&(typeof c.nodeCachedData.seed!="string"&&(c.nodeCachedData.seed="seed"),(typeof c.nodeCachedData.writeDelay!="number"||c.nodeCachedData.writeDelay<0)&&(c.nodeCachedData.writeDelay=1e3*7),!c.nodeCachedData.path||typeof c.nodeCachedData.path!="string")){var v=r(new Error("INVALID cached data configuration, 'path' MUST be set"));v.phase="configuration",c.onError(v),c.nodeCachedData=void 0}return c},E.mergeConfigurationOptions=function(c,L){c===void 0&&(c=null),L===void 0&&(L=null);var v=I.Utilities.recursiveClone(L||{});return I.Utilities.forEachProperty(c,function(l,f){l==="ignoreDuplicateModules"&&typeof v.ignoreDuplicateModules<"u"?v.ignoreDuplicateModules=v.ignoreDuplicateModules.concat(f):l==="paths"&&typeof v.paths<"u"?I.Utilities.forEachProperty(f,function(p,t){return v.paths[p]=t}):l==="config"&&typeof v.config<"u"?I.Utilities.forEachProperty(f,function(p,t){return v.config[p]=t}):v[l]=I.Utilities.recursiveClone(f)}),E.validateConfigurationOptions(v)},E}();I.ConfigurationOptionsUtil=_;var e=function(){function E(c,L){if(this._env=c,this.options=_.mergeConfigurationOptions(L),this._createIgnoreDuplicateModulesMap(),this._createSortedPathsRules(),this.options.baseUrl===""&&this.options.nodeRequire&&this.options.nodeRequire.main&&this.options.nodeRequire.main.filename&&this._env.isNode){var v=this.options.nodeRequire.main.filename,l=Math.max(v.lastIndexOf("/"),v.lastIndexOf("\\"));this.options.baseUrl=v.substring(0,l+1)}}return E.prototype._createIgnoreDuplicateModulesMap=function(){this.ignoreDuplicateModulesMap={};for(var c=0;c<this.options.ignoreDuplicateModules.length;c++)this.ignoreDuplicateModulesMap[this.options.ignoreDuplicateModules[c]]=!0},E.prototype._createSortedPathsRules=function(){var c=this;this.sortedPathsRules=[],I.Utilities.forEachProperty(this.options.paths,function(L,v){Array.isArray(v)?c.sortedPathsRules.push({from:L,to:v}):c.sortedPathsRules.push({from:L,to:[v]})}),this.sortedPathsRules.sort(function(L,v){return v.from.length-L.from.length})},E.prototype.cloneAndMerge=function(c){return new E(this._env,_.mergeConfigurationOptions(c,this.options))},E.prototype.getOptionsLiteral=function(){return this.options},E.prototype._applyPaths=function(c){for(var L,v=0,l=this.sortedPathsRules.length;v<l;v++)if(L=this.sortedPathsRules[v],I.Utilities.startsWith(c,L.from)){for(var f=[],p=0,t=L.to.length;p<t;p++)f.push(L.to[p]+c.substr(L.from.length));return f}return[c]},E.prototype._addUrlArgsToUrl=function(c){return I.Utilities.containsQueryString(c)?c+"&"+this.options.urlArgs:c+"?"+this.options.urlArgs},E.prototype._addUrlArgsIfNecessaryToUrl=function(c){return this.options.urlArgs?this._addUrlArgsToUrl(c):c},E.prototype._addUrlArgsIfNecessaryToUrls=function(c){if(this.options.urlArgs)for(var L=0,v=c.length;L<v;L++)c[L]=this._addUrlArgsToUrl(c[L]);return c},E.prototype.moduleIdToPaths=function(c){if(this._env.isNode){var L=this.options.amdModulesPattern instanceof RegExp&&!this.options.amdModulesPattern.test(c);if(L)return this.isBuild()?["empty:"]:["node|"+c]}var v=c,l;if(!I.Utilities.endsWith(v,".js")&&!I.Utilities.isAbsolutePath(v)){l=this._applyPaths(v);for(var f=0,p=l.length;f<p;f++)this.isBuild()&&l[f]==="empty:"||(I.Utilities.isAbsolutePath(l[f])||(l[f]=this.options.baseUrl+l[f]),!I.Utilities.endsWith(l[f],".js")&&!I.Utilities.containsQueryString(l[f])&&(l[f]=l[f]+".js"))}else!I.Utilities.endsWith(v,".js")&&!I.Utilities.containsQueryString(v)&&(v=v+".js"),l=[v];return this._addUrlArgsIfNecessaryToUrls(l)},E.prototype.requireToUrl=function(c){var L=c;return I.Utilities.isAbsolutePath(L)||(L=this._applyPaths(L)[0],I.Utilities.isAbsolutePath(L)||(L=this.options.baseUrl+L)),this._addUrlArgsIfNecessaryToUrl(L)},E.prototype.isBuild=function(){return this.options.isBuild},E.prototype.shouldInvokeFactory=function(c){return!!(!this.options.isBuild||I.Utilities.isAnonymousModule(c)||this.options.buildForceInvokeFactory&&this.options.buildForceInvokeFactory[c])},E.prototype.isDuplicateMessageIgnoredFor=function(c){return this.ignoreDuplicateModulesMap.hasOwnProperty(c)},E.prototype.getConfigForModule=function(c){if(this.options.config)return this.options.config[c]},E.prototype.shouldCatchError=function(){return this.options.catchError},E.prototype.shouldRecordStats=function(){return this.options.recordStats},E.prototype.onError=function(c){this.options.onError(c)},E}();I.Configuration=e})(ae||(ae={}));var ae;(function(I){var r=function(){function l(f){this._env=f,this._scriptLoader=null,this._callbackMap={}}return l.prototype.load=function(f,p,t,C){var u=this;if(!this._scriptLoader)if(this._env.isWebWorker)this._scriptLoader=new E;else if(this._env.isElectronRenderer){var m=f.getConfig().getOptionsLiteral().preferScriptTags;m?this._scriptLoader=new _:this._scriptLoader=new c(this._env)}else this._env.isNode?this._scriptLoader=new c(this._env):this._scriptLoader=new _;var y={callback:t,errorback:C};if(this._callbackMap.hasOwnProperty(p)){this._callbackMap[p].push(y);return}this._callbackMap[p]=[y],this._scriptLoader.load(f,p,function(){return u.triggerCallback(p)},function(S){return u.triggerErrorback(p,S)})},l.prototype.triggerCallback=function(f){var p=this._callbackMap[f];delete this._callbackMap[f];for(var t=0;t<p.length;t++)p[t].callback()},l.prototype.triggerErrorback=function(f,p){var t=this._callbackMap[f];delete this._callbackMap[f];for(var C=0;C<t.length;C++)t[C].errorback(p)},l}(),_=function(){function l(){}return l.prototype.attachListeners=function(f,p,t){var C=function(){f.removeEventListener("load",u),f.removeEventListener("error",m)},u=function(y){C(),p()},m=function(y){C(),t(y)};f.addEventListener("load",u),f.addEventListener("error",m)},l.prototype.load=function(f,p,t,C){if(/^node\|/.test(p)){var u=f.getConfig().getOptionsLiteral(),m=L(f.getRecorder(),u.nodeRequire||I.global.nodeRequire),y=p.split("|"),S=null;try{S=m(y[1])}catch(i){C(i);return}f.enqueueDefineAnonymousModule([],function(){return S}),t()}else{var N=document.createElement("script");N.setAttribute("async","async"),N.setAttribute("type","text/javascript"),this.attachListeners(N,t,C);var b=f.getConfig().getOptionsLiteral().trustedTypesPolicy;b&&(p=b.createScriptURL(p)),N.setAttribute("src",p);var a=f.getConfig().getOptionsLiteral().cspNonce;a&&N.setAttribute("nonce",a),document.getElementsByTagName("head")[0].appendChild(N)}},l}();function e(l){var f=l.getConfig().getOptionsLiteral().trustedTypesPolicy;try{var p=f?self.eval(f.createScript("","true")):new Function("true");return p.call(self),!0}catch{return!1}}var E=function(){function l(){this._cachedCanUseEval=null}return l.prototype._canUseEval=function(f){return this._cachedCanUseEval===null&&(this._cachedCanUseEval=e(f)),this._cachedCanUseEval},l.prototype.load=function(f,p,t,C){if(/^node\|/.test(p)){var u=f.getConfig().getOptionsLiteral(),m=L(f.getRecorder(),u.nodeRequire||I.global.nodeRequire),y=p.split("|"),S=null;try{S=m(y[1])}catch(a){C(a);return}f.enqueueDefineAnonymousModule([],function(){return S}),t()}else{var N=f.getConfig().getOptionsLiteral().trustedTypesPolicy,b=/^((http:)|(https:)|(file:))/.test(p)&&p.substring(0,self.origin.length)!==self.origin;if(!b&&this._canUseEval(f)){fetch(p).then(function(a){if(a.status!==200)throw new Error(a.statusText);return a.text()}).then(function(a){a=a+`
//# sourceURL=`+p;var i=N?self.eval(N.createScript("",a)):new Function(a);i.call(self),t()}).then(void 0,C);return}try{N&&(p=N.createScriptURL(p)),importScripts(p),t()}catch(a){C(a)}}},l}(),c=function(){function l(f){this._env=f,this._didInitialize=!1,this._didPatchNodeRequire=!1}return l.prototype._init=function(f){this._didInitialize||(this._didInitialize=!0,this._fs=f("fs"),this._vm=f("vm"),this._path=f("path"),this._crypto=f("crypto"))},l.prototype._initNodeRequire=function(f,p){var t=p.getConfig().getOptionsLiteral().nodeCachedData;if(!t||this._didPatchNodeRequire)return;this._didPatchNodeRequire=!0;var C=this,u=f("module");function m(y){var S=y.constructor,N=function(a){try{return y.require(a)}finally{}};return N.resolve=function(a,i){return S._resolveFilename(a,y,!1,i)},N.resolve.paths=function(a){return S._resolveLookupPaths(a,y)},N.main=process.mainModule,N.extensions=S._extensions,N.cache=S._cache,N}u.prototype._compile=function(y,S){var N=u.wrap(y.replace(/^#!.*/,"")),b=p.getRecorder(),a=C._getCachedDataPath(t,S),i={filename:S},o;try{var g=C._fs.readFileSync(a);o=g.slice(0,16),i.cachedData=g.slice(16),b.record(60,a)}catch{b.record(61,a)}var d=new C._vm.Script(N,i),s=d.runInThisContext(i),h=C._path.dirname(S),w=m(this),A=[this.exports,w,this,S,h,process,Re,Buffer],R=s.apply(this.exports,A);return C._handleCachedData(d,N,a,!i.cachedData,p),C._verifyCachedData(d,N,a,o,p),R}},l.prototype.load=function(f,p,t,C){var u=this,m=f.getConfig().getOptionsLiteral(),y=L(f.getRecorder(),m.nodeRequire||I.global.nodeRequire),S=m.nodeInstrumenter||function(s){return s};this._init(y),this._initNodeRequire(y,f);var N=f.getRecorder();if(/^node\|/.test(p)){var b=p.split("|"),a=null;try{a=y(b[1])}catch(s){C(s);return}f.enqueueDefineAnonymousModule([],function(){return a}),t()}else{p=I.Utilities.fileUriToFilePath(this._env.isWindows,p);var i=this._path.normalize(p),o=this._getElectronRendererScriptPathOrUri(i),g=Boolean(m.nodeCachedData),d=g?this._getCachedDataPath(m.nodeCachedData,p):void 0;this._readSourceAndCachedData(i,d,N,function(s,h,w,A){if(s){C(s);return}var R;h.charCodeAt(0)===l._BOM?R=l._PREFIX+h.substring(1)+l._SUFFIX:R=l._PREFIX+h+l._SUFFIX,R=S(R,i);var D={filename:o,cachedData:w},P=u._createAndEvalScript(f,R,D,t,C);u._handleCachedData(P,R,d,g&&!w,f),u._verifyCachedData(P,R,d,A,f)})}},l.prototype._createAndEvalScript=function(f,p,t,C,u){var m=f.getRecorder();m.record(31,t.filename);var y=new this._vm.Script(p,t),S=y.runInThisContext(t),N=f.getGlobalAMDDefineFunc(),b=!1,a=function(){return b=!0,N.apply(null,arguments)};return a.amd=N.amd,S.call(I.global,f.getGlobalAMDRequireFunc(),a,t.filename,this._path.dirname(t.filename)),m.record(32,t.filename),b?C():u(new Error("Didn't receive define call in "+t.filename+"!")),y},l.prototype._getElectronRendererScriptPathOrUri=function(f){if(!this._env.isElectronRenderer)return f;var p=f.match(/^([a-z])\:(.*)/i);return p?"file:///"+(p[1].toUpperCase()+":"+p[2]).replace(/\\/g,"/"):"file://"+f},l.prototype._getCachedDataPath=function(f,p){var t=this._crypto.createHash("md5").update(p,"utf8").update(f.seed,"utf8").update(process.arch,"").digest("hex"),C=this._path.basename(p).replace(/\.js$/,"");return this._path.join(f.path,C+"-"+t+".code")},l.prototype._handleCachedData=function(f,p,t,C,u){var m=this;f.cachedDataRejected?this._fs.unlink(t,function(y){u.getRecorder().record(62,t),m._createAndWriteCachedData(f,p,t,u),y&&u.getConfig().onError(y)}):C&&this._createAndWriteCachedData(f,p,t,u)},l.prototype._createAndWriteCachedData=function(f,p,t,C){var u=this,m=Math.ceil(C.getConfig().getOptionsLiteral().nodeCachedData.writeDelay*(1+Math.random())),y=-1,S=0,N=void 0,b=function(){setTimeout(function(){N||(N=u._crypto.createHash("md5").update(p,"utf8").digest());var a=f.createCachedData();if(!(a.length===0||a.length===y||S>=5)){if(a.length<y){b();return}y=a.length,u._fs.writeFile(t,Buffer.concat([N,a]),function(i){i&&C.getConfig().onError(i),C.getRecorder().record(63,t),b()})}},m*Math.pow(4,S++))};b()},l.prototype._readSourceAndCachedData=function(f,p,t,C){if(!p)this._fs.readFile(f,{encoding:"utf8"},C);else{var u=void 0,m=void 0,y=void 0,S=2,N=function(b){b?C(b):--S===0&&C(void 0,u,m,y)};this._fs.readFile(f,{encoding:"utf8"},function(b,a){u=a,N(b)}),this._fs.readFile(p,function(b,a){!b&&a&&a.length>0?(y=a.slice(0,16),m=a.slice(16),t.record(60,p)):t.record(61,p),N()})}},l.prototype._verifyCachedData=function(f,p,t,C,u){var m=this;!C||f.cachedDataRejected||setTimeout(function(){var y=m._crypto.createHash("md5").update(p,"utf8").digest();C.equals(y)||(u.getConfig().onError(new Error("FAILED TO VERIFY CACHED DATA, deleting stale '"+t+"' now, but a RESTART IS REQUIRED")),m._fs.unlink(t,function(S){S&&u.getConfig().onError(S)}))},Math.ceil(5e3*(1+Math.random())))},l._BOM=65279,l._PREFIX="(function (require, define, __filename, __dirname) { ",l._SUFFIX=`
});`,l}();function L(l,f){if(f.__$__isRecorded)return f;var p=function(C){l.record(33,C);try{return f(C)}finally{l.record(34,C)}};return p.__$__isRecorded=!0,p}I.ensureRecordedNodeRequire=L;function v(l){return new r(l)}I.createScriptLoader=v})(ae||(ae={}));var ae;(function(I){var r=function(){function v(l){var f=l.lastIndexOf("/");f!==-1?this.fromModulePath=l.substr(0,f+1):this.fromModulePath=""}return v._normalizeModuleId=function(l){var f=l,p;for(p=/\/\.\//;p.test(f);)f=f.replace(p,"/");for(f=f.replace(/^\.\//g,""),p=/\/(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//;p.test(f);)f=f.replace(p,"/");return f=f.replace(/^(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//,""),f},v.prototype.resolveModule=function(l){var f=l;return I.Utilities.isAbsolutePath(f)||(I.Utilities.startsWith(f,"./")||I.Utilities.startsWith(f,"../"))&&(f=v._normalizeModuleId(this.fromModulePath+f)),f},v.ROOT=new v(""),v}();I.ModuleIdResolver=r;var _=function(){function v(l,f,p,t,C,u){this.id=l,this.strId=f,this.dependencies=p,this._callback=t,this._errorback=C,this.moduleIdResolver=u,this.exports={},this.error=null,this.exportsPassedIn=!1,this.unresolvedDependenciesCount=this.dependencies.length,this._isComplete=!1}return v._safeInvokeFunction=function(l,f){try{return{returnedValue:l.apply(I.global,f),producedError:null}}catch(p){return{returnedValue:null,producedError:p}}},v._invokeFactory=function(l,f,p,t){return l.shouldInvokeFactory(f)?l.shouldCatchError()?this._safeInvokeFunction(p,t):{returnedValue:p.apply(I.global,t),producedError:null}:{returnedValue:null,producedError:null}},v.prototype.complete=function(l,f,p,t){this._isComplete=!0;var C=null;if(this._callback)if(typeof this._callback=="function"){l.record(21,this.strId);var u=v._invokeFactory(f,this.strId,this._callback,p);C=u.producedError,l.record(22,this.strId),!C&&typeof u.returnedValue<"u"&&(!this.exportsPassedIn||I.Utilities.isEmpty(this.exports))&&(this.exports=u.returnedValue)}else this.exports=this._callback;if(C){var m=I.ensureError(C);m.phase="factory",m.moduleId=this.strId,m.neededBy=t(this.id),this.error=m,f.onError(m)}this.dependencies=null,this._callback=null,this._errorback=null,this.moduleIdResolver=null},v.prototype.onDependencyError=function(l){return this._isComplete=!0,this.error=l,this._errorback?(this._errorback(l),!0):!1},v.prototype.isComplete=function(){return this._isComplete},v}();I.Module=_;var e=function(){function v(){this._nextId=0,this._strModuleIdToIntModuleId=new Map,this._intModuleIdToStrModuleId=[],this.getModuleId("exports"),this.getModuleId("module"),this.getModuleId("require")}return v.prototype.getMaxModuleId=function(){return this._nextId},v.prototype.getModuleId=function(l){var f=this._strModuleIdToIntModuleId.get(l);return typeof f>"u"&&(f=this._nextId++,this._strModuleIdToIntModuleId.set(l,f),this._intModuleIdToStrModuleId[f]=l),f},v.prototype.getStrModuleId=function(l){return this._intModuleIdToStrModuleId[l]},v}(),E=function(){function v(l){this.id=l}return v.EXPORTS=new v(0),v.MODULE=new v(1),v.REQUIRE=new v(2),v}();I.RegularDependency=E;var c=function(){function v(l,f,p){this.id=l,this.pluginId=f,this.pluginParam=p}return v}();I.PluginDependency=c;var L=function(){function v(l,f,p,t,C){C===void 0&&(C=0),this._env=l,this._scriptLoader=f,this._loaderAvailableTimestamp=C,this._defineFunc=p,this._requireFunc=t,this._moduleIdProvider=new e,this._config=new I.Configuration(this._env),this._hasDependencyCycle=!1,this._modules2=[],this._knownModules2=[],this._inverseDependencies2=[],this._inversePluginDependencies2=new Map,this._currentAnonymousDefineCall=null,this._recorder=null,this._buildInfoPath=[],this._buildInfoDefineStack=[],this._buildInfoDependencies=[]}return v.prototype.reset=function(){return new v(this._env,this._scriptLoader,this._defineFunc,this._requireFunc,this._loaderAvailableTimestamp)},v.prototype.getGlobalAMDDefineFunc=function(){return this._defineFunc},v.prototype.getGlobalAMDRequireFunc=function(){return this._requireFunc},v._findRelevantLocationInStack=function(l,f){for(var p=function(i){return i.replace(/\\/g,"/")},t=p(l),C=f.split(/\n/),u=0;u<C.length;u++){var m=C[u].match(/(.*):(\d+):(\d+)\)?$/);if(m){var y=m[1],S=m[2],N=m[3],b=Math.max(y.lastIndexOf(" ")+1,y.lastIndexOf("(")+1);if(y=y.substr(b),y=p(y),y===t){var a={line:parseInt(S,10),col:parseInt(N,10)};return a.line===1&&(a.col-=53),a}}}throw new Error("Could not correlate define call site for needle "+l)},v.prototype.getBuildInfo=function(){if(!this._config.isBuild())return null;for(var l=[],f=0,p=0,t=this._modules2.length;p<t;p++){var C=this._modules2[p];if(!!C){var u=this._buildInfoPath[C.id]||null,m=this._buildInfoDefineStack[C.id]||null,y=this._buildInfoDependencies[C.id];l[f++]={id:C.strId,path:u,defineLocation:u&&m?v._findRelevantLocationInStack(u,m):null,dependencies:y,shim:null,exports:C.exports}}}return l},v.prototype.getRecorder=function(){return this._recorder||(this._config.shouldRecordStats()?this._recorder=new I.LoaderEventRecorder(this._loaderAvailableTimestamp):this._recorder=I.NullLoaderEventRecorder.INSTANCE),this._recorder},v.prototype.getLoaderEvents=function(){return this.getRecorder().getEvents()},v.prototype.enqueueDefineAnonymousModule=function(l,f){if(this._currentAnonymousDefineCall!==null)throw new Error("Can only have one anonymous define call per script file");var p=null;this._config.isBuild()&&(p=new Error("StackLocation").stack||null),this._currentAnonymousDefineCall={stack:p,dependencies:l,callback:f}},v.prototype.defineModule=function(l,f,p,t,C,u){var m=this;u===void 0&&(u=new r(l));var y=this._moduleIdProvider.getModuleId(l);if(this._modules2[y]){this._config.isDuplicateMessageIgnoredFor(l)||console.warn("Duplicate definition of module '"+l+"'");return}var S=new _(y,l,this._normalizeDependencies(f,u),p,t,u);this._modules2[y]=S,this._config.isBuild()&&(this._buildInfoDefineStack[y]=C,this._buildInfoDependencies[y]=(S.dependencies||[]).map(function(N){return m._moduleIdProvider.getStrModuleId(N.id)})),this._resolve(S)},v.prototype._normalizeDependency=function(l,f){if(l==="exports")return E.EXPORTS;if(l==="module")return E.MODULE;if(l==="require")return E.REQUIRE;var p=l.indexOf("!");if(p>=0){var t=f.resolveModule(l.substr(0,p)),C=f.resolveModule(l.substr(p+1)),u=this._moduleIdProvider.getModuleId(t+"!"+C),m=this._moduleIdProvider.getModuleId(t);return new c(u,m,C)}return new E(this._moduleIdProvider.getModuleId(f.resolveModule(l)))},v.prototype._normalizeDependencies=function(l,f){for(var p=[],t=0,C=0,u=l.length;C<u;C++)p[t++]=this._normalizeDependency(l[C],f);return p},v.prototype._relativeRequire=function(l,f,p,t){if(typeof f=="string")return this.synchronousRequire(f,l);this.defineModule(I.Utilities.generateAnonymousModule(),f,p,t,null,l)},v.prototype.synchronousRequire=function(l,f){f===void 0&&(f=new r(l));var p=this._normalizeDependency(l,f),t=this._modules2[p.id];if(!t)throw new Error("Check dependency list! Synchronous require cannot resolve module '"+l+"'. This is the first mention of this module!");if(!t.isComplete())throw new Error("Check dependency list! Synchronous require cannot resolve module '"+l+"'. This module has not been resolved completely yet.");if(t.error)throw t.error;return t.exports},v.prototype.configure=function(l,f){var p=this._config.shouldRecordStats();f?this._config=new I.Configuration(this._env,l):this._config=this._config.cloneAndMerge(l),this._config.shouldRecordStats()&&!p&&(this._recorder=null)},v.prototype.getConfig=function(){return this._config},v.prototype._onLoad=function(l){if(this._currentAnonymousDefineCall!==null){var f=this._currentAnonymousDefineCall;this._currentAnonymousDefineCall=null,this.defineModule(this._moduleIdProvider.getStrModuleId(l),f.dependencies,f.callback,null,f.stack)}},v.prototype._createLoadError=function(l,f){var p=this,t=this._moduleIdProvider.getStrModuleId(l),C=(this._inverseDependencies2[l]||[]).map(function(m){return p._moduleIdProvider.getStrModuleId(m)}),u=I.ensureError(f);return u.phase="loading",u.moduleId=t,u.neededBy=C,u},v.prototype._onLoadError=function(l,f){var p=this._createLoadError(l,f);this._modules2[l]||(this._modules2[l]=new _(l,this._moduleIdProvider.getStrModuleId(l),[],function(){},null,null));for(var t=[],C=0,u=this._moduleIdProvider.getMaxModuleId();C<u;C++)t[C]=!1;var m=!1,y=[];for(y.push(l),t[l]=!0;y.length>0;){var S=y.shift(),N=this._modules2[S];N&&(m=N.onDependencyError(p)||m);var b=this._inverseDependencies2[S];if(b)for(var C=0,u=b.length;C<u;C++){var a=b[C];t[a]||(y.push(a),t[a]=!0)}}m||this._config.onError(p)},v.prototype._hasDependencyPath=function(l,f){var p=this._modules2[l];if(!p)return!1;for(var t=[],C=0,u=this._moduleIdProvider.getMaxModuleId();C<u;C++)t[C]=!1;var m=[];for(m.push(p),t[l]=!0;m.length>0;){var y=m.shift(),S=y.dependencies;if(S)for(var C=0,u=S.length;C<u;C++){var N=S[C];if(N.id===f)return!0;var b=this._modules2[N.id];b&&!t[N.id]&&(t[N.id]=!0,m.push(b))}}return!1},v.prototype._findCyclePath=function(l,f,p){if(l===f||p===50)return[l];var t=this._modules2[l];if(!t)return null;var C=t.dependencies;if(C)for(var u=0,m=C.length;u<m;u++){var y=this._findCyclePath(C[u].id,f,p+1);if(y!==null)return y.push(l),y}return null},v.prototype._createRequire=function(l){var f=this,p=function(t,C,u){return f._relativeRequire(l,t,C,u)};return p.toUrl=function(t){return f._config.requireToUrl(l.resolveModule(t))},p.getStats=function(){return f.getLoaderEvents()},p.hasDependencyCycle=function(){return f._hasDependencyCycle},p.config=function(t,C){C===void 0&&(C=!1),f.configure(t,C)},p.__$__nodeRequire=I.global.nodeRequire,p},v.prototype._loadModule=function(l){var f=this;if(!(this._modules2[l]||this._knownModules2[l])){this._knownModules2[l]=!0;var p=this._moduleIdProvider.getStrModuleId(l),t=this._config.moduleIdToPaths(p),C=/^@[^\/]+\/[^\/]+$/;this._env.isNode&&(p.indexOf("/")===-1||C.test(p))&&t.push("node|"+p);var u=-1,m=function(y){if(u++,u>=t.length)f._onLoadError(l,y);else{var S=t[u],N=f.getRecorder();if(f._config.isBuild()&&S==="empty:"){f._buildInfoPath[l]=S,f.defineModule(f._moduleIdProvider.getStrModuleId(l),[],null,null,null),f._onLoad(l);return}N.record(10,S),f._scriptLoader.load(f,S,function(){f._config.isBuild()&&(f._buildInfoPath[l]=S),N.record(11,S),f._onLoad(l)},function(b){N.record(12,S),m(b)})}};m(null)}},v.prototype._loadPluginDependency=function(l,f){var p=this;if(!(this._modules2[f.id]||this._knownModules2[f.id])){this._knownModules2[f.id]=!0;var t=function(C){p.defineModule(p._moduleIdProvider.getStrModuleId(f.id),[],C,null,null)};t.error=function(C){p._config.onError(p._createLoadError(f.id,C))},l.load(f.pluginParam,this._createRequire(r.ROOT),t,this._config.getOptionsLiteral())}},v.prototype._resolve=function(l){var f=this,p=l.dependencies;if(p)for(var t=0,C=p.length;t<C;t++){var u=p[t];if(u===E.EXPORTS){l.exportsPassedIn=!0,l.unresolvedDependenciesCount--;continue}if(u===E.MODULE){l.unresolvedDependenciesCount--;continue}if(u===E.REQUIRE){l.unresolvedDependenciesCount--;continue}var m=this._modules2[u.id];if(m&&m.isComplete()){if(m.error){l.onDependencyError(m.error);return}l.unresolvedDependenciesCount--;continue}if(this._hasDependencyPath(u.id,l.id)){this._hasDependencyCycle=!0,console.warn("There is a dependency cycle between '"+this._moduleIdProvider.getStrModuleId(u.id)+"' and '"+this._moduleIdProvider.getStrModuleId(l.id)+"'. The cyclic path follows:");var y=this._findCyclePath(u.id,l.id,0)||[];y.reverse(),y.push(u.id),console.warn(y.map(function(b){return f._moduleIdProvider.getStrModuleId(b)}).join(` => 
`)),l.unresolvedDependenciesCount--;continue}if(this._inverseDependencies2[u.id]=this._inverseDependencies2[u.id]||[],this._inverseDependencies2[u.id].push(l.id),u instanceof c){var S=this._modules2[u.pluginId];if(S&&S.isComplete()){this._loadPluginDependency(S.exports,u);continue}var N=this._inversePluginDependencies2.get(u.pluginId);N||(N=[],this._inversePluginDependencies2.set(u.pluginId,N)),N.push(u),this._loadModule(u.pluginId);continue}this._loadModule(u.id)}l.unresolvedDependenciesCount===0&&this._onModuleComplete(l)},v.prototype._onModuleComplete=function(l){var f=this,p=this.getRecorder();if(!l.isComplete()){var t=l.dependencies,C=[];if(t)for(var u=0,m=t.length;u<m;u++){var y=t[u];if(y===E.EXPORTS){C[u]=l.exports;continue}if(y===E.MODULE){C[u]={id:l.strId,config:function(){return f._config.getConfigForModule(l.strId)}};continue}if(y===E.REQUIRE){C[u]=this._createRequire(l.moduleIdResolver);continue}var S=this._modules2[y.id];if(S){C[u]=S.exports;continue}C[u]=null}var N=function(g){return(f._inverseDependencies2[g]||[]).map(function(d){return f._moduleIdProvider.getStrModuleId(d)})};l.complete(p,this._config,C,N);var b=this._inverseDependencies2[l.id];if(this._inverseDependencies2[l.id]=null,b)for(var u=0,m=b.length;u<m;u++){var a=b[u],i=this._modules2[a];i.unresolvedDependenciesCount--,i.unresolvedDependenciesCount===0&&this._onModuleComplete(i)}var o=this._inversePluginDependencies2.get(l.id);if(o){this._inversePluginDependencies2.delete(l.id);for(var u=0,m=o.length;u<m;u++)this._loadPluginDependency(l.exports,o[u])}}},v}();I.ModuleManager=L})(ae||(ae={}));var X,ae;(function(I){var r=new I.Environment,_=null,e=function(v,l,f){typeof v!="string"&&(f=l,l=v,v=null),(typeof l!="object"||!Array.isArray(l))&&(f=l,l=null),l||(l=["require","exports","module"]),v?_.defineModule(v,l,f,null,null):_.enqueueDefineAnonymousModule(l,f)};e.amd={jQuery:!0};var E=function(v,l){l===void 0&&(l=!1),_.configure(v,l)},c=function(){if(arguments.length===1){if(arguments[0]instanceof Object&&!Array.isArray(arguments[0])){E(arguments[0]);return}if(typeof arguments[0]=="string")return _.synchronousRequire(arguments[0])}if((arguments.length===2||arguments.length===3)&&Array.isArray(arguments[0])){_.defineModule(I.Utilities.generateAnonymousModule(),arguments[0],arguments[1],arguments[2],null);return}throw new Error("Unrecognized require call")};c.config=E,c.getConfig=function(){return _.getConfig().getOptionsLiteral()},c.reset=function(){_=_.reset()},c.getBuildInfo=function(){return _.getBuildInfo()},c.getStats=function(){return _.getLoaderEvents()},c.define=e;function L(){if(typeof I.global.require<"u"||typeof require<"u"){var v=I.global.require||require;if(typeof v=="function"&&typeof v.resolve=="function"){var l=I.ensureRecordedNodeRequire(_.getRecorder(),v);I.global.nodeRequire=l,c.nodeRequire=l,c.__$__nodeRequire=l}}r.isNode&&!r.isElectronRenderer&&!r.isElectronNodeIntegrationWebWorker?module.exports=c:(r.isElectronRenderer||(I.global.define=e),I.global.require=c)}I.init=L,(typeof I.global.define!="function"||!I.global.define.amd)&&(_=new I.ModuleManager(r,I.createScriptLoader(r),e,c,I.Utilities.getHighPerformanceTimestamp()),typeof I.global.require<"u"&&typeof I.global.require!="function"&&c.config(I.global.require),X=function(){return e.apply(null,arguments)},X.amd=e.amd,typeof doNotInitLoader>"u"&&L())})(ae||(ae={}));var le=this&&this.__awaiter||function(I,r,_,e){function E(c){return c instanceof _?c:new _(function(L){L(c)})}return new(_||(_=Promise))(function(c,L){function v(p){try{f(e.next(p))}catch(t){L(t)}}function l(p){try{f(e.throw(p))}catch(t){L(t)}}function f(p){p.done?c(p.value):E(p.value).then(v,l)}f((e=e.apply(I,r||[])).next())})};X(Q[21],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.load=r.create=r.setPseudoTranslation=r.getConfiguredDefaultLocale=r.localize=void 0;let _=typeof document<"u"&&document.location&&document.location.hash.indexOf("pseudo=true")>=0;const e="i-default";function E(m,y){let S;return y.length===0?S=m:S=m.replace(/\{(\d+)\}/g,(N,b)=>{const a=b[0],i=y[a];let o=N;return typeof i=="string"?o=i:(typeof i=="number"||typeof i=="boolean"||i===void 0||i===null)&&(o=String(i)),o}),_&&(S="\uFF3B"+S.replace(/[aouei]/g,"$&$&")+"\uFF3D"),S}function c(m,y){let S=m[y];return S||(S=m["*"],S)?S:null}function L(m){return m.charAt(m.length-1)==="/"?m:m+"/"}function v(m,y,S){return le(this,void 0,void 0,function*(){const N=L(m)+L(y)+"vscode/"+L(S),b=yield fetch(N);if(b.ok)return yield b.json();throw new Error(`${b.status} - ${b.statusText}`)})}function l(m){return function(y,S){const N=Array.prototype.slice.call(arguments,2);return E(m[y],N)}}function f(m,y,...S){return E(y,S)}r.localize=f;function p(m){}r.getConfiguredDefaultLocale=p;function t(m){_=m}r.setPseudoTranslation=t;function C(m,y){var S;return{localize:l(y[m]),getConfiguredDefaultLocale:(S=y.getConfiguredDefaultLocale)!==null&&S!==void 0?S:N=>{}}}r.create=C;function u(m,y,S,N){var b;const a=(b=N["vs/nls"])!==null&&b!==void 0?b:{};if(!m||m.length===0)return S({localize:f,getConfiguredDefaultLocale:()=>{var s;return(s=a.availableLanguages)===null||s===void 0?void 0:s["*"]}});const i=a.availableLanguages?c(a.availableLanguages,m):null,o=i===null||i===e;let g=".nls";o||(g=g+"."+i);const d=s=>{Array.isArray(s)?s.localize=l(s):s.localize=l(s[m]),s.getConfiguredDefaultLocale=()=>{var h;return(h=a.availableLanguages)===null||h===void 0?void 0:h["*"]},S(s)};typeof a.loadBundle=="function"?a.loadBundle(m,i,(s,h)=>{s?y([m+".nls"],d):d(h)}):a.translationServiceUrl&&!o?le(this,void 0,void 0,function*(){var s;try{const h=yield v(a.translationServiceUrl,i,m);return d(h)}catch(h){if(!i.includes("-"))return console.error(h),y([m+".nls"],d);try{const w=i.split("-")[0],A=yield v(a.translationServiceUrl,w,m);return(s=a.availableLanguages)!==null&&s!==void 0||(a.availableLanguages={}),a.availableLanguages["*"]=w,d(A)}catch(w){return console.error(w),y([m+".nls"],d)}}}):y([m+g],d,s=>{if(g===".nls"){console.error("Failed trying to load default language strings",s);return}console.error(`Failed to load message bundle for language ${i}. Falling back to the default language:`,s),y([m+".nls"],d)})}r.load=u}),function(){var I,r;const _=self.MonacoEnvironment,e=_&&_.baseUrl?_.baseUrl:"../../../",E=typeof((I=self.trustedTypes)===null||I===void 0?void 0:I.createPolicy)=="function"?(r=self.trustedTypes)===null||r===void 0?void 0:r.createPolicy("amdLoader",{createScriptURL:t=>t,createScript:(t,...C)=>{const u=C.slice(0,-1).join(","),m=C.pop().toString();return`(function anonymous(${u}) { ${m}
})`}}):void 0;function c(){try{return(E?self.eval(E.createScript("","true")):new Function("true")).call(self),!0}catch{return!1}}function L(){return new Promise((t,C)=>{if(typeof self.define=="function"&&self.define.amd)return t();const u=e+"vs/loader.js";if(!(/^((http:)|(https:)|(file:))/.test(u)&&u.substring(0,self.origin.length)!==self.origin)&&c()){fetch(u).then(y=>{if(y.status!==200)throw new Error(y.statusText);return y.text()}).then(y=>{y=`${y}
//# sourceURL=${u}`,(E?self.eval(E.createScript("",y)):new Function(y)).call(self),t()}).then(void 0,C);return}E?importScripts(E.createScriptURL(u)):importScripts(u),t()})}function v(){require.config({baseUrl:e,catchError:!0,trustedTypesPolicy:E,amdModulesPattern:/^vs\//})}function l(t){L().then(()=>{v(),require([t],function(C){setTimeout(function(){const u=C.create((m,y)=>{self.postMessage(m,y)},null);for(self.onmessage=m=>u.onmessage(m.data,m.ports);p.length>0;)self.onmessage(p.shift())},0)})})}typeof self.define=="function"&&self.define.amd&&v();let f=!0;const p=[];self.onmessage=t=>{if(!f){p.push(t);return}f=!1,l(t.data)}}(),X(Q[22],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CallbackIterable=r.ArrayQueue=r.findMinBy=r.findLastMaxBy=r.findMaxBy=r.numberComparator=r.compareBy=r.CompareResult=r.splice=r.insertInto=r.asArray=r.pushMany=r.pushToEnd=r.pushToStart=r.arrayInsert=r.range=r.firstOrDefault=r.lastIndex=r.findLast=r.distinct=r.isNonEmptyArray=r.isFalsyOrEmpty=r.coalesce=r.groupBy=r.quickSelect=r.findFirstInSorted=r.binarySearch2=r.binarySearch=r.removeFastWithoutKeepingOrder=r.equals=r.tail2=r.tail=void 0;function _(k,T=0){return k[k.length-(1+T)]}r.tail=_;function e(k){if(k.length===0)throw new Error("Invalid tail call");return[k.slice(0,k.length-1),k[k.length-1]]}r.tail2=e;function E(k,T,F=(B,H)=>B===H){if(k===T)return!0;if(!k||!T||k.length!==T.length)return!1;for(let B=0,H=k.length;B<H;B++)if(!F(k[B],T[B]))return!1;return!0}r.equals=E;function c(k,T){const F=k.length-1;T<F&&(k[T]=k[F]),k.pop()}r.removeFastWithoutKeepingOrder=c;function L(k,T,F){return v(k.length,B=>F(k[B],T))}r.binarySearch=L;function v(k,T){let F=0,B=k-1;for(;F<=B;){const H=(F+B)/2|0,n=T(H);if(n<0)F=H+1;else if(n>0)B=H-1;else return H}return-(F+1)}r.binarySearch2=v;function l(k,T){let F=0,B=k.length;if(B===0)return 0;for(;F<B;){const H=Math.floor((F+B)/2);T(k[H])?B=H:F=H+1}return F}r.findFirstInSorted=l;function f(k,T,F){if(k=k|0,k>=T.length)throw new TypeError("invalid index");const B=T[Math.floor(T.length*Math.random())],H=[],n=[],se=[];for(const de of T){const ge=F(de,B);ge<0?H.push(de):ge>0?n.push(de):se.push(de)}return k<H.length?f(k,H,F):k<H.length+se.length?se[0]:f(k-(H.length+se.length),n,F)}r.quickSelect=f;function p(k,T){const F=[];let B;for(const H of k.slice(0).sort(T))!B||T(B[0],H)!==0?(B=[H],F.push(B)):B.push(H);return F}r.groupBy=p;function t(k){return k.filter(T=>!!T)}r.coalesce=t;function C(k){return!Array.isArray(k)||k.length===0}r.isFalsyOrEmpty=C;function u(k){return Array.isArray(k)&&k.length>0}r.isNonEmptyArray=u;function m(k,T=F=>F){const F=new Set;return k.filter(B=>{const H=T(B);return F.has(H)?!1:(F.add(H),!0)})}r.distinct=m;function y(k,T){const F=S(k,T);if(F!==-1)return k[F]}r.findLast=y;function S(k,T){for(let F=k.length-1;F>=0;F--){const B=k[F];if(T(B))return F}return-1}r.lastIndex=S;function N(k,T){return k.length>0?k[0]:T}r.firstOrDefault=N;function b(k,T){let F=typeof T=="number"?k:0;typeof T=="number"?F=k:(F=0,T=k);const B=[];if(F<=T)for(let H=F;H<T;H++)B.push(H);else for(let H=F;H>T;H--)B.push(H);return B}r.range=b;function a(k,T,F){const B=k.slice(0,T),H=k.slice(T);return B.concat(F,H)}r.arrayInsert=a;function i(k,T){const F=k.indexOf(T);F>-1&&(k.splice(F,1),k.unshift(T))}r.pushToStart=i;function o(k,T){const F=k.indexOf(T);F>-1&&(k.splice(F,1),k.push(T))}r.pushToEnd=o;function g(k,T){for(const F of T)k.push(F)}r.pushMany=g;function d(k){return Array.isArray(k)?k:[k]}r.asArray=d;function s(k,T,F){const B=w(k,T),H=k.length,n=F.length;k.length=H+n;for(let se=H-1;se>=B;se--)k[se+n]=k[se];for(let se=0;se<n;se++)k[se+B]=F[se]}r.insertInto=s;function h(k,T,F,B){const H=w(k,T),n=k.splice(H,F);return s(k,H,B),n}r.splice=h;function w(k,T){return T<0?Math.max(T+k.length,0):Math.min(T,k.length)}var A;(function(k){function T(H){return H<0}k.isLessThan=T;function F(H){return H>0}k.isGreaterThan=F;function B(H){return H===0}k.isNeitherLessOrGreaterThan=B,k.greaterThan=1,k.lessThan=-1,k.neitherLessOrGreaterThan=0})(A=r.CompareResult||(r.CompareResult={}));function R(k,T){return(F,B)=>T(k(F),k(B))}r.compareBy=R;const D=(k,T)=>k-T;r.numberComparator=D;function P(k,T){if(k.length===0)return;let F=k[0];for(let B=1;B<k.length;B++){const H=k[B];T(H,F)>0&&(F=H)}return F}r.findMaxBy=P;function O(k,T){if(k.length===0)return;let F=k[0];for(let B=1;B<k.length;B++){const H=k[B];T(H,F)>=0&&(F=H)}return F}r.findLastMaxBy=O;function q(k,T){return P(k,(F,B)=>-T(F,B))}r.findMinBy=q;class z{constructor(T){this.f=T,this.c=0,this.d=this.f.length-1}get length(){return this.d-this.c+1}takeWhile(T){let F=this.c;for(;F<this.f.length&&T(this.f[F]);)F++;const B=F===this.c?null:this.f.slice(this.c,F);return this.c=F,B}takeFromEndWhile(T){let F=this.d;for(;F>=0&&T(this.f[F]);)F--;const B=F===this.d?null:this.f.slice(F+1,this.d+1);return this.d=F,B}peek(){if(this.length!==0)return this.f[this.c]}dequeue(){const T=this.f[this.c];return this.c++,T}takeCount(T){const F=this.f.slice(this.c,this.c+T);return this.c+=T,F}}r.ArrayQueue=z;class W{constructor(T){this.iterate=T}toArray(){const T=[];return this.iterate(F=>(T.push(F),!0)),T}filter(T){return new W(F=>this.iterate(B=>T(B)?F(B):!0))}map(T){return new W(F=>this.iterate(B=>F(T(B))))}findLast(T){let F;return this.iterate(B=>(T(B)&&(F=B),!0)),F}findLastMaxBy(T){let F,B=!0;return this.iterate(H=>((B||A.isGreaterThan(T(H,F)))&&(B=!1,F=H),!0)),F}}r.CallbackIterable=W,W.empty=new W(k=>{})}),X(Q[23],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CachedFunction=r.LRUCachedFunction=void 0;class _{constructor(c){this.c=c,this.a=void 0,this.b=void 0}get(c){const L=JSON.stringify(c);return this.b!==L&&(this.b=L,this.a=this.c(c)),this.a}}r.LRUCachedFunction=_;class e{get cachedValues(){return this.a}constructor(c){this.b=c,this.a=new Map}get(c){if(this.a.has(c))return this.a.get(c);const L=this.b(c);return this.a.set(c,L),L}}r.CachedFunction=e}),X(Q[24],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CSSIcon=r.Codicon=r.getCodiconAriaLabel=void 0;function _(c){return c?c.replace(/\$\((.*?)\)/g,(L,v)=>` ${v} `).trim():""}r.getCodiconAriaLabel=_;class e{constructor(L,v,l){this.id=L,this.definition=v,this.description=l,e.a.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return e.a}}r.Codicon=e,e.a=[],e.add=new e("add",{fontCharacter:"\\ea60"}),e.plus=new e("plus",e.add.definition),e.gistNew=new e("gist-new",e.add.definition),e.repoCreate=new e("repo-create",e.add.definition),e.lightbulb=new e("lightbulb",{fontCharacter:"\\ea61"}),e.lightBulb=new e("light-bulb",{fontCharacter:"\\ea61"}),e.repo=new e("repo",{fontCharacter:"\\ea62"}),e.repoDelete=new e("repo-delete",{fontCharacter:"\\ea62"}),e.gistFork=new e("gist-fork",{fontCharacter:"\\ea63"}),e.repoForked=new e("repo-forked",{fontCharacter:"\\ea63"}),e.gitPullRequest=new e("git-pull-request",{fontCharacter:"\\ea64"}),e.gitPullRequestAbandoned=new e("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),e.recordKeys=new e("record-keys",{fontCharacter:"\\ea65"}),e.keyboard=new e("keyboard",{fontCharacter:"\\ea65"}),e.tag=new e("tag",{fontCharacter:"\\ea66"}),e.tagAdd=new e("tag-add",{fontCharacter:"\\ea66"}),e.tagRemove=new e("tag-remove",{fontCharacter:"\\ea66"}),e.person=new e("person",{fontCharacter:"\\ea67"}),e.personFollow=new e("person-follow",{fontCharacter:"\\ea67"}),e.personOutline=new e("person-outline",{fontCharacter:"\\ea67"}),e.personFilled=new e("person-filled",{fontCharacter:"\\ea67"}),e.gitBranch=new e("git-branch",{fontCharacter:"\\ea68"}),e.gitBranchCreate=new e("git-branch-create",{fontCharacter:"\\ea68"}),e.gitBranchDelete=new e("git-branch-delete",{fontCharacter:"\\ea68"}),e.sourceControl=new e("source-control",{fontCharacter:"\\ea68"}),e.mirror=new e("mirror",{fontCharacter:"\\ea69"}),e.mirrorPublic=new e("mirror-public",{fontCharacter:"\\ea69"}),e.star=new e("star",{fontCharacter:"\\ea6a"}),e.starAdd=new e("star-add",{fontCharacter:"\\ea6a"}),e.starDelete=new e("star-delete",{fontCharacter:"\\ea6a"}),e.starEmpty=new e("star-empty",{fontCharacter:"\\ea6a"}),e.comment=new e("comment",{fontCharacter:"\\ea6b"}),e.commentAdd=new e("comment-add",{fontCharacter:"\\ea6b"}),e.alert=new e("alert",{fontCharacter:"\\ea6c"}),e.warning=new e("warning",{fontCharacter:"\\ea6c"}),e.search=new e("search",{fontCharacter:"\\ea6d"}),e.searchSave=new e("search-save",{fontCharacter:"\\ea6d"}),e.logOut=new e("log-out",{fontCharacter:"\\ea6e"}),e.signOut=new e("sign-out",{fontCharacter:"\\ea6e"}),e.logIn=new e("log-in",{fontCharacter:"\\ea6f"}),e.signIn=new e("sign-in",{fontCharacter:"\\ea6f"}),e.eye=new e("eye",{fontCharacter:"\\ea70"}),e.eyeUnwatch=new e("eye-unwatch",{fontCharacter:"\\ea70"}),e.eyeWatch=new e("eye-watch",{fontCharacter:"\\ea70"}),e.circleFilled=new e("circle-filled",{fontCharacter:"\\ea71"}),e.primitiveDot=new e("primitive-dot",e.circleFilled.definition),e.closeDirty=new e("close-dirty",e.circleFilled.definition),e.debugBreakpoint=new e("debug-breakpoint",e.circleFilled.definition),e.debugBreakpointDisabled=new e("debug-breakpoint-disabled",e.circleFilled.definition),e.debugHint=new e("debug-hint",e.circleFilled.definition),e.primitiveSquare=new e("primitive-square",{fontCharacter:"\\ea72"}),e.edit=new e("edit",{fontCharacter:"\\ea73"}),e.pencil=new e("pencil",{fontCharacter:"\\ea73"}),e.info=new e("info",{fontCharacter:"\\ea74"}),e.issueOpened=new e("issue-opened",{fontCharacter:"\\ea74"}),e.gistPrivate=new e("gist-private",{fontCharacter:"\\ea75"}),e.gitForkPrivate=new e("git-fork-private",{fontCharacter:"\\ea75"}),e.lock=new e("lock",{fontCharacter:"\\ea75"}),e.mirrorPrivate=new e("mirror-private",{fontCharacter:"\\ea75"}),e.close=new e("close",{fontCharacter:"\\ea76"}),e.removeClose=new e("remove-close",{fontCharacter:"\\ea76"}),e.x=new e("x",{fontCharacter:"\\ea76"}),e.repoSync=new e("repo-sync",{fontCharacter:"\\ea77"}),e.sync=new e("sync",{fontCharacter:"\\ea77"}),e.clone=new e("clone",{fontCharacter:"\\ea78"}),e.desktopDownload=new e("desktop-download",{fontCharacter:"\\ea78"}),e.beaker=new e("beaker",{fontCharacter:"\\ea79"}),e.microscope=new e("microscope",{fontCharacter:"\\ea79"}),e.vm=new e("vm",{fontCharacter:"\\ea7a"}),e.deviceDesktop=new e("device-desktop",{fontCharacter:"\\ea7a"}),e.file=new e("file",{fontCharacter:"\\ea7b"}),e.fileText=new e("file-text",{fontCharacter:"\\ea7b"}),e.more=new e("more",{fontCharacter:"\\ea7c"}),e.ellipsis=new e("ellipsis",{fontCharacter:"\\ea7c"}),e.kebabHorizontal=new e("kebab-horizontal",{fontCharacter:"\\ea7c"}),e.mailReply=new e("mail-reply",{fontCharacter:"\\ea7d"}),e.reply=new e("reply",{fontCharacter:"\\ea7d"}),e.organization=new e("organization",{fontCharacter:"\\ea7e"}),e.organizationFilled=new e("organization-filled",{fontCharacter:"\\ea7e"}),e.organizationOutline=new e("organization-outline",{fontCharacter:"\\ea7e"}),e.newFile=new e("new-file",{fontCharacter:"\\ea7f"}),e.fileAdd=new e("file-add",{fontCharacter:"\\ea7f"}),e.newFolder=new e("new-folder",{fontCharacter:"\\ea80"}),e.fileDirectoryCreate=new e("file-directory-create",{fontCharacter:"\\ea80"}),e.trash=new e("trash",{fontCharacter:"\\ea81"}),e.trashcan=new e("trashcan",{fontCharacter:"\\ea81"}),e.history=new e("history",{fontCharacter:"\\ea82"}),e.clock=new e("clock",{fontCharacter:"\\ea82"}),e.folder=new e("folder",{fontCharacter:"\\ea83"}),e.fileDirectory=new e("file-directory",{fontCharacter:"\\ea83"}),e.symbolFolder=new e("symbol-folder",{fontCharacter:"\\ea83"}),e.logoGithub=new e("logo-github",{fontCharacter:"\\ea84"}),e.markGithub=new e("mark-github",{fontCharacter:"\\ea84"}),e.github=new e("github",{fontCharacter:"\\ea84"}),e.terminal=new e("terminal",{fontCharacter:"\\ea85"}),e.console=new e("console",{fontCharacter:"\\ea85"}),e.repl=new e("repl",{fontCharacter:"\\ea85"}),e.zap=new e("zap",{fontCharacter:"\\ea86"}),e.symbolEvent=new e("symbol-event",{fontCharacter:"\\ea86"}),e.error=new e("error",{fontCharacter:"\\ea87"}),e.stop=new e("stop",{fontCharacter:"\\ea87"}),e.variable=new e("variable",{fontCharacter:"\\ea88"}),e.symbolVariable=new e("symbol-variable",{fontCharacter:"\\ea88"}),e.array=new e("array",{fontCharacter:"\\ea8a"}),e.symbolArray=new e("symbol-array",{fontCharacter:"\\ea8a"}),e.symbolModule=new e("symbol-module",{fontCharacter:"\\ea8b"}),e.symbolPackage=new e("symbol-package",{fontCharacter:"\\ea8b"}),e.symbolNamespace=new e("symbol-namespace",{fontCharacter:"\\ea8b"}),e.symbolObject=new e("symbol-object",{fontCharacter:"\\ea8b"}),e.symbolMethod=new e("symbol-method",{fontCharacter:"\\ea8c"}),e.symbolFunction=new e("symbol-function",{fontCharacter:"\\ea8c"}),e.symbolConstructor=new e("symbol-constructor",{fontCharacter:"\\ea8c"}),e.symbolBoolean=new e("symbol-boolean",{fontCharacter:"\\ea8f"}),e.symbolNull=new e("symbol-null",{fontCharacter:"\\ea8f"}),e.symbolNumeric=new e("symbol-numeric",{fontCharacter:"\\ea90"}),e.symbolNumber=new e("symbol-number",{fontCharacter:"\\ea90"}),e.symbolStructure=new e("symbol-structure",{fontCharacter:"\\ea91"}),e.symbolStruct=new e("symbol-struct",{fontCharacter:"\\ea91"}),e.symbolParameter=new e("symbol-parameter",{fontCharacter:"\\ea92"}),e.symbolTypeParameter=new e("symbol-type-parameter",{fontCharacter:"\\ea92"}),e.symbolKey=new e("symbol-key",{fontCharacter:"\\ea93"}),e.symbolText=new e("symbol-text",{fontCharacter:"\\ea93"}),e.symbolReference=new e("symbol-reference",{fontCharacter:"\\ea94"}),e.goToFile=new e("go-to-file",{fontCharacter:"\\ea94"}),e.symbolEnum=new e("symbol-enum",{fontCharacter:"\\ea95"}),e.symbolValue=new e("symbol-value",{fontCharacter:"\\ea95"}),e.symbolRuler=new e("symbol-ruler",{fontCharacter:"\\ea96"}),e.symbolUnit=new e("symbol-unit",{fontCharacter:"\\ea96"}),e.activateBreakpoints=new e("activate-breakpoints",{fontCharacter:"\\ea97"}),e.archive=new e("archive",{fontCharacter:"\\ea98"}),e.arrowBoth=new e("arrow-both",{fontCharacter:"\\ea99"}),e.arrowDown=new e("arrow-down",{fontCharacter:"\\ea9a"}),e.arrowLeft=new e("arrow-left",{fontCharacter:"\\ea9b"}),e.arrowRight=new e("arrow-right",{fontCharacter:"\\ea9c"}),e.arrowSmallDown=new e("arrow-small-down",{fontCharacter:"\\ea9d"}),e.arrowSmallLeft=new e("arrow-small-left",{fontCharacter:"\\ea9e"}),e.arrowSmallRight=new e("arrow-small-right",{fontCharacter:"\\ea9f"}),e.arrowSmallUp=new e("arrow-small-up",{fontCharacter:"\\eaa0"}),e.arrowUp=new e("arrow-up",{fontCharacter:"\\eaa1"}),e.bell=new e("bell",{fontCharacter:"\\eaa2"}),e.bold=new e("bold",{fontCharacter:"\\eaa3"}),e.book=new e("book",{fontCharacter:"\\eaa4"}),e.bookmark=new e("bookmark",{fontCharacter:"\\eaa5"}),e.debugBreakpointConditionalUnverified=new e("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),e.debugBreakpointConditional=new e("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),e.debugBreakpointConditionalDisabled=new e("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),e.debugBreakpointDataUnverified=new e("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),e.debugBreakpointData=new e("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),e.debugBreakpointDataDisabled=new e("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),e.debugBreakpointLogUnverified=new e("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),e.debugBreakpointLog=new e("debug-breakpoint-log",{fontCharacter:"\\eaab"}),e.debugBreakpointLogDisabled=new e("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),e.briefcase=new e("briefcase",{fontCharacter:"\\eaac"}),e.broadcast=new e("broadcast",{fontCharacter:"\\eaad"}),e.browser=new e("browser",{fontCharacter:"\\eaae"}),e.bug=new e("bug",{fontCharacter:"\\eaaf"}),e.calendar=new e("calendar",{fontCharacter:"\\eab0"}),e.caseSensitive=new e("case-sensitive",{fontCharacter:"\\eab1"}),e.check=new e("check",{fontCharacter:"\\eab2"}),e.checklist=new e("checklist",{fontCharacter:"\\eab3"}),e.chevronDown=new e("chevron-down",{fontCharacter:"\\eab4"}),e.dropDownButton=new e("drop-down-button",e.chevronDown.definition),e.chevronLeft=new e("chevron-left",{fontCharacter:"\\eab5"}),e.chevronRight=new e("chevron-right",{fontCharacter:"\\eab6"}),e.chevronUp=new e("chevron-up",{fontCharacter:"\\eab7"}),e.chromeClose=new e("chrome-close",{fontCharacter:"\\eab8"}),e.chromeMaximize=new e("chrome-maximize",{fontCharacter:"\\eab9"}),e.chromeMinimize=new e("chrome-minimize",{fontCharacter:"\\eaba"}),e.chromeRestore=new e("chrome-restore",{fontCharacter:"\\eabb"}),e.circle=new e("circle",{fontCharacter:"\\eabc"}),e.circleOutline=new e("circle-outline",e.circle.definition),e.debugBreakpointUnverified=new e("debug-breakpoint-unverified",e.circle.definition),e.circleSlash=new e("circle-slash",{fontCharacter:"\\eabd"}),e.circuitBoard=new e("circuit-board",{fontCharacter:"\\eabe"}),e.clearAll=new e("clear-all",{fontCharacter:"\\eabf"}),e.clippy=new e("clippy",{fontCharacter:"\\eac0"}),e.closeAll=new e("close-all",{fontCharacter:"\\eac1"}),e.cloudDownload=new e("cloud-download",{fontCharacter:"\\eac2"}),e.cloudUpload=new e("cloud-upload",{fontCharacter:"\\eac3"}),e.code=new e("code",{fontCharacter:"\\eac4"}),e.collapseAll=new e("collapse-all",{fontCharacter:"\\eac5"}),e.colorMode=new e("color-mode",{fontCharacter:"\\eac6"}),e.commentDiscussion=new e("comment-discussion",{fontCharacter:"\\eac7"}),e.compareChanges=new e("compare-changes",{fontCharacter:"\\eafd"}),e.creditCard=new e("credit-card",{fontCharacter:"\\eac9"}),e.dash=new e("dash",{fontCharacter:"\\eacc"}),e.dashboard=new e("dashboard",{fontCharacter:"\\eacd"}),e.database=new e("database",{fontCharacter:"\\eace"}),e.debugContinue=new e("debug-continue",{fontCharacter:"\\eacf"}),e.debugDisconnect=new e("debug-disconnect",{fontCharacter:"\\ead0"}),e.debugPause=new e("debug-pause",{fontCharacter:"\\ead1"}),e.debugRestart=new e("debug-restart",{fontCharacter:"\\ead2"}),e.debugStart=new e("debug-start",{fontCharacter:"\\ead3"}),e.debugStepInto=new e("debug-step-into",{fontCharacter:"\\ead4"}),e.debugStepOut=new e("debug-step-out",{fontCharacter:"\\ead5"}),e.debugStepOver=new e("debug-step-over",{fontCharacter:"\\ead6"}),e.debugStop=new e("debug-stop",{fontCharacter:"\\ead7"}),e.debug=new e("debug",{fontCharacter:"\\ead8"}),e.deviceCameraVideo=new e("device-camera-video",{fontCharacter:"\\ead9"}),e.deviceCamera=new e("device-camera",{fontCharacter:"\\eada"}),e.deviceMobile=new e("device-mobile",{fontCharacter:"\\eadb"}),e.diffAdded=new e("diff-added",{fontCharacter:"\\eadc"}),e.diffIgnored=new e("diff-ignored",{fontCharacter:"\\eadd"}),e.diffModified=new e("diff-modified",{fontCharacter:"\\eade"}),e.diffRemoved=new e("diff-removed",{fontCharacter:"\\eadf"}),e.diffRenamed=new e("diff-renamed",{fontCharacter:"\\eae0"}),e.diff=new e("diff",{fontCharacter:"\\eae1"}),e.discard=new e("discard",{fontCharacter:"\\eae2"}),e.editorLayout=new e("editor-layout",{fontCharacter:"\\eae3"}),e.emptyWindow=new e("empty-window",{fontCharacter:"\\eae4"}),e.exclude=new e("exclude",{fontCharacter:"\\eae5"}),e.extensions=new e("extensions",{fontCharacter:"\\eae6"}),e.eyeClosed=new e("eye-closed",{fontCharacter:"\\eae7"}),e.fileBinary=new e("file-binary",{fontCharacter:"\\eae8"}),e.fileCode=new e("file-code",{fontCharacter:"\\eae9"}),e.fileMedia=new e("file-media",{fontCharacter:"\\eaea"}),e.filePdf=new e("file-pdf",{fontCharacter:"\\eaeb"}),e.fileSubmodule=new e("file-submodule",{fontCharacter:"\\eaec"}),e.fileSymlinkDirectory=new e("file-symlink-directory",{fontCharacter:"\\eaed"}),e.fileSymlinkFile=new e("file-symlink-file",{fontCharacter:"\\eaee"}),e.fileZip=new e("file-zip",{fontCharacter:"\\eaef"}),e.files=new e("files",{fontCharacter:"\\eaf0"}),e.filter=new e("filter",{fontCharacter:"\\eaf1"}),e.flame=new e("flame",{fontCharacter:"\\eaf2"}),e.foldDown=new e("fold-down",{fontCharacter:"\\eaf3"}),e.foldUp=new e("fold-up",{fontCharacter:"\\eaf4"}),e.fold=new e("fold",{fontCharacter:"\\eaf5"}),e.folderActive=new e("folder-active",{fontCharacter:"\\eaf6"}),e.folderOpened=new e("folder-opened",{fontCharacter:"\\eaf7"}),e.gear=new e("gear",{fontCharacter:"\\eaf8"}),e.gift=new e("gift",{fontCharacter:"\\eaf9"}),e.gistSecret=new e("gist-secret",{fontCharacter:"\\eafa"}),e.gist=new e("gist",{fontCharacter:"\\eafb"}),e.gitCommit=new e("git-commit",{fontCharacter:"\\eafc"}),e.gitCompare=new e("git-compare",{fontCharacter:"\\eafd"}),e.gitMerge=new e("git-merge",{fontCharacter:"\\eafe"}),e.githubAction=new e("github-action",{fontCharacter:"\\eaff"}),e.githubAlt=new e("github-alt",{fontCharacter:"\\eb00"}),e.globe=new e("globe",{fontCharacter:"\\eb01"}),e.grabber=new e("grabber",{fontCharacter:"\\eb02"}),e.graph=new e("graph",{fontCharacter:"\\eb03"}),e.gripper=new e("gripper",{fontCharacter:"\\eb04"}),e.heart=new e("heart",{fontCharacter:"\\eb05"}),e.home=new e("home",{fontCharacter:"\\eb06"}),e.horizontalRule=new e("horizontal-rule",{fontCharacter:"\\eb07"}),e.hubot=new e("hubot",{fontCharacter:"\\eb08"}),e.inbox=new e("inbox",{fontCharacter:"\\eb09"}),e.issueClosed=new e("issue-closed",{fontCharacter:"\\eba4"}),e.issueReopened=new e("issue-reopened",{fontCharacter:"\\eb0b"}),e.issues=new e("issues",{fontCharacter:"\\eb0c"}),e.italic=new e("italic",{fontCharacter:"\\eb0d"}),e.jersey=new e("jersey",{fontCharacter:"\\eb0e"}),e.json=new e("json",{fontCharacter:"\\eb0f"}),e.kebabVertical=new e("kebab-vertical",{fontCharacter:"\\eb10"}),e.key=new e("key",{fontCharacter:"\\eb11"}),e.law=new e("law",{fontCharacter:"\\eb12"}),e.lightbulbAutofix=new e("lightbulb-autofix",{fontCharacter:"\\eb13"}),e.linkExternal=new e("link-external",{fontCharacter:"\\eb14"}),e.link=new e("link",{fontCharacter:"\\eb15"}),e.listOrdered=new e("list-ordered",{fontCharacter:"\\eb16"}),e.listUnordered=new e("list-unordered",{fontCharacter:"\\eb17"}),e.liveShare=new e("live-share",{fontCharacter:"\\eb18"}),e.loading=new e("loading",{fontCharacter:"\\eb19"}),e.location=new e("location",{fontCharacter:"\\eb1a"}),e.mailRead=new e("mail-read",{fontCharacter:"\\eb1b"}),e.mail=new e("mail",{fontCharacter:"\\eb1c"}),e.markdown=new e("markdown",{fontCharacter:"\\eb1d"}),e.megaphone=new e("megaphone",{fontCharacter:"\\eb1e"}),e.mention=new e("mention",{fontCharacter:"\\eb1f"}),e.milestone=new e("milestone",{fontCharacter:"\\eb20"}),e.mortarBoard=new e("mortar-board",{fontCharacter:"\\eb21"}),e.move=new e("move",{fontCharacter:"\\eb22"}),e.multipleWindows=new e("multiple-windows",{fontCharacter:"\\eb23"}),e.mute=new e("mute",{fontCharacter:"\\eb24"}),e.noNewline=new e("no-newline",{fontCharacter:"\\eb25"}),e.note=new e("note",{fontCharacter:"\\eb26"}),e.octoface=new e("octoface",{fontCharacter:"\\eb27"}),e.openPreview=new e("open-preview",{fontCharacter:"\\eb28"}),e.package_=new e("package",{fontCharacter:"\\eb29"}),e.paintcan=new e("paintcan",{fontCharacter:"\\eb2a"}),e.pin=new e("pin",{fontCharacter:"\\eb2b"}),e.play=new e("play",{fontCharacter:"\\eb2c"}),e.run=new e("run",{fontCharacter:"\\eb2c"}),e.plug=new e("plug",{fontCharacter:"\\eb2d"}),e.preserveCase=new e("preserve-case",{fontCharacter:"\\eb2e"}),e.preview=new e("preview",{fontCharacter:"\\eb2f"}),e.project=new e("project",{fontCharacter:"\\eb30"}),e.pulse=new e("pulse",{fontCharacter:"\\eb31"}),e.question=new e("question",{fontCharacter:"\\eb32"}),e.quote=new e("quote",{fontCharacter:"\\eb33"}),e.radioTower=new e("radio-tower",{fontCharacter:"\\eb34"}),e.reactions=new e("reactions",{fontCharacter:"\\eb35"}),e.references=new e("references",{fontCharacter:"\\eb36"}),e.refresh=new e("refresh",{fontCharacter:"\\eb37"}),e.regex=new e("regex",{fontCharacter:"\\eb38"}),e.remoteExplorer=new e("remote-explorer",{fontCharacter:"\\eb39"}),e.remote=new e("remote",{fontCharacter:"\\eb3a"}),e.remove=new e("remove",{fontCharacter:"\\eb3b"}),e.replaceAll=new e("replace-all",{fontCharacter:"\\eb3c"}),e.replace=new e("replace",{fontCharacter:"\\eb3d"}),e.repoClone=new e("repo-clone",{fontCharacter:"\\eb3e"}),e.repoForcePush=new e("repo-force-push",{fontCharacter:"\\eb3f"}),e.repoPull=new e("repo-pull",{fontCharacter:"\\eb40"}),e.repoPush=new e("repo-push",{fontCharacter:"\\eb41"}),e.report=new e("report",{fontCharacter:"\\eb42"}),e.requestChanges=new e("request-changes",{fontCharacter:"\\eb43"}),e.rocket=new e("rocket",{fontCharacter:"\\eb44"}),e.rootFolderOpened=new e("root-folder-opened",{fontCharacter:"\\eb45"}),e.rootFolder=new e("root-folder",{fontCharacter:"\\eb46"}),e.rss=new e("rss",{fontCharacter:"\\eb47"}),e.ruby=new e("ruby",{fontCharacter:"\\eb48"}),e.saveAll=new e("save-all",{fontCharacter:"\\eb49"}),e.saveAs=new e("save-as",{fontCharacter:"\\eb4a"}),e.save=new e("save",{fontCharacter:"\\eb4b"}),e.screenFull=new e("screen-full",{fontCharacter:"\\eb4c"}),e.screenNormal=new e("screen-normal",{fontCharacter:"\\eb4d"}),e.searchStop=new e("search-stop",{fontCharacter:"\\eb4e"}),e.server=new e("server",{fontCharacter:"\\eb50"}),e.settingsGear=new e("settings-gear",{fontCharacter:"\\eb51"}),e.settings=new e("settings",{fontCharacter:"\\eb52"}),e.shield=new e("shield",{fontCharacter:"\\eb53"}),e.smiley=new e("smiley",{fontCharacter:"\\eb54"}),e.sortPrecedence=new e("sort-precedence",{fontCharacter:"\\eb55"}),e.splitHorizontal=new e("split-horizontal",{fontCharacter:"\\eb56"}),e.splitVertical=new e("split-vertical",{fontCharacter:"\\eb57"}),e.squirrel=new e("squirrel",{fontCharacter:"\\eb58"}),e.starFull=new e("star-full",{fontCharacter:"\\eb59"}),e.starHalf=new e("star-half",{fontCharacter:"\\eb5a"}),e.symbolClass=new e("symbol-class",{fontCharacter:"\\eb5b"}),e.symbolColor=new e("symbol-color",{fontCharacter:"\\eb5c"}),e.symbolCustomColor=new e("symbol-customcolor",{fontCharacter:"\\eb5c"}),e.symbolConstant=new e("symbol-constant",{fontCharacter:"\\eb5d"}),e.symbolEnumMember=new e("symbol-enum-member",{fontCharacter:"\\eb5e"}),e.symbolField=new e("symbol-field",{fontCharacter:"\\eb5f"}),e.symbolFile=new e("symbol-file",{fontCharacter:"\\eb60"}),e.symbolInterface=new e("symbol-interface",{fontCharacter:"\\eb61"}),e.symbolKeyword=new e("symbol-keyword",{fontCharacter:"\\eb62"}),e.symbolMisc=new e("symbol-misc",{fontCharacter:"\\eb63"}),e.symbolOperator=new e("symbol-operator",{fontCharacter:"\\eb64"}),e.symbolProperty=new e("symbol-property",{fontCharacter:"\\eb65"}),e.wrench=new e("wrench",{fontCharacter:"\\eb65"}),e.wrenchSubaction=new e("wrench-subaction",{fontCharacter:"\\eb65"}),e.symbolSnippet=new e("symbol-snippet",{fontCharacter:"\\eb66"}),e.tasklist=new e("tasklist",{fontCharacter:"\\eb67"}),e.telescope=new e("telescope",{fontCharacter:"\\eb68"}),e.textSize=new e("text-size",{fontCharacter:"\\eb69"}),e.threeBars=new e("three-bars",{fontCharacter:"\\eb6a"}),e.thumbsdown=new e("thumbsdown",{fontCharacter:"\\eb6b"}),e.thumbsup=new e("thumbsup",{fontCharacter:"\\eb6c"}),e.tools=new e("tools",{fontCharacter:"\\eb6d"}),e.triangleDown=new e("triangle-down",{fontCharacter:"\\eb6e"}),e.triangleLeft=new e("triangle-left",{fontCharacter:"\\eb6f"}),e.triangleRight=new e("triangle-right",{fontCharacter:"\\eb70"}),e.triangleUp=new e("triangle-up",{fontCharacter:"\\eb71"}),e.twitter=new e("twitter",{fontCharacter:"\\eb72"}),e.unfold=new e("unfold",{fontCharacter:"\\eb73"}),e.unlock=new e("unlock",{fontCharacter:"\\eb74"}),e.unmute=new e("unmute",{fontCharacter:"\\eb75"}),e.unverified=new e("unverified",{fontCharacter:"\\eb76"}),e.verified=new e("verified",{fontCharacter:"\\eb77"}),e.versions=new e("versions",{fontCharacter:"\\eb78"}),e.vmActive=new e("vm-active",{fontCharacter:"\\eb79"}),e.vmOutline=new e("vm-outline",{fontCharacter:"\\eb7a"}),e.vmRunning=new e("vm-running",{fontCharacter:"\\eb7b"}),e.watch=new e("watch",{fontCharacter:"\\eb7c"}),e.whitespace=new e("whitespace",{fontCharacter:"\\eb7d"}),e.wholeWord=new e("whole-word",{fontCharacter:"\\eb7e"}),e.window=new e("window",{fontCharacter:"\\eb7f"}),e.wordWrap=new e("word-wrap",{fontCharacter:"\\eb80"}),e.zoomIn=new e("zoom-in",{fontCharacter:"\\eb81"}),e.zoomOut=new e("zoom-out",{fontCharacter:"\\eb82"}),e.listFilter=new e("list-filter",{fontCharacter:"\\eb83"}),e.listFlat=new e("list-flat",{fontCharacter:"\\eb84"}),e.listSelection=new e("list-selection",{fontCharacter:"\\eb85"}),e.selection=new e("selection",{fontCharacter:"\\eb85"}),e.listTree=new e("list-tree",{fontCharacter:"\\eb86"}),e.debugBreakpointFunctionUnverified=new e("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),e.debugBreakpointFunction=new e("debug-breakpoint-function",{fontCharacter:"\\eb88"}),e.debugBreakpointFunctionDisabled=new e("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),e.debugStackframeActive=new e("debug-stackframe-active",{fontCharacter:"\\eb89"}),e.circleSmallFilled=new e("circle-small-filled",{fontCharacter:"\\eb8a"}),e.debugStackframeDot=new e("debug-stackframe-dot",e.circleSmallFilled.definition),e.debugStackframe=new e("debug-stackframe",{fontCharacter:"\\eb8b"}),e.debugStackframeFocused=new e("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),e.debugBreakpointUnsupported=new e("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),e.symbolString=new e("symbol-string",{fontCharacter:"\\eb8d"}),e.debugReverseContinue=new e("debug-reverse-continue",{fontCharacter:"\\eb8e"}),e.debugStepBack=new e("debug-step-back",{fontCharacter:"\\eb8f"}),e.debugRestartFrame=new e("debug-restart-frame",{fontCharacter:"\\eb90"}),e.callIncoming=new e("call-incoming",{fontCharacter:"\\eb92"}),e.callOutgoing=new e("call-outgoing",{fontCharacter:"\\eb93"}),e.menu=new e("menu",{fontCharacter:"\\eb94"}),e.expandAll=new e("expand-all",{fontCharacter:"\\eb95"}),e.feedback=new e("feedback",{fontCharacter:"\\eb96"}),e.groupByRefType=new e("group-by-ref-type",{fontCharacter:"\\eb97"}),e.ungroupByRefType=new e("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),e.account=new e("account",{fontCharacter:"\\eb99"}),e.bellDot=new e("bell-dot",{fontCharacter:"\\eb9a"}),e.debugConsole=new e("debug-console",{fontCharacter:"\\eb9b"}),e.library=new e("library",{fontCharacter:"\\eb9c"}),e.output=new e("output",{fontCharacter:"\\eb9d"}),e.runAll=new e("run-all",{fontCharacter:"\\eb9e"}),e.syncIgnored=new e("sync-ignored",{fontCharacter:"\\eb9f"}),e.pinned=new e("pinned",{fontCharacter:"\\eba0"}),e.githubInverted=new e("github-inverted",{fontCharacter:"\\eba1"}),e.debugAlt=new e("debug-alt",{fontCharacter:"\\eb91"}),e.serverProcess=new e("server-process",{fontCharacter:"\\eba2"}),e.serverEnvironment=new e("server-environment",{fontCharacter:"\\eba3"}),e.pass=new e("pass",{fontCharacter:"\\eba4"}),e.stopCircle=new e("stop-circle",{fontCharacter:"\\eba5"}),e.playCircle=new e("play-circle",{fontCharacter:"\\eba6"}),e.record=new e("record",{fontCharacter:"\\eba7"}),e.debugAltSmall=new e("debug-alt-small",{fontCharacter:"\\eba8"}),e.vmConnect=new e("vm-connect",{fontCharacter:"\\eba9"}),e.cloud=new e("cloud",{fontCharacter:"\\ebaa"}),e.merge=new e("merge",{fontCharacter:"\\ebab"}),e.exportIcon=new e("export",{fontCharacter:"\\ebac"}),e.graphLeft=new e("graph-left",{fontCharacter:"\\ebad"}),e.magnet=new e("magnet",{fontCharacter:"\\ebae"}),e.notebook=new e("notebook",{fontCharacter:"\\ebaf"}),e.redo=new e("redo",{fontCharacter:"\\ebb0"}),e.checkAll=new e("check-all",{fontCharacter:"\\ebb1"}),e.pinnedDirty=new e("pinned-dirty",{fontCharacter:"\\ebb2"}),e.passFilled=new e("pass-filled",{fontCharacter:"\\ebb3"}),e.circleLargeFilled=new e("circle-large-filled",{fontCharacter:"\\ebb4"}),e.circleLarge=new e("circle-large",{fontCharacter:"\\ebb5"}),e.circleLargeOutline=new e("circle-large-outline",e.circleLarge.definition),e.combine=new e("combine",{fontCharacter:"\\ebb6"}),e.gather=new e("gather",{fontCharacter:"\\ebb6"}),e.table=new e("table",{fontCharacter:"\\ebb7"}),e.variableGroup=new e("variable-group",{fontCharacter:"\\ebb8"}),e.typeHierarchy=new e("type-hierarchy",{fontCharacter:"\\ebb9"}),e.typeHierarchySub=new e("type-hierarchy-sub",{fontCharacter:"\\ebba"}),e.typeHierarchySuper=new e("type-hierarchy-super",{fontCharacter:"\\ebbb"}),e.gitPullRequestCreate=new e("git-pull-request-create",{fontCharacter:"\\ebbc"}),e.runAbove=new e("run-above",{fontCharacter:"\\ebbd"}),e.runBelow=new e("run-below",{fontCharacter:"\\ebbe"}),e.notebookTemplate=new e("notebook-template",{fontCharacter:"\\ebbf"}),e.debugRerun=new e("debug-rerun",{fontCharacter:"\\ebc0"}),e.workspaceTrusted=new e("workspace-trusted",{fontCharacter:"\\ebc1"}),e.workspaceUntrusted=new e("workspace-untrusted",{fontCharacter:"\\ebc2"}),e.workspaceUnspecified=new e("workspace-unspecified",{fontCharacter:"\\ebc3"}),e.terminalCmd=new e("terminal-cmd",{fontCharacter:"\\ebc4"}),e.terminalDebian=new e("terminal-debian",{fontCharacter:"\\ebc5"}),e.terminalLinux=new e("terminal-linux",{fontCharacter:"\\ebc6"}),e.terminalPowershell=new e("terminal-powershell",{fontCharacter:"\\ebc7"}),e.terminalTmux=new e("terminal-tmux",{fontCharacter:"\\ebc8"}),e.terminalUbuntu=new e("terminal-ubuntu",{fontCharacter:"\\ebc9"}),e.terminalBash=new e("terminal-bash",{fontCharacter:"\\ebca"}),e.arrowSwap=new e("arrow-swap",{fontCharacter:"\\ebcb"}),e.copy=new e("copy",{fontCharacter:"\\ebcc"}),e.personAdd=new e("person-add",{fontCharacter:"\\ebcd"}),e.filterFilled=new e("filter-filled",{fontCharacter:"\\ebce"}),e.wand=new e("wand",{fontCharacter:"\\ebcf"}),e.debugLineByLine=new e("debug-line-by-line",{fontCharacter:"\\ebd0"}),e.inspect=new e("inspect",{fontCharacter:"\\ebd1"}),e.layers=new e("layers",{fontCharacter:"\\ebd2"}),e.layersDot=new e("layers-dot",{fontCharacter:"\\ebd3"}),e.layersActive=new e("layers-active",{fontCharacter:"\\ebd4"}),e.compass=new e("compass",{fontCharacter:"\\ebd5"}),e.compassDot=new e("compass-dot",{fontCharacter:"\\ebd6"}),e.compassActive=new e("compass-active",{fontCharacter:"\\ebd7"}),e.azure=new e("azure",{fontCharacter:"\\ebd8"}),e.issueDraft=new e("issue-draft",{fontCharacter:"\\ebd9"}),e.gitPullRequestClosed=new e("git-pull-request-closed",{fontCharacter:"\\ebda"}),e.gitPullRequestDraft=new e("git-pull-request-draft",{fontCharacter:"\\ebdb"}),e.debugAll=new e("debug-all",{fontCharacter:"\\ebdc"}),e.debugCoverage=new e("debug-coverage",{fontCharacter:"\\ebdd"}),e.runErrors=new e("run-errors",{fontCharacter:"\\ebde"}),e.folderLibrary=new e("folder-library",{fontCharacter:"\\ebdf"}),e.debugContinueSmall=new e("debug-continue-small",{fontCharacter:"\\ebe0"}),e.beakerStop=new e("beaker-stop",{fontCharacter:"\\ebe1"}),e.graphLine=new e("graph-line",{fontCharacter:"\\ebe2"}),e.graphScatter=new e("graph-scatter",{fontCharacter:"\\ebe3"}),e.pieChart=new e("pie-chart",{fontCharacter:"\\ebe4"}),e.bracket=new e("bracket",e.json.definition),e.bracketDot=new e("bracket-dot",{fontCharacter:"\\ebe5"}),e.bracketError=new e("bracket-error",{fontCharacter:"\\ebe6"}),e.lockSmall=new e("lock-small",{fontCharacter:"\\ebe7"}),e.azureDevops=new e("azure-devops",{fontCharacter:"\\ebe8"}),e.verifiedFilled=new e("verified-filled",{fontCharacter:"\\ebe9"}),e.newLine=new e("newline",{fontCharacter:"\\ebea"}),e.layout=new e("layout",{fontCharacter:"\\ebeb"}),e.layoutActivitybarLeft=new e("layout-activitybar-left",{fontCharacter:"\\ebec"}),e.layoutActivitybarRight=new e("layout-activitybar-right",{fontCharacter:"\\ebed"}),e.layoutPanelLeft=new e("layout-panel-left",{fontCharacter:"\\ebee"}),e.layoutPanelCenter=new e("layout-panel-center",{fontCharacter:"\\ebef"}),e.layoutPanelJustify=new e("layout-panel-justify",{fontCharacter:"\\ebf0"}),e.layoutPanelRight=new e("layout-panel-right",{fontCharacter:"\\ebf1"}),e.layoutPanel=new e("layout-panel",{fontCharacter:"\\ebf2"}),e.layoutSidebarLeft=new e("layout-sidebar-left",{fontCharacter:"\\ebf3"}),e.layoutSidebarRight=new e("layout-sidebar-right",{fontCharacter:"\\ebf4"}),e.layoutStatusbar=new e("layout-statusbar",{fontCharacter:"\\ebf5"}),e.layoutMenubar=new e("layout-menubar",{fontCharacter:"\\ebf6"}),e.layoutCentered=new e("layout-centered",{fontCharacter:"\\ebf7"}),e.layoutSidebarRightOff=new e("layout-sidebar-right-off",{fontCharacter:"\\ec00"}),e.layoutPanelOff=new e("layout-panel-off",{fontCharacter:"\\ec01"}),e.layoutSidebarLeftOff=new e("layout-sidebar-left-off",{fontCharacter:"\\ec02"}),e.target=new e("target",{fontCharacter:"\\ebf8"}),e.indent=new e("indent",{fontCharacter:"\\ebf9"}),e.recordSmall=new e("record-small",{fontCharacter:"\\ebfa"}),e.errorSmall=new e("error-small",{fontCharacter:"\\ebfb"}),e.arrowCircleDown=new e("arrow-circle-down",{fontCharacter:"\\ebfc"}),e.arrowCircleLeft=new e("arrow-circle-left",{fontCharacter:"\\ebfd"}),e.arrowCircleRight=new e("arrow-circle-right",{fontCharacter:"\\ebfe"}),e.arrowCircleUp=new e("arrow-circle-up",{fontCharacter:"\\ebff"}),e.heartFilled=new e("heart-filled",{fontCharacter:"\\ec04"}),e.map=new e("map",{fontCharacter:"\\ec05"}),e.mapFilled=new e("map-filled",{fontCharacter:"\\ec06"}),e.circleSmall=new e("circle-small",{fontCharacter:"\\ec07"}),e.bellSlash=new e("bell-slash",{fontCharacter:"\\ec08"}),e.bellSlashDot=new e("bell-slash-dot",{fontCharacter:"\\ec09"}),e.commentUnresolved=new e("comment-unresolved",{fontCharacter:"\\ec0a"}),e.gitPullRequestGoToChanges=new e("git-pull-request-go-to-changes",{fontCharacter:"\\ec0b"}),e.gitPullRequestNewChanges=new e("git-pull-request-new-changes",{fontCharacter:"\\ec0c"}),e.searchFuzzy=new e("search-fuzzy",{fontCharacter:"\\ec0d"}),e.commentDraft=new e("comment-draft",{fontCharacter:"\\ec0e"}),e.dialogError=new e("dialog-error",e.error.definition),e.dialogWarning=new e("dialog-warning",e.warning.definition),e.dialogInfo=new e("dialog-info",e.info.definition),e.dialogClose=new e("dialog-close",e.close.definition),e.treeItemExpanded=new e("tree-item-expanded",e.chevronDown.definition),e.treeFilterOnTypeOn=new e("tree-filter-on-type-on",e.listFilter.definition),e.treeFilterOnTypeOff=new e("tree-filter-on-type-off",e.listSelection.definition),e.treeFilterClear=new e("tree-filter-clear",e.close.definition),e.treeItemLoading=new e("tree-item-loading",e.loading.definition),e.menuSelection=new e("menu-selection",e.check.definition),e.menuSubmenu=new e("menu-submenu",e.chevronRight.definition),e.menuBarMore=new e("menubar-more",e.more.definition),e.scrollbarButtonLeft=new e("scrollbar-button-left",e.triangleLeft.definition),e.scrollbarButtonRight=new e("scrollbar-button-right",e.triangleRight.definition),e.scrollbarButtonUp=new e("scrollbar-button-up",e.triangleUp.definition),e.scrollbarButtonDown=new e("scrollbar-button-down",e.triangleDown.definition),e.toolBarMore=new e("toolbar-more",e.more.definition),e.quickInputBack=new e("quick-input-back",e.arrowLeft.definition);var E;(function(c){c.iconNameSegment="[A-Za-z0-9]+",c.iconNameExpression="[A-Za-z0-9-]+",c.iconModifierExpression="~[A-Za-z]+",c.iconNameCharacter="[A-Za-z0-9~-]";const L=new RegExp(`^(${c.iconNameExpression})(${c.iconModifierExpression})?$`);function v(p){if(p instanceof e)return["codicon","codicon-"+p.id];const t=L.exec(p.id);if(!t)return v(e.error);const[,C,u]=t,m=["codicon","codicon-"+C];return u&&m.push("codicon-modifier-"+u.substring(1)),m}c.asClassNameArray=v;function l(p){return v(p).join(" ")}c.asClassName=l;function f(p){return"."+v(p).join(".")}c.asCSSSelector=f})(E=r.CSSIcon||(r.CSSIcon={}))}),X(Q[25],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DiffChange=void 0;class _{constructor(E,c,L,v){this.originalStart=E,this.originalLength=c,this.modifiedStart=L,this.modifiedLength=v}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}r.DiffChange=_}),X(Q[8],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.BugIndicatingError=r.ErrorNoTelemetry=r.NotSupportedError=r.illegalState=r.illegalArgument=r.canceled=r.CancellationError=r.isCancellationError=r.transformErrorForSerialization=r.onUnexpectedExternalError=r.onUnexpectedError=r.errorHandler=r.ErrorHandler=void 0;class _{constructor(){this.b=[],this.a=function(S){setTimeout(()=>{throw S.stack?u.isErrorNoTelemetry(S)?new u(S.message+`

`+S.stack):new Error(S.message+`

`+S.stack):S},0)}}c(S){this.b.forEach(N=>{N(S)})}onUnexpectedError(S){this.a(S),this.c(S)}onUnexpectedExternalError(S){this.a(S)}}r.ErrorHandler=_,r.errorHandler=new _;function e(y){v(y)||r.errorHandler.onUnexpectedError(y)}r.onUnexpectedError=e;function E(y){v(y)||r.errorHandler.onUnexpectedExternalError(y)}r.onUnexpectedExternalError=E;function c(y){if(y instanceof Error){const{name:S,message:N}=y,b=y.stacktrace||y.stack;return{$isError:!0,name:S,message:N,stack:b,noTelemetry:u.isErrorNoTelemetry(y)}}return y}r.transformErrorForSerialization=c;const L="Canceled";function v(y){return y instanceof l?!0:y instanceof Error&&y.name===L&&y.message===L}r.isCancellationError=v;class l extends Error{constructor(){super(L),this.name=this.message}}r.CancellationError=l;function f(){const y=new Error(L);return y.name=y.message,y}r.canceled=f;function p(y){return y?new Error(`Illegal argument: ${y}`):new Error("Illegal argument")}r.illegalArgument=p;function t(y){return y?new Error(`Illegal state: ${y}`):new Error("Illegal state")}r.illegalState=t;class C extends Error{constructor(S){super("NotSupported"),S&&(this.message=S)}}r.NotSupportedError=C;class u extends Error{constructor(S){super(S),this.name="CodeExpectedError"}static fromError(S){if(S instanceof u)return S;const N=new u;return N.message=S.message,N.stack=S.stack,N}static isErrorNoTelemetry(S){return S.name==="CodeExpectedError"}}r.ErrorNoTelemetry=u;class m extends Error{constructor(S){super(S||"An unexpected bug occurred."),Object.setPrototypeOf(this,m.prototype);debugger}}r.BugIndicatingError=m}),X(Q[9],J([0,1,8]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.checkAdjacentItems=r.assertFn=r.assertNever=r.ok=void 0;function e(v,l){if(!v)throw new Error(l?`Assertion failed (${l})`:"Assertion Failed")}r.ok=e;function E(v,l="Unreachable"){throw new Error(l)}r.assertNever=E;function c(v){if(!v()){debugger;v(),(0,_.onUnexpectedError)(new _.BugIndicatingError("Assertion Failed"))}}r.assertFn=c;function L(v,l){let f=0;for(;f<v.length-1;){const p=v[f],t=v[f+1];if(!l(p,t))return!1;f++}return!0}r.checkAdjacentItems=L}),X(Q[26],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.once=void 0;function _(e){const E=this;let c=!1,L;return function(){return c||(c=!0,L=e.apply(E,arguments)),L}}r.once=_}),X(Q[13],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Iterable=void 0;var _;(function(e){function E(i){return i&&typeof i=="object"&&typeof i[Symbol.iterator]=="function"}e.is=E;const c=Object.freeze([]);function L(){return c}e.empty=L;function*v(i){yield i}e.single=v;function l(i){return E(i)?i:v(i)}e.wrap=l;function f(i){return i||c}e.from=f;function p(i){return!i||i[Symbol.iterator]().next().done===!0}e.isEmpty=p;function t(i){return i[Symbol.iterator]().next().value}e.first=t;function C(i,o){for(const g of i)if(o(g))return!0;return!1}e.some=C;function u(i,o){for(const g of i)if(o(g))return g}e.find=u;function*m(i,o){for(const g of i)o(g)&&(yield g)}e.filter=m;function*y(i,o){let g=0;for(const d of i)yield o(d,g++)}e.map=y;function*S(...i){for(const o of i)for(const g of o)yield g}e.concat=S;function N(i,o,g){let d=g;for(const s of i)d=o(d,s);return d}e.reduce=N;function*b(i,o,g=i.length){for(o<0&&(o+=i.length),g<0?g+=i.length:g>i.length&&(g=i.length);o<g;o++)yield i[o]}e.slice=b;function a(i,o=Number.POSITIVE_INFINITY){const g=[];if(o===0)return[g,i];const d=i[Symbol.iterator]();for(let s=0;s<o;s++){const h=d.next();if(h.done)return[g,e.empty()];g.push(h.value)}return[g,{[Symbol.iterator](){return d}}]}e.consume=a})(_=r.Iterable||(r.Iterable={}))}),X(Q[27],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.KeyChord=r.KeyCodeUtils=r.IMMUTABLE_KEY_CODE_TO_CODE=r.IMMUTABLE_CODE_TO_KEY_CODE=r.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE=r.EVENT_KEY_CODE_MAP=void 0;class _{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(C,u){this._keyCodeToStr[C]=u,this._strToKeyCode[u.toLowerCase()]=C}keyCodeToStr(C){return this._keyCodeToStr[C]}strToKeyCode(C){return this._strToKeyCode[C.toLowerCase()]||0}}const e=new _,E=new _,c=new _;r.EVENT_KEY_CODE_MAP=new Array(230),r.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE={};const L=[],v=Object.create(null),l=Object.create(null);r.IMMUTABLE_CODE_TO_KEY_CODE=[],r.IMMUTABLE_KEY_CODE_TO_CODE=[];for(let t=0;t<=193;t++)r.IMMUTABLE_CODE_TO_KEY_CODE[t]=-1;for(let t=0;t<=127;t++)r.IMMUTABLE_KEY_CODE_TO_CODE[t]=-1;(function(){const t="",C=[[0,1,0,"None",0,"unknown",0,"VK_UNKNOWN",t,t],[0,1,1,"Hyper",0,t,0,t,t,t],[0,1,2,"Super",0,t,0,t,t,t],[0,1,3,"Fn",0,t,0,t,t,t],[0,1,4,"FnLock",0,t,0,t,t,t],[0,1,5,"Suspend",0,t,0,t,t,t],[0,1,6,"Resume",0,t,0,t,t,t],[0,1,7,"Turbo",0,t,0,t,t,t],[0,1,8,"Sleep",0,t,0,"VK_SLEEP",t,t],[0,1,9,"WakeUp",0,t,0,t,t,t],[31,0,10,"KeyA",31,"A",65,"VK_A",t,t],[32,0,11,"KeyB",32,"B",66,"VK_B",t,t],[33,0,12,"KeyC",33,"C",67,"VK_C",t,t],[34,0,13,"KeyD",34,"D",68,"VK_D",t,t],[35,0,14,"KeyE",35,"E",69,"VK_E",t,t],[36,0,15,"KeyF",36,"F",70,"VK_F",t,t],[37,0,16,"KeyG",37,"G",71,"VK_G",t,t],[38,0,17,"KeyH",38,"H",72,"VK_H",t,t],[39,0,18,"KeyI",39,"I",73,"VK_I",t,t],[40,0,19,"KeyJ",40,"J",74,"VK_J",t,t],[41,0,20,"KeyK",41,"K",75,"VK_K",t,t],[42,0,21,"KeyL",42,"L",76,"VK_L",t,t],[43,0,22,"KeyM",43,"M",77,"VK_M",t,t],[44,0,23,"KeyN",44,"N",78,"VK_N",t,t],[45,0,24,"KeyO",45,"O",79,"VK_O",t,t],[46,0,25,"KeyP",46,"P",80,"VK_P",t,t],[47,0,26,"KeyQ",47,"Q",81,"VK_Q",t,t],[48,0,27,"KeyR",48,"R",82,"VK_R",t,t],[49,0,28,"KeyS",49,"S",83,"VK_S",t,t],[50,0,29,"KeyT",50,"T",84,"VK_T",t,t],[51,0,30,"KeyU",51,"U",85,"VK_U",t,t],[52,0,31,"KeyV",52,"V",86,"VK_V",t,t],[53,0,32,"KeyW",53,"W",87,"VK_W",t,t],[54,0,33,"KeyX",54,"X",88,"VK_X",t,t],[55,0,34,"KeyY",55,"Y",89,"VK_Y",t,t],[56,0,35,"KeyZ",56,"Z",90,"VK_Z",t,t],[22,0,36,"Digit1",22,"1",49,"VK_1",t,t],[23,0,37,"Digit2",23,"2",50,"VK_2",t,t],[24,0,38,"Digit3",24,"3",51,"VK_3",t,t],[25,0,39,"Digit4",25,"4",52,"VK_4",t,t],[26,0,40,"Digit5",26,"5",53,"VK_5",t,t],[27,0,41,"Digit6",27,"6",54,"VK_6",t,t],[28,0,42,"Digit7",28,"7",55,"VK_7",t,t],[29,0,43,"Digit8",29,"8",56,"VK_8",t,t],[30,0,44,"Digit9",30,"9",57,"VK_9",t,t],[21,0,45,"Digit0",21,"0",48,"VK_0",t,t],[3,1,46,"Enter",3,"Enter",13,"VK_RETURN",t,t],[9,1,47,"Escape",9,"Escape",27,"VK_ESCAPE",t,t],[1,1,48,"Backspace",1,"Backspace",8,"VK_BACK",t,t],[2,1,49,"Tab",2,"Tab",9,"VK_TAB",t,t],[10,1,50,"Space",10,"Space",32,"VK_SPACE",t,t],[83,0,51,"Minus",83,"-",189,"VK_OEM_MINUS","-","OEM_MINUS"],[81,0,52,"Equal",81,"=",187,"VK_OEM_PLUS","=","OEM_PLUS"],[87,0,53,"BracketLeft",87,"[",219,"VK_OEM_4","[","OEM_4"],[89,0,54,"BracketRight",89,"]",221,"VK_OEM_6","]","OEM_6"],[88,0,55,"Backslash",88,"\\",220,"VK_OEM_5","\\","OEM_5"],[0,0,56,"IntlHash",0,t,0,t,t,t],[80,0,57,"Semicolon",80,";",186,"VK_OEM_1",";","OEM_1"],[90,0,58,"Quote",90,"'",222,"VK_OEM_7","'","OEM_7"],[86,0,59,"Backquote",86,"`",192,"VK_OEM_3","`","OEM_3"],[82,0,60,"Comma",82,",",188,"VK_OEM_COMMA",",","OEM_COMMA"],[84,0,61,"Period",84,".",190,"VK_OEM_PERIOD",".","OEM_PERIOD"],[85,0,62,"Slash",85,"/",191,"VK_OEM_2","/","OEM_2"],[8,1,63,"CapsLock",8,"CapsLock",20,"VK_CAPITAL",t,t],[59,1,64,"F1",59,"F1",112,"VK_F1",t,t],[60,1,65,"F2",60,"F2",113,"VK_F2",t,t],[61,1,66,"F3",61,"F3",114,"VK_F3",t,t],[62,1,67,"F4",62,"F4",115,"VK_F4",t,t],[63,1,68,"F5",63,"F5",116,"VK_F5",t,t],[64,1,69,"F6",64,"F6",117,"VK_F6",t,t],[65,1,70,"F7",65,"F7",118,"VK_F7",t,t],[66,1,71,"F8",66,"F8",119,"VK_F8",t,t],[67,1,72,"F9",67,"F9",120,"VK_F9",t,t],[68,1,73,"F10",68,"F10",121,"VK_F10",t,t],[69,1,74,"F11",69,"F11",122,"VK_F11",t,t],[70,1,75,"F12",70,"F12",123,"VK_F12",t,t],[0,1,76,"PrintScreen",0,t,0,t,t,t],[79,1,77,"ScrollLock",79,"ScrollLock",145,"VK_SCROLL",t,t],[7,1,78,"Pause",7,"PauseBreak",19,"VK_PAUSE",t,t],[19,1,79,"Insert",19,"Insert",45,"VK_INSERT",t,t],[14,1,80,"Home",14,"Home",36,"VK_HOME",t,t],[11,1,81,"PageUp",11,"PageUp",33,"VK_PRIOR",t,t],[20,1,82,"Delete",20,"Delete",46,"VK_DELETE",t,t],[13,1,83,"End",13,"End",35,"VK_END",t,t],[12,1,84,"PageDown",12,"PageDown",34,"VK_NEXT",t,t],[17,1,85,"ArrowRight",17,"RightArrow",39,"VK_RIGHT","Right",t],[15,1,86,"ArrowLeft",15,"LeftArrow",37,"VK_LEFT","Left",t],[18,1,87,"ArrowDown",18,"DownArrow",40,"VK_DOWN","Down",t],[16,1,88,"ArrowUp",16,"UpArrow",38,"VK_UP","Up",t],[78,1,89,"NumLock",78,"NumLock",144,"VK_NUMLOCK",t,t],[108,1,90,"NumpadDivide",108,"NumPad_Divide",111,"VK_DIVIDE",t,t],[103,1,91,"NumpadMultiply",103,"NumPad_Multiply",106,"VK_MULTIPLY",t,t],[106,1,92,"NumpadSubtract",106,"NumPad_Subtract",109,"VK_SUBTRACT",t,t],[104,1,93,"NumpadAdd",104,"NumPad_Add",107,"VK_ADD",t,t],[3,1,94,"NumpadEnter",3,t,0,t,t,t],[94,1,95,"Numpad1",94,"NumPad1",97,"VK_NUMPAD1",t,t],[95,1,96,"Numpad2",95,"NumPad2",98,"VK_NUMPAD2",t,t],[96,1,97,"Numpad3",96,"NumPad3",99,"VK_NUMPAD3",t,t],[97,1,98,"Numpad4",97,"NumPad4",100,"VK_NUMPAD4",t,t],[98,1,99,"Numpad5",98,"NumPad5",101,"VK_NUMPAD5",t,t],[99,1,100,"Numpad6",99,"NumPad6",102,"VK_NUMPAD6",t,t],[100,1,101,"Numpad7",100,"NumPad7",103,"VK_NUMPAD7",t,t],[101,1,102,"Numpad8",101,"NumPad8",104,"VK_NUMPAD8",t,t],[102,1,103,"Numpad9",102,"NumPad9",105,"VK_NUMPAD9",t,t],[93,1,104,"Numpad0",93,"NumPad0",96,"VK_NUMPAD0",t,t],[107,1,105,"NumpadDecimal",107,"NumPad_Decimal",110,"VK_DECIMAL",t,t],[92,0,106,"IntlBackslash",92,"OEM_102",226,"VK_OEM_102",t,t],[58,1,107,"ContextMenu",58,"ContextMenu",93,t,t,t],[0,1,108,"Power",0,t,0,t,t,t],[0,1,109,"NumpadEqual",0,t,0,t,t,t],[71,1,110,"F13",71,"F13",124,"VK_F13",t,t],[72,1,111,"F14",72,"F14",125,"VK_F14",t,t],[73,1,112,"F15",73,"F15",126,"VK_F15",t,t],[74,1,113,"F16",74,"F16",127,"VK_F16",t,t],[75,1,114,"F17",75,"F17",128,"VK_F17",t,t],[76,1,115,"F18",76,"F18",129,"VK_F18",t,t],[77,1,116,"F19",77,"F19",130,"VK_F19",t,t],[0,1,117,"F20",0,t,0,"VK_F20",t,t],[0,1,118,"F21",0,t,0,"VK_F21",t,t],[0,1,119,"F22",0,t,0,"VK_F22",t,t],[0,1,120,"F23",0,t,0,"VK_F23",t,t],[0,1,121,"F24",0,t,0,"VK_F24",t,t],[0,1,122,"Open",0,t,0,t,t,t],[0,1,123,"Help",0,t,0,t,t,t],[0,1,124,"Select",0,t,0,t,t,t],[0,1,125,"Again",0,t,0,t,t,t],[0,1,126,"Undo",0,t,0,t,t,t],[0,1,127,"Cut",0,t,0,t,t,t],[0,1,128,"Copy",0,t,0,t,t,t],[0,1,129,"Paste",0,t,0,t,t,t],[0,1,130,"Find",0,t,0,t,t,t],[0,1,131,"AudioVolumeMute",112,"AudioVolumeMute",173,"VK_VOLUME_MUTE",t,t],[0,1,132,"AudioVolumeUp",113,"AudioVolumeUp",175,"VK_VOLUME_UP",t,t],[0,1,133,"AudioVolumeDown",114,"AudioVolumeDown",174,"VK_VOLUME_DOWN",t,t],[105,1,134,"NumpadComma",105,"NumPad_Separator",108,"VK_SEPARATOR",t,t],[110,0,135,"IntlRo",110,"ABNT_C1",193,"VK_ABNT_C1",t,t],[0,1,136,"KanaMode",0,t,0,t,t,t],[0,0,137,"IntlYen",0,t,0,t,t,t],[0,1,138,"Convert",0,t,0,t,t,t],[0,1,139,"NonConvert",0,t,0,t,t,t],[0,1,140,"Lang1",0,t,0,t,t,t],[0,1,141,"Lang2",0,t,0,t,t,t],[0,1,142,"Lang3",0,t,0,t,t,t],[0,1,143,"Lang4",0,t,0,t,t,t],[0,1,144,"Lang5",0,t,0,t,t,t],[0,1,145,"Abort",0,t,0,t,t,t],[0,1,146,"Props",0,t,0,t,t,t],[0,1,147,"NumpadParenLeft",0,t,0,t,t,t],[0,1,148,"NumpadParenRight",0,t,0,t,t,t],[0,1,149,"NumpadBackspace",0,t,0,t,t,t],[0,1,150,"NumpadMemoryStore",0,t,0,t,t,t],[0,1,151,"NumpadMemoryRecall",0,t,0,t,t,t],[0,1,152,"NumpadMemoryClear",0,t,0,t,t,t],[0,1,153,"NumpadMemoryAdd",0,t,0,t,t,t],[0,1,154,"NumpadMemorySubtract",0,t,0,t,t,t],[0,1,155,"NumpadClear",126,"Clear",12,"VK_CLEAR",t,t],[0,1,156,"NumpadClearEntry",0,t,0,t,t,t],[5,1,0,t,5,"Ctrl",17,"VK_CONTROL",t,t],[4,1,0,t,4,"Shift",16,"VK_SHIFT",t,t],[6,1,0,t,6,"Alt",18,"VK_MENU",t,t],[57,1,0,t,57,"Meta",0,"VK_COMMAND",t,t],[5,1,157,"ControlLeft",5,t,0,"VK_LCONTROL",t,t],[4,1,158,"ShiftLeft",4,t,0,"VK_LSHIFT",t,t],[6,1,159,"AltLeft",6,t,0,"VK_LMENU",t,t],[57,1,160,"MetaLeft",57,t,0,"VK_LWIN",t,t],[5,1,161,"ControlRight",5,t,0,"VK_RCONTROL",t,t],[4,1,162,"ShiftRight",4,t,0,"VK_RSHIFT",t,t],[6,1,163,"AltRight",6,t,0,"VK_RMENU",t,t],[57,1,164,"MetaRight",57,t,0,"VK_RWIN",t,t],[0,1,165,"BrightnessUp",0,t,0,t,t,t],[0,1,166,"BrightnessDown",0,t,0,t,t,t],[0,1,167,"MediaPlay",0,t,0,t,t,t],[0,1,168,"MediaRecord",0,t,0,t,t,t],[0,1,169,"MediaFastForward",0,t,0,t,t,t],[0,1,170,"MediaRewind",0,t,0,t,t,t],[114,1,171,"MediaTrackNext",119,"MediaTrackNext",176,"VK_MEDIA_NEXT_TRACK",t,t],[115,1,172,"MediaTrackPrevious",120,"MediaTrackPrevious",177,"VK_MEDIA_PREV_TRACK",t,t],[116,1,173,"MediaStop",121,"MediaStop",178,"VK_MEDIA_STOP",t,t],[0,1,174,"Eject",0,t,0,t,t,t],[117,1,175,"MediaPlayPause",122,"MediaPlayPause",179,"VK_MEDIA_PLAY_PAUSE",t,t],[0,1,176,"MediaSelect",123,"LaunchMediaPlayer",181,"VK_MEDIA_LAUNCH_MEDIA_SELECT",t,t],[0,1,177,"LaunchMail",124,"LaunchMail",180,"VK_MEDIA_LAUNCH_MAIL",t,t],[0,1,178,"LaunchApp2",125,"LaunchApp2",183,"VK_MEDIA_LAUNCH_APP2",t,t],[0,1,179,"LaunchApp1",0,t,0,"VK_MEDIA_LAUNCH_APP1",t,t],[0,1,180,"SelectTask",0,t,0,t,t,t],[0,1,181,"LaunchScreenSaver",0,t,0,t,t,t],[0,1,182,"BrowserSearch",115,"BrowserSearch",170,"VK_BROWSER_SEARCH",t,t],[0,1,183,"BrowserHome",116,"BrowserHome",172,"VK_BROWSER_HOME",t,t],[112,1,184,"BrowserBack",117,"BrowserBack",166,"VK_BROWSER_BACK",t,t],[113,1,185,"BrowserForward",118,"BrowserForward",167,"VK_BROWSER_FORWARD",t,t],[0,1,186,"BrowserStop",0,t,0,"VK_BROWSER_STOP",t,t],[0,1,187,"BrowserRefresh",0,t,0,"VK_BROWSER_REFRESH",t,t],[0,1,188,"BrowserFavorites",0,t,0,"VK_BROWSER_FAVORITES",t,t],[0,1,189,"ZoomToggle",0,t,0,t,t,t],[0,1,190,"MailReply",0,t,0,t,t,t],[0,1,191,"MailForward",0,t,0,t,t,t],[0,1,192,"MailSend",0,t,0,t,t,t],[109,1,0,t,109,"KeyInComposition",229,t,t,t],[111,1,0,t,111,"ABNT_C2",194,"VK_ABNT_C2",t,t],[91,1,0,t,91,"OEM_8",223,"VK_OEM_8",t,t],[0,1,0,t,0,t,0,"VK_KANA",t,t],[0,1,0,t,0,t,0,"VK_HANGUL",t,t],[0,1,0,t,0,t,0,"VK_JUNJA",t,t],[0,1,0,t,0,t,0,"VK_FINAL",t,t],[0,1,0,t,0,t,0,"VK_HANJA",t,t],[0,1,0,t,0,t,0,"VK_KANJI",t,t],[0,1,0,t,0,t,0,"VK_CONVERT",t,t],[0,1,0,t,0,t,0,"VK_NONCONVERT",t,t],[0,1,0,t,0,t,0,"VK_ACCEPT",t,t],[0,1,0,t,0,t,0,"VK_MODECHANGE",t,t],[0,1,0,t,0,t,0,"VK_SELECT",t,t],[0,1,0,t,0,t,0,"VK_PRINT",t,t],[0,1,0,t,0,t,0,"VK_EXECUTE",t,t],[0,1,0,t,0,t,0,"VK_SNAPSHOT",t,t],[0,1,0,t,0,t,0,"VK_HELP",t,t],[0,1,0,t,0,t,0,"VK_APPS",t,t],[0,1,0,t,0,t,0,"VK_PROCESSKEY",t,t],[0,1,0,t,0,t,0,"VK_PACKET",t,t],[0,1,0,t,0,t,0,"VK_DBE_SBCSCHAR",t,t],[0,1,0,t,0,t,0,"VK_DBE_DBCSCHAR",t,t],[0,1,0,t,0,t,0,"VK_ATTN",t,t],[0,1,0,t,0,t,0,"VK_CRSEL",t,t],[0,1,0,t,0,t,0,"VK_EXSEL",t,t],[0,1,0,t,0,t,0,"VK_EREOF",t,t],[0,1,0,t,0,t,0,"VK_PLAY",t,t],[0,1,0,t,0,t,0,"VK_ZOOM",t,t],[0,1,0,t,0,t,0,"VK_NONAME",t,t],[0,1,0,t,0,t,0,"VK_PA1",t,t],[0,1,0,t,0,t,0,"VK_OEM_CLEAR",t,t]],u=[],m=[];for(const y of C){const[S,N,b,a,i,o,g,d,s,h]=y;if(m[b]||(m[b]=!0,L[b]=a,v[a]=b,l[a.toLowerCase()]=b,N&&(r.IMMUTABLE_CODE_TO_KEY_CODE[b]=i,i!==0&&i!==3&&i!==5&&i!==4&&i!==6&&i!==57&&(r.IMMUTABLE_KEY_CODE_TO_CODE[i]=b))),!u[i]){if(u[i]=!0,!o)throw new Error(`String representation missing for key code ${i} around scan code ${a}`);e.define(i,o),E.define(i,s||o),c.define(i,h||s||o)}g&&(r.EVENT_KEY_CODE_MAP[g]=i),d&&(r.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE[d]=i)}r.IMMUTABLE_KEY_CODE_TO_CODE[3]=46})();var f;(function(t){function C(b){return e.keyCodeToStr(b)}t.toString=C;function u(b){return e.strToKeyCode(b)}t.fromString=u;function m(b){return E.keyCodeToStr(b)}t.toUserSettingsUS=m;function y(b){return c.keyCodeToStr(b)}t.toUserSettingsGeneral=y;function S(b){return E.strToKeyCode(b)||c.strToKeyCode(b)}t.fromUserSettings=S;function N(b){if(b>=93&&b<=108)return null;switch(b){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return e.keyCodeToStr(b)}t.toElectronAccelerator=N})(f=r.KeyCodeUtils||(r.KeyCodeUtils={}));function p(t,C){const u=(C&65535)<<16>>>0;return(t|u)>>>0}r.KeyChord=p}),X(Q[28],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Lazy=void 0;class _{constructor(E){this.d=E,this.a=!1}getValue(){if(!this.a)try{this.b=this.d()}catch(E){this.c=E}finally{this.a=!0}if(this.c)throw this.c;return this.b}get rawValue(){return this.b}}r.Lazy=_}),X(Q[10],J([0,1,26,13]),function(I,r,_,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DisposableMap=r.ImmortalReference=r.SafeDisposable=r.RefCountedDisposable=r.MutableDisposable=r.Disposable=r.DisposableStore=r.toDisposable=r.combinedDisposable=r.dispose=r.isDisposable=r.markAsSingleton=r.setDisposableTracker=void 0;const E=!1;let c=null;function L(d){c=d}if(r.setDisposableTracker=L,E){const d="__is_disposable_tracked__";L(new class{trackDisposable(s){const h=new Error("Potentially leaked disposable").stack;setTimeout(()=>{s[d]||console.log(h)},3e3)}setParent(s,h){if(s&&s!==N.None)try{s[d]=!0}catch{}}markAsDisposed(s){if(s&&s!==N.None)try{s[d]=!0}catch{}}markAsSingleton(s){}})}function v(d){return c?.trackDisposable(d),d}function l(d){c?.markAsDisposed(d)}function f(d,s){c?.setParent(d,s)}function p(d,s){if(!!c)for(const h of d)c.setParent(h,s)}function t(d){return c?.markAsSingleton(d),d}r.markAsSingleton=t;function C(d){return typeof d.dispose=="function"&&d.dispose.length===0}r.isDisposable=C;function u(d){if(e.Iterable.is(d)){const s=[];for(const h of d)if(h)try{h.dispose()}catch(w){s.push(w)}if(s.length===1)throw s[0];if(s.length>1)throw new AggregateError(s,"Encountered errors while disposing of store");return Array.isArray(d)?[]:d}else if(d)return d.dispose(),d}r.dispose=u;function m(...d){const s=y(()=>u(d));return p(d,s),s}r.combinedDisposable=m;function y(d){const s=v({dispose:(0,_.once)(()=>{l(s),d()})});return s}r.toDisposable=y;class S{constructor(){this.a=new Set,this.b=!1,v(this)}dispose(){this.b||(l(this),this.b=!0,this.clear())}get isDisposed(){return this.b}clear(){if(this.a.size!==0)try{u(this.a)}finally{this.a.clear()}}add(s){if(!s)return s;if(s===this)throw new Error("Cannot register a disposable on itself!");return f(s,this),this.b?S.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this.a.add(s),s}}r.DisposableStore=S,S.DISABLE_DISPOSED_WARNING=!1;class N{constructor(){this.f=new S,v(this),f(this.f,this)}dispose(){l(this),this.f.dispose()}q(s){if(s===this)throw new Error("Cannot register a disposable on itself!");return this.f.add(s)}}r.Disposable=N,N.None=Object.freeze({dispose(){}});class b{constructor(){this.b=!1,v(this)}get value(){return this.b?void 0:this.a}set value(s){var h;this.b||s===this.a||((h=this.a)===null||h===void 0||h.dispose(),s&&f(s,this),this.a=s)}clear(){this.value=void 0}dispose(){var s;this.b=!0,l(this),(s=this.a)===null||s===void 0||s.dispose(),this.a=void 0}clearAndLeak(){const s=this.a;return this.a=void 0,s&&f(s,null),s}}r.MutableDisposable=b;class a{constructor(s){this.b=s,this.a=1}acquire(){return this.a++,this}release(){return--this.a===0&&this.b.dispose(),this}}r.RefCountedDisposable=a;class i{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,v(this)}set(s){let h=s;return this.unset=()=>h=void 0,this.isset=()=>h!==void 0,this.dispose=()=>{h&&(h(),h=void 0,l(this))},this}}r.SafeDisposable=i;class o{constructor(s){this.object=s}dispose(){}}r.ImmortalReference=o;class g{constructor(){this.a=new Map,this.b=!1,v(this)}dispose(){l(this),this.b=!0,this.clearAndDisposeAll()}clearAndDisposeAll(){if(!!this.a.size)try{u(this.a.values())}finally{this.a.clear()}}get(s){return this.a.get(s)}set(s,h,w=!1){var A;this.b&&console.warn(new Error("Trying to add a disposable to a DisposableMap that has already been disposed of. The added object will be leaked!").stack),w||(A=this.a.get(s))===null||A===void 0||A.dispose(),this.a.set(s,h)}[Symbol.iterator](){return this.a[Symbol.iterator]()}}r.DisposableMap=g}),X(Q[14],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LinkedList=void 0;class _{constructor(c){this.element=c,this.next=_.Undefined,this.prev=_.Undefined}}_.Undefined=new _(void 0);class e{constructor(){this.a=_.Undefined,this.b=_.Undefined,this.c=0}get size(){return this.c}isEmpty(){return this.a===_.Undefined}clear(){let c=this.a;for(;c!==_.Undefined;){const L=c.next;c.prev=_.Undefined,c.next=_.Undefined,c=L}this.a=_.Undefined,this.b=_.Undefined,this.c=0}unshift(c){return this.d(c,!1)}push(c){return this.d(c,!0)}d(c,L){const v=new _(c);if(this.a===_.Undefined)this.a=v,this.b=v;else if(L){const f=this.b;this.b=v,v.prev=f,f.next=v}else{const f=this.a;this.a=v,v.next=f,f.prev=v}this.c+=1;let l=!1;return()=>{l||(l=!0,this.e(v))}}shift(){if(this.a!==_.Undefined){const c=this.a.element;return this.e(this.a),c}}pop(){if(this.b!==_.Undefined){const c=this.b.element;return this.e(this.b),c}}e(c){if(c.prev!==_.Undefined&&c.next!==_.Undefined){const L=c.prev;L.next=c.next,c.next.prev=L}else c.prev===_.Undefined&&c.next===_.Undefined?(this.a=_.Undefined,this.b=_.Undefined):c.next===_.Undefined?(this.b=this.b.prev,this.b.next=_.Undefined):c.prev===_.Undefined&&(this.a=this.a.next,this.a.prev=_.Undefined);this.c-=1}*[Symbol.iterator](){let c=this.a;for(;c!==_.Undefined;)yield c.element,c=c.next}}r.LinkedList=e}),X(Q[4],J([0,1,23,28]),function(I,r,_,e){"use strict";var E;Object.defineProperty(r,"__esModule",{value:!0}),r.InvisibleCharacters=r.AmbiguousCharacters=r.noBreakWhitespace=r.getLeftDeleteOffset=r.singleLetterHash=r.containsUppercaseCharacter=r.startsWithUTF8BOM=r.UTF8_BOM_CHARACTER=r.isEmojiImprecise=r.isFullWidthCharacter=r.containsUnusualLineTerminators=r.UNUSUAL_LINE_TERMINATORS=r.isBasicASCII=r.containsRTL=r.getCharContainingOffset=r.prevCharLength=r.nextCharLength=r.GraphemeIterator=r.CodePointIterator=r.getNextCodePoint=r.computeCodePoint=r.isLowSurrogate=r.isHighSurrogate=r.commonSuffixLength=r.commonPrefixLength=r.startsWithIgnoreCase=r.equalsIgnoreCase=r.isUpperAsciiLetter=r.isLowerAsciiLetter=r.isAsciiDigit=r.compareSubstringIgnoreCase=r.compareIgnoreCase=r.compareSubstring=r.compare=r.lastNonWhitespaceIndex=r.getLeadingWhitespace=r.firstNonWhitespaceIndex=r.splitLines=r.regExpFlags=r.regExpLeadsToEndlessLoop=r.createRegExp=r.stripWildcards=r.convertSimple2RegExpPattern=r.rtrim=r.ltrim=r.trim=r.escapeRegExpCharacters=r.escape=r.format=r.isFalsyOrWhitespace=void 0;function c(M){return!M||typeof M!="string"?!0:M.trim().length===0}r.isFalsyOrWhitespace=c;const L=/{(\d+)}/g;function v(M,...U){return U.length===0?M:M.replace(L,function(V,$){const K=parseInt($,10);return isNaN(K)||K<0||K>=U.length?V:U[K]})}r.format=v;function l(M){return M.replace(/[<>&]/g,function(U){switch(U){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return U}})}r.escape=l;function f(M){return M.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}r.escapeRegExpCharacters=f;function p(M,U=" "){const V=t(M,U);return C(V,U)}r.trim=p;function t(M,U){if(!M||!U)return M;const V=U.length;if(V===0||M.length===0)return M;let $=0;for(;M.indexOf(U,$)===$;)$=$+V;return M.substring($)}r.ltrim=t;function C(M,U){if(!M||!U)return M;const V=U.length,$=M.length;if(V===0||$===0)return M;let K=$,re=-1;for(;re=M.lastIndexOf(U,K-1),!(re===-1||re+V!==K);){if(re===0)return"";K=re}return M.substring(0,K)}r.rtrim=C;function u(M){return M.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}r.convertSimple2RegExpPattern=u;function m(M){return M.replace(/\*/g,"")}r.stripWildcards=m;function y(M,U,V={}){if(!M)throw new Error("Cannot create regex from empty string");U||(M=f(M)),V.wholeWord&&(/\B/.test(M.charAt(0))||(M="\\b"+M),/\B/.test(M.charAt(M.length-1))||(M=M+"\\b"));let $="";return V.global&&($+="g"),V.matchCase||($+="i"),V.multiline&&($+="m"),V.unicode&&($+="u"),new RegExp(M,$)}r.createRegExp=y;function S(M){return M.source==="^"||M.source==="^$"||M.source==="$"||M.source==="^\\s*$"?!1:!!(M.exec("")&&M.lastIndex===0)}r.regExpLeadsToEndlessLoop=S;function N(M){return(M.global?"g":"")+(M.ignoreCase?"i":"")+(M.multiline?"m":"")+(M.unicode?"u":"")}r.regExpFlags=N;function b(M){return M.split(/\r\n|\r|\n/)}r.splitLines=b;function a(M){for(let U=0,V=M.length;U<V;U++){const $=M.charCodeAt(U);if($!==32&&$!==9)return U}return-1}r.firstNonWhitespaceIndex=a;function i(M,U=0,V=M.length){for(let $=U;$<V;$++){const K=M.charCodeAt($);if(K!==32&&K!==9)return M.substring(U,$)}return M.substring(U,V)}r.getLeadingWhitespace=i;function o(M,U=M.length-1){for(let V=U;V>=0;V--){const $=M.charCodeAt(V);if($!==32&&$!==9)return V}return-1}r.lastNonWhitespaceIndex=o;function g(M,U){return M<U?-1:M>U?1:0}r.compare=g;function d(M,U,V=0,$=M.length,K=0,re=U.length){for(;V<$&&K<re;V++,K++){const fe=M.charCodeAt(V),ie=U.charCodeAt(K);if(fe<ie)return-1;if(fe>ie)return 1}const oe=$-V,be=re-K;return oe<be?-1:oe>be?1:0}r.compareSubstring=d;function s(M,U){return h(M,U,0,M.length,0,U.length)}r.compareIgnoreCase=s;function h(M,U,V=0,$=M.length,K=0,re=U.length){for(;V<$&&K<re;V++,K++){let fe=M.charCodeAt(V),ie=U.charCodeAt(K);if(fe===ie)continue;if(fe>=128||ie>=128)return d(M.toLowerCase(),U.toLowerCase(),V,$,K,re);A(fe)&&(fe-=32),A(ie)&&(ie-=32);const ce=fe-ie;if(ce!==0)return ce}const oe=$-V,be=re-K;return oe<be?-1:oe>be?1:0}r.compareSubstringIgnoreCase=h;function w(M){return M>=48&&M<=57}r.isAsciiDigit=w;function A(M){return M>=97&&M<=122}r.isLowerAsciiLetter=A;function R(M){return M>=65&&M<=90}r.isUpperAsciiLetter=R;function D(M,U){return M.length===U.length&&h(M,U)===0}r.equalsIgnoreCase=D;function P(M,U){const V=U.length;return U.length>M.length?!1:h(M,U,0,V)===0}r.startsWithIgnoreCase=P;function O(M,U){const V=Math.min(M.length,U.length);let $;for($=0;$<V;$++)if(M.charCodeAt($)!==U.charCodeAt($))return $;return V}r.commonPrefixLength=O;function q(M,U){const V=Math.min(M.length,U.length);let $;const K=M.length-1,re=U.length-1;for($=0;$<V;$++)if(M.charCodeAt(K-$)!==U.charCodeAt(re-$))return $;return V}r.commonSuffixLength=q;function z(M){return 55296<=M&&M<=56319}r.isHighSurrogate=z;function W(M){return 56320<=M&&M<=57343}r.isLowSurrogate=W;function k(M,U){return(M-55296<<10)+(U-56320)+65536}r.computeCodePoint=k;function T(M,U,V){const $=M.charCodeAt(V);if(z($)&&V+1<U){const K=M.charCodeAt(V+1);if(W(K))return k($,K)}return $}r.getNextCodePoint=T;function F(M,U){const V=M.charCodeAt(U-1);if(W(V)&&U>1){const $=M.charCodeAt(U-2);if(z($))return k($,V)}return V}class B{get offset(){return this.e}constructor(U,V=0){this.c=U,this.d=U.length,this.e=V}setOffset(U){this.e=U}prevCodePoint(){const U=F(this.c,this.e);return this.e-=U>=65536?2:1,U}nextCodePoint(){const U=T(this.c,this.d,this.e);return this.e+=U>=65536?2:1,U}eol(){return this.e>=this.d}}r.CodePointIterator=B;class H{get offset(){return this.c.offset}constructor(U,V=0){this.c=new B(U,V)}nextGraphemeLength(){const U=ne.getInstance(),V=this.c,$=V.offset;let K=U.getGraphemeBreakType(V.nextCodePoint());for(;!V.eol();){const re=V.offset,oe=U.getGraphemeBreakType(V.nextCodePoint());if(te(K,oe)){V.setOffset(re);break}K=oe}return V.offset-$}prevGraphemeLength(){const U=ne.getInstance(),V=this.c,$=V.offset;let K=U.getGraphemeBreakType(V.prevCodePoint());for(;V.offset>0;){const re=V.offset,oe=U.getGraphemeBreakType(V.prevCodePoint());if(te(oe,K)){V.setOffset(re);break}K=oe}return $-V.offset}eol(){return this.c.eol()}}r.GraphemeIterator=H;function n(M,U){return new H(M,U).nextGraphemeLength()}r.nextCharLength=n;function se(M,U){return new H(M,U).prevGraphemeLength()}r.prevCharLength=se;function de(M,U){U>0&&W(M.charCodeAt(U))&&U--;const V=U+n(M,U);return[V-se(M,V),V]}r.getCharContainingOffset=de;let ge;function pe(){return/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/}function Se(M){return ge||(ge=pe()),ge.test(M)}r.containsRTL=Se;const Ne=/^[\t\n\r\x20-\x7E]*$/;function _e(M){return Ne.test(M)}r.isBasicASCII=_e,r.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function Z(M){return r.UNUSUAL_LINE_TERMINATORS.test(M)}r.containsUnusualLineTerminators=Z;function j(M){return M>=11904&&M<=55215||M>=63744&&M<=64255||M>=65281&&M<=65374}r.isFullWidthCharacter=j;function Y(M){return M>=127462&&M<=127487||M===8986||M===8987||M===9200||M===9203||M>=9728&&M<=10175||M===11088||M===11093||M>=127744&&M<=128591||M>=128640&&M<=128764||M>=128992&&M<=129008||M>=129280&&M<=129535||M>=129648&&M<=129782}r.isEmojiImprecise=Y,r.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function G(M){return!!(M&&M.length>0&&M.charCodeAt(0)===65279)}r.startsWithUTF8BOM=G;function x(M,U=!1){return M?(U&&(M=M.replace(/\\./g,"")),M.toLowerCase()!==M):!1}r.containsUppercaseCharacter=x;function ee(M){return M=M%(2*26),M<26?String.fromCharCode(97+M):String.fromCharCode(65+M-26)}r.singleLetterHash=ee;function te(M,U){return M===0?U!==5&&U!==7:M===2&&U===3?!1:M===4||M===2||M===3||U===4||U===2||U===3?!0:!(M===8&&(U===8||U===9||U===11||U===12)||(M===11||M===9)&&(U===9||U===10)||(M===12||M===10)&&U===10||U===5||U===13||U===7||M===1||M===13&&U===14||M===6&&U===6)}class ne{static getInstance(){return ne.c||(ne.c=new ne),ne.c}constructor(){this.d=we()}getGraphemeBreakType(U){if(U<32)return U===10?3:U===13?2:4;if(U<127)return 0;const V=this.d,$=V.length/3;let K=1;for(;K<=$;)if(U<V[3*K])K=2*K;else if(U>V[3*K+1])K=2*K+1;else return V[3*K+2];return 0}}ne.c=null;function we(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function ve(M,U){if(M===0)return 0;const V=Le(M,U);if(V!==void 0)return V;const $=new B(U,M);return $.prevCodePoint(),$.offset}r.getLeftDeleteOffset=ve;function Le(M,U){const V=new B(U,M);let $=V.prevCodePoint();for(;Ce($)||$===65039||$===8419;){if(V.offset===0)return;$=V.prevCodePoint()}if(!Y($))return;let K=V.offset;return K>0&&V.prevCodePoint()===8205&&(K=V.offset),K}function Ce(M){return 127995<=M&&M<=127999}r.noBreakWhitespace="\xA0";class ue{static getInstance(U){return ue.d.get(Array.from(U))}static getLocales(){return ue.e.getValue()}constructor(U){this.f=U}isAmbiguous(U){return this.f.has(U)}getPrimaryConfusable(U){return this.f.get(U)}getConfusableCodePoints(){return new Set(this.f.keys())}}r.AmbiguousCharacters=ue,E=ue,ue.c=new e.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),ue.d=new _.LRUCachedFunction(M=>{function U(ie){const ce=new Map;for(let he=0;he<ie.length;he+=2)ce.set(ie[he],ie[he+1]);return ce}function V(ie,ce){const he=new Map(ie);for(const[ye,Ae]of ce)he.set(ye,Ae);return he}function $(ie,ce){if(!ie)return ce;const he=new Map;for(const[ye,Ae]of ie)ce.has(ye)&&he.set(ye,Ae);return he}const K=E.c.getValue();let re=M.filter(ie=>!ie.startsWith("_")&&ie in K);re.length===0&&(re=["_default"]);let oe;for(const ie of re){const ce=U(K[ie]);oe=$(oe,ce)}const be=U(K._common),fe=V(be,oe);return new ue(fe)}),ue.e=new e.Lazy(()=>Object.keys(ue.c.getValue()).filter(M=>!M.startsWith("_")));class me{static c(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static e(){return this.d||(this.d=new Set(me.c())),this.d}static isInvisibleCharacter(U){return me.e().has(U)}static get codePoints(){return me.e()}}r.InvisibleCharacters=me,me.d=void 0}),X(Q[29],J([0,1,4]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.StringSHA1=r.toHexString=r.stringHash=r.numberHash=r.doHash=r.hash=void 0;function e(y){return E(y,0)}r.hash=e;function E(y,S){switch(typeof y){case"object":return y===null?c(349,S):Array.isArray(y)?l(y,S):f(y,S);case"string":return v(y,S);case"boolean":return L(y,S);case"number":return c(y,S);case"undefined":return c(937,S);default:return c(617,S)}}r.doHash=E;function c(y,S){return(S<<5)-S+y|0}r.numberHash=c;function L(y,S){return c(y?433:863,S)}function v(y,S){S=c(149417,S);for(let N=0,b=y.length;N<b;N++)S=c(y.charCodeAt(N),S);return S}r.stringHash=v;function l(y,S){return S=c(104579,S),y.reduce((N,b)=>E(b,N),S)}function f(y,S){return S=c(181387,S),Object.keys(y).sort().reduce((N,b)=>(N=v(b,N),E(y[b],N)),S)}function p(y,S,N=32){const b=N-S,a=~((1<<b)-1);return(y<<S|(a&y)>>>b)>>>0}function t(y,S=0,N=y.byteLength,b=0){for(let a=0;a<N;a++)y[S+a]=b}function C(y,S,N="0"){for(;y.length<S;)y=N+y;return y}function u(y,S=32){return y instanceof ArrayBuffer?Array.from(new Uint8Array(y)).map(N=>N.toString(16).padStart(2,"0")).join(""):C((y>>>0).toString(16),S/4)}r.toHexString=u;class m{constructor(){this.h=1732584193,this.l=4023233417,this.m=2562383102,this.n=271733878,this.o=3285377520,this.p=new Uint8Array(64+3),this.q=new DataView(this.p.buffer),this.r=0,this.t=0,this.u=0,this.v=!1}update(S){const N=S.length;if(N===0)return;const b=this.p;let a=this.r,i=this.u,o,g;for(i!==0?(o=i,g=-1,i=0):(o=S.charCodeAt(0),g=0);;){let d=o;if(_.isHighSurrogate(o))if(g+1<N){const s=S.charCodeAt(g+1);_.isLowSurrogate(s)?(g++,d=_.computeCodePoint(o,s)):d=65533}else{i=o;break}else _.isLowSurrogate(o)&&(d=65533);if(a=this.w(b,a,d),g++,g<N)o=S.charCodeAt(g);else break}this.r=a,this.u=i}w(S,N,b){return b<128?S[N++]=b:b<2048?(S[N++]=192|(b&1984)>>>6,S[N++]=128|(b&63)>>>0):b<65536?(S[N++]=224|(b&61440)>>>12,S[N++]=128|(b&4032)>>>6,S[N++]=128|(b&63)>>>0):(S[N++]=240|(b&1835008)>>>18,S[N++]=128|(b&258048)>>>12,S[N++]=128|(b&4032)>>>6,S[N++]=128|(b&63)>>>0),N>=64&&(this.y(),N-=64,this.t+=64,S[0]=S[64+0],S[1]=S[64+1],S[2]=S[64+2]),N}digest(){return this.v||(this.v=!0,this.u&&(this.u=0,this.r=this.w(this.p,this.r,65533)),this.t+=this.r,this.x()),u(this.h)+u(this.l)+u(this.m)+u(this.n)+u(this.o)}x(){this.p[this.r++]=128,t(this.p,this.r),this.r>56&&(this.y(),t(this.p));const S=8*this.t;this.q.setUint32(56,Math.floor(S/4294967296),!1),this.q.setUint32(60,S%4294967296,!1),this.y()}y(){const S=m.g,N=this.q;for(let w=0;w<64;w+=4)S.setUint32(w,N.getUint32(w,!1),!1);for(let w=64;w<320;w+=4)S.setUint32(w,p(S.getUint32(w-12,!1)^S.getUint32(w-32,!1)^S.getUint32(w-56,!1)^S.getUint32(w-64,!1),1),!1);let b=this.h,a=this.l,i=this.m,o=this.n,g=this.o,d,s,h;for(let w=0;w<80;w++)w<20?(d=a&i|~a&o,s=1518500249):w<40?(d=a^i^o,s=1859775393):w<60?(d=a&i|a&o|i&o,s=2400959708):(d=a^i^o,s=3395469782),h=p(b,5)+d+g+s+S.getUint32(w*4,!1)&4294967295,g=o,o=i,i=p(a,30),a=b,b=h;this.h=this.h+b&4294967295,this.l=this.l+a&4294967295,this.m=this.m+i&4294967295,this.n=this.n+o&4294967295,this.o=this.o+g&4294967295}}r.StringSHA1=m,m.g=new DataView(new ArrayBuffer(320))}),X(Q[15],J([0,1,25,29]),function(I,r,_,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LcsDiff=r.stringDiff=r.StringDiffSequence=void 0;class E{constructor(t){this.a=t}getElements(){const t=this.a,C=new Int32Array(t.length);for(let u=0,m=t.length;u<m;u++)C[u]=t.charCodeAt(u);return C}}r.StringDiffSequence=E;function c(p,t,C){return new f(new E(p),new E(t)).ComputeDiff(C).changes}r.stringDiff=c;class L{static Assert(t,C){if(!t)throw new Error(C)}}class v{static Copy(t,C,u,m,y){for(let S=0;S<y;S++)u[m+S]=t[C+S]}static Copy2(t,C,u,m,y){for(let S=0;S<y;S++)u[m+S]=t[C+S]}}class l{constructor(){this.a=[],this.b=1073741824,this.c=1073741824,this.d=0,this.e=0}MarkNextChange(){(this.d>0||this.e>0)&&this.a.push(new _.DiffChange(this.b,this.d,this.c,this.e)),this.d=0,this.e=0,this.b=1073741824,this.c=1073741824}AddOriginalElement(t,C){this.b=Math.min(this.b,t),this.c=Math.min(this.c,C),this.d++}AddModifiedElement(t,C){this.b=Math.min(this.b,t),this.c=Math.min(this.c,C),this.e++}getChanges(){return(this.d>0||this.e>0)&&this.MarkNextChange(),this.a}getReverseChanges(){return(this.d>0||this.e>0)&&this.MarkNextChange(),this.a.reverse(),this.a}}class f{constructor(t,C,u=null){this.a=u,this.b=t,this.c=C;const[m,y,S]=f.o(t),[N,b,a]=f.o(C);this.d=S&&a,this.e=m,this.f=y,this.g=N,this.h=b,this.k=[],this.m=[]}static n(t){return t.length>0&&typeof t[0]=="string"}static o(t){const C=t.getElements();if(f.n(C)){const u=new Int32Array(C.length);for(let m=0,y=C.length;m<y;m++)u[m]=(0,e.stringHash)(C[m],0);return[C,u,!0]}return C instanceof Int32Array?[[],C,!1]:[[],new Int32Array(C),!1]}p(t,C){return this.f[t]!==this.h[C]?!1:this.d?this.e[t]===this.g[C]:!0}q(t,C){if(!this.p(t,C))return!1;const u=f.r(this.b,t),m=f.r(this.c,C);return u===m}static r(t,C){return typeof t.getStrictElement=="function"?t.getStrictElement(C):null}s(t,C){return this.f[t]!==this.f[C]?!1:this.d?this.e[t]===this.e[C]:!0}u(t,C){return this.h[t]!==this.h[C]?!1:this.d?this.g[t]===this.g[C]:!0}ComputeDiff(t){return this.v(0,this.f.length-1,0,this.h.length-1,t)}v(t,C,u,m,y){const S=[!1];let N=this.w(t,C,u,m,S);return y&&(N=this.z(N)),{quitEarly:S[0],changes:N}}w(t,C,u,m,y){for(y[0]=!1;t<=C&&u<=m&&this.p(t,u);)t++,u++;for(;C>=t&&m>=u&&this.p(C,m);)C--,m--;if(t>C||u>m){let o;return u<=m?(L.Assert(t===C+1,"originalStart should only be one more than originalEnd"),o=[new _.DiffChange(t,0,u,m-u+1)]):t<=C?(L.Assert(u===m+1,"modifiedStart should only be one more than modifiedEnd"),o=[new _.DiffChange(t,C-t+1,u,0)]):(L.Assert(t===C+1,"originalStart should only be one more than originalEnd"),L.Assert(u===m+1,"modifiedStart should only be one more than modifiedEnd"),o=[]),o}const S=[0],N=[0],b=this.y(t,C,u,m,S,N,y),a=S[0],i=N[0];if(b!==null)return b;if(!y[0]){const o=this.w(t,a,u,i,y);let g=[];return y[0]?g=[new _.DiffChange(a+1,C-(a+1)+1,i+1,m-(i+1)+1)]:g=this.w(a+1,C,i+1,m,y),this.H(o,g)}return[new _.DiffChange(t,C-t+1,u,m-u+1)]}x(t,C,u,m,y,S,N,b,a,i,o,g,d,s,h,w,A,R){let D=null,P=null,O=new l,q=C,z=u,W=d[0]-w[0]-m,k=-1073741824,T=this.k.length-1;do{const F=W+t;F===q||F<z&&a[F-1]<a[F+1]?(o=a[F+1],s=o-W-m,o<k&&O.MarkNextChange(),k=o,O.AddModifiedElement(o+1,s),W=F+1-t):(o=a[F-1]+1,s=o-W-m,o<k&&O.MarkNextChange(),k=o-1,O.AddOriginalElement(o,s+1),W=F-1-t),T>=0&&(a=this.k[T],t=a[0],q=1,z=a.length-1)}while(--T>=-1);if(D=O.getReverseChanges(),R[0]){let F=d[0]+1,B=w[0]+1;if(D!==null&&D.length>0){const H=D[D.length-1];F=Math.max(F,H.getOriginalEnd()),B=Math.max(B,H.getModifiedEnd())}P=[new _.DiffChange(F,g-F+1,B,h-B+1)]}else{O=new l,q=S,z=N,W=d[0]-w[0]-b,k=1073741824,T=A?this.m.length-1:this.m.length-2;do{const F=W+y;F===q||F<z&&i[F-1]>=i[F+1]?(o=i[F+1]-1,s=o-W-b,o>k&&O.MarkNextChange(),k=o+1,O.AddOriginalElement(o+1,s+1),W=F+1-y):(o=i[F-1],s=o-W-b,o>k&&O.MarkNextChange(),k=o,O.AddModifiedElement(o+1,s+1),W=F-1-y),T>=0&&(i=this.m[T],y=i[0],q=1,z=i.length-1)}while(--T>=-1);P=O.getChanges()}return this.H(D,P)}y(t,C,u,m,y,S,N){let b=0,a=0,i=0,o=0,g=0,d=0;t--,u--,y[0]=0,S[0]=0,this.k=[],this.m=[];const s=C-t+(m-u),h=s+1,w=new Int32Array(h),A=new Int32Array(h),R=m-u,D=C-t,P=t-u,O=C-m,z=(D-R)%2===0;w[R]=t,A[D]=C,N[0]=!1;for(let W=1;W<=s/2+1;W++){let k=0,T=0;i=this.J(R-W,W,R,h),o=this.J(R+W,W,R,h);for(let B=i;B<=o;B+=2){B===i||B<o&&w[B-1]<w[B+1]?b=w[B+1]:b=w[B-1]+1,a=b-(B-R)-P;const H=b;for(;b<C&&a<m&&this.p(b+1,a+1);)b++,a++;if(w[B]=b,b+a>k+T&&(k=b,T=a),!z&&Math.abs(B-D)<=W-1&&b>=A[B])return y[0]=b,S[0]=a,H<=A[B]&&1447>0&&W<=1447+1?this.x(R,i,o,P,D,g,d,O,w,A,b,C,y,a,m,S,z,N):null}const F=(k-t+(T-u)-W)/2;if(this.a!==null&&!this.a(k,F))return N[0]=!0,y[0]=k,S[0]=T,F>0&&1447>0&&W<=1447+1?this.x(R,i,o,P,D,g,d,O,w,A,b,C,y,a,m,S,z,N):(t++,u++,[new _.DiffChange(t,C-t+1,u,m-u+1)]);g=this.J(D-W,W,D,h),d=this.J(D+W,W,D,h);for(let B=g;B<=d;B+=2){B===g||B<d&&A[B-1]>=A[B+1]?b=A[B+1]-1:b=A[B-1],a=b-(B-D)-O;const H=b;for(;b>t&&a>u&&this.p(b,a);)b--,a--;if(A[B]=b,z&&Math.abs(B-R)<=W&&b<=w[B])return y[0]=b,S[0]=a,H>=w[B]&&1447>0&&W<=1447+1?this.x(R,i,o,P,D,g,d,O,w,A,b,C,y,a,m,S,z,N):null}if(W<=1447){let B=new Int32Array(o-i+2);B[0]=R-i+1,v.Copy2(w,i,B,1,o-i+1),this.k.push(B),B=new Int32Array(d-g+2),B[0]=D-g+1,v.Copy2(A,g,B,1,d-g+1),this.m.push(B)}}return this.x(R,i,o,P,D,g,d,O,w,A,b,C,y,a,m,S,z,N)}z(t){for(let C=0;C<t.length;C++){const u=t[C],m=C<t.length-1?t[C+1].originalStart:this.f.length,y=C<t.length-1?t[C+1].modifiedStart:this.h.length,S=u.originalLength>0,N=u.modifiedLength>0;for(;u.originalStart+u.originalLength<m&&u.modifiedStart+u.modifiedLength<y&&(!S||this.s(u.originalStart,u.originalStart+u.originalLength))&&(!N||this.u(u.modifiedStart,u.modifiedStart+u.modifiedLength));){const a=this.q(u.originalStart,u.modifiedStart);if(this.q(u.originalStart+u.originalLength,u.modifiedStart+u.modifiedLength)&&!a)break;u.originalStart++,u.modifiedStart++}const b=[null];if(C<t.length-1&&this.I(t[C],t[C+1],b)){t[C]=b[0],t.splice(C+1,1),C--;continue}}for(let C=t.length-1;C>=0;C--){const u=t[C];let m=0,y=0;if(C>0){const o=t[C-1];m=o.originalStart+o.originalLength,y=o.modifiedStart+o.modifiedLength}const S=u.originalLength>0,N=u.modifiedLength>0;let b=0,a=this.G(u.originalStart,u.originalLength,u.modifiedStart,u.modifiedLength);for(let o=1;;o++){const g=u.originalStart-o,d=u.modifiedStart-o;if(g<m||d<y||S&&!this.s(g,g+u.originalLength)||N&&!this.u(d,d+u.modifiedLength))break;const h=(g===m&&d===y?5:0)+this.G(g,u.originalLength,d,u.modifiedLength);h>a&&(a=h,b=o)}u.originalStart-=b,u.modifiedStart-=b;const i=[null];if(C>0&&this.I(t[C-1],t[C],i)){t[C-1]=i[0],t.splice(C,1),C++;continue}}if(this.d)for(let C=1,u=t.length;C<u;C++){const m=t[C-1],y=t[C],S=y.originalStart-m.originalStart-m.originalLength,N=m.originalStart,b=y.originalStart+y.originalLength,a=b-N,i=m.modifiedStart,o=y.modifiedStart+y.modifiedLength,g=o-i;if(S<5&&a<20&&g<20){const d=this.A(N,a,i,g,S);if(d){const[s,h]=d;(s!==m.originalStart+m.originalLength||h!==m.modifiedStart+m.modifiedLength)&&(m.originalLength=s-m.originalStart,m.modifiedLength=h-m.modifiedStart,y.originalStart=s+S,y.modifiedStart=h+S,y.originalLength=b-y.originalStart,y.modifiedLength=o-y.modifiedStart)}}}return t}A(t,C,u,m,y){if(C<y||m<y)return null;const S=t+C-y+1,N=u+m-y+1;let b=0,a=0,i=0;for(let o=t;o<S;o++)for(let g=u;g<N;g++){const d=this.B(o,g,y);d>0&&d>b&&(b=d,a=o,i=g)}return b>0?[a,i]:null}B(t,C,u){let m=0;for(let y=0;y<u;y++){if(!this.p(t+y,C+y))return 0;m+=this.e[t+y].length}return m}C(t){return t<=0||t>=this.f.length-1?!0:this.d&&/^\s*$/.test(this.e[t])}D(t,C){if(this.C(t)||this.C(t-1))return!0;if(C>0){const u=t+C;if(this.C(u-1)||this.C(u))return!0}return!1}E(t){return t<=0||t>=this.h.length-1?!0:this.d&&/^\s*$/.test(this.g[t])}F(t,C){if(this.E(t)||this.E(t-1))return!0;if(C>0){const u=t+C;if(this.E(u-1)||this.E(u))return!0}return!1}G(t,C,u,m){const y=this.D(t,C)?1:0,S=this.F(u,m)?1:0;return y+S}H(t,C){const u=[];if(t.length===0||C.length===0)return C.length>0?C:t;if(this.I(t[t.length-1],C[0],u)){const m=new Array(t.length+C.length-1);return v.Copy(t,0,m,0,t.length-1),m[t.length-1]=u[0],v.Copy(C,1,m,t.length,C.length-1),m}else{const m=new Array(t.length+C.length);return v.Copy(t,0,m,0,t.length),v.Copy(C,0,m,t.length,C.length),m}}I(t,C,u){if(L.Assert(t.originalStart<=C.originalStart,"Left change is not less than or equal to right change"),L.Assert(t.modifiedStart<=C.modifiedStart,"Left change is not less than or equal to right change"),t.originalStart+t.originalLength>=C.originalStart||t.modifiedStart+t.modifiedLength>=C.modifiedStart){const m=t.originalStart;let y=t.originalLength;const S=t.modifiedStart;let N=t.modifiedLength;return t.originalStart+t.originalLength>=C.originalStart&&(y=C.originalStart+C.originalLength-t.originalStart),t.modifiedStart+t.modifiedLength>=C.modifiedStart&&(N=C.modifiedStart+C.modifiedLength-t.modifiedStart),u[0]=new _.DiffChange(m,y,S,N),!0}else return u[0]=null,!1}J(t,C,u,m){if(t>=0&&t<m)return t;const y=u,S=m-u-1,N=C%2===0;if(t<0){const b=y%2===0;return N===b?0:1}else{const b=S%2===0;return N===b?m-1:m-2}}}r.LcsDiff=f}),X(Q[30],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.withNullAsUndefined=r.validateConstraint=r.validateConstraints=r.isFunction=r.assertIsDefined=r.assertType=r.isUndefinedOrNull=r.isDefined=r.isUndefined=r.isBoolean=r.isIterable=r.isNumber=r.isTypedArray=r.isObject=r.isString=void 0;function _(N){return typeof N=="string"}r.isString=_;function e(N){return typeof N=="object"&&N!==null&&!Array.isArray(N)&&!(N instanceof RegExp)&&!(N instanceof Date)}r.isObject=e;function E(N){const b=Object.getPrototypeOf(Uint8Array);return typeof N=="object"&&N instanceof b}r.isTypedArray=E;function c(N){return typeof N=="number"&&!isNaN(N)}r.isNumber=c;function L(N){return!!N&&typeof N[Symbol.iterator]=="function"}r.isIterable=L;function v(N){return N===!0||N===!1}r.isBoolean=v;function l(N){return typeof N>"u"}r.isUndefined=l;function f(N){return!p(N)}r.isDefined=f;function p(N){return l(N)||N===null}r.isUndefinedOrNull=p;function t(N,b){if(!N)throw new Error(b?`Unexpected type, expected '${b}'`:"Unexpected type")}r.assertType=t;function C(N){if(p(N))throw new Error("Assertion Failed: argument is undefined or null");return N}r.assertIsDefined=C;function u(N){return typeof N=="function"}r.isFunction=u;function m(N,b){const a=Math.min(N.length,b.length);for(let i=0;i<a;i++)y(N[i],b[i])}r.validateConstraints=m;function y(N,b){if(_(b)){if(typeof N!==b)throw new Error(`argument does not match constraint: typeof ${b}`)}else if(u(b)){try{if(N instanceof b)return}catch{}if(!p(N)&&N.constructor===b||b.length===1&&b.call(void 0,N)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}r.validateConstraint=y;function S(N){return N===null?void 0:N}r.withNullAsUndefined=S}),X(Q[11],J([0,1,30]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.createProxyObject=r.getAllMethodNames=r.getAllPropertyNames=r.equals=r.mixin=r.cloneAndChange=r.deepFreeze=r.deepClone=void 0;function e(u){if(!u||typeof u!="object"||u instanceof RegExp)return u;const m=Array.isArray(u)?[]:{};return Object.entries(u).forEach(([y,S])=>{m[y]=S&&typeof S=="object"?e(S):S}),m}r.deepClone=e;function E(u){if(!u||typeof u!="object")return u;const m=[u];for(;m.length>0;){const y=m.shift();Object.freeze(y);for(const S in y)if(c.call(y,S)){const N=y[S];typeof N=="object"&&!Object.isFrozen(N)&&!(0,_.isTypedArray)(N)&&m.push(N)}}return u}r.deepFreeze=E;const c=Object.prototype.hasOwnProperty;function L(u,m){return v(u,m,new Set)}r.cloneAndChange=L;function v(u,m,y){if((0,_.isUndefinedOrNull)(u))return u;const S=m(u);if(typeof S<"u")return S;if(Array.isArray(u)){const N=[];for(const b of u)N.push(v(b,m,y));return N}if((0,_.isObject)(u)){if(y.has(u))throw new Error("Cannot clone recursive data-structure");y.add(u);const N={};for(const b in u)c.call(u,b)&&(N[b]=v(u[b],m,y));return y.delete(u),N}return u}function l(u,m,y=!0){return(0,_.isObject)(u)?((0,_.isObject)(m)&&Object.keys(m).forEach(S=>{S in u?y&&((0,_.isObject)(u[S])&&(0,_.isObject)(m[S])?l(u[S],m[S],y):u[S]=m[S]):u[S]=m[S]}),u):m}r.mixin=l;function f(u,m){if(u===m)return!0;if(u==null||m===null||m===void 0||typeof u!=typeof m||typeof u!="object"||Array.isArray(u)!==Array.isArray(m))return!1;let y,S;if(Array.isArray(u)){if(u.length!==m.length)return!1;for(y=0;y<u.length;y++)if(!f(u[y],m[y]))return!1}else{const N=[];for(S in u)N.push(S);N.sort();const b=[];for(S in m)b.push(S);if(b.sort(),!f(N,b))return!1;for(y=0;y<N.length;y++)if(!f(u[N[y]],m[N[y]]))return!1}return!0}r.equals=f;function p(u){let m=[],y=Object.getPrototypeOf(u);for(;Object.prototype!==y;)m=m.concat(Object.getOwnPropertyNames(y)),y=Object.getPrototypeOf(y);return m}r.getAllPropertyNames=p;function t(u){const m=[];for(const y of p(u))typeof u[y]=="function"&&m.push(y);return m}r.getAllMethodNames=t;function C(u,m){const y=N=>function(){const b=Array.prototype.slice.call(arguments,0);return m(N,b)},S={};for(const N of u)S[N]=y(N);return S}r.createProxyObject=C}),X(Q[16],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.toUint32=r.toUint8=void 0;function _(E){return E<0?0:E>255?255:E|0}r.toUint8=_;function e(E){return E<0?0:E>4294967295?4294967295:E|0}r.toUint32=e}),X(Q[17],J([0,1,16]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CharacterSet=r.CharacterClassifier=void 0;class e{constructor(L){const v=(0,_.toUint8)(L);this.c=v,this.a=e.d(v),this.b=new Map}static d(L){const v=new Uint8Array(256);return v.fill(L),v}set(L,v){const l=(0,_.toUint8)(v);L>=0&&L<256?this.a[L]=l:this.b.set(L,l)}get(L){return L>=0&&L<256?this.a[L]:this.b.get(L)||this.c}clear(){this.a.fill(this.c),this.b.clear()}}r.CharacterClassifier=e;class E{constructor(){this.a=new e(0)}add(L){this.a.set(L,1)}has(L){return this.a.get(L)===1}clear(){return this.a.clear()}}r.CharacterSet=E}),X(Q[3],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Position=void 0;class _{constructor(E,c){this.lineNumber=E,this.column=c}with(E=this.lineNumber,c=this.column){return E===this.lineNumber&&c===this.column?this:new _(E,c)}delta(E=0,c=0){return this.with(this.lineNumber+E,this.column+c)}equals(E){return _.equals(this,E)}static equals(E,c){return!E&&!c?!0:!!E&&!!c&&E.lineNumber===c.lineNumber&&E.column===c.column}isBefore(E){return _.isBefore(this,E)}static isBefore(E,c){return E.lineNumber<c.lineNumber?!0:c.lineNumber<E.lineNumber?!1:E.column<c.column}isBeforeOrEqual(E){return _.isBeforeOrEqual(this,E)}static isBeforeOrEqual(E,c){return E.lineNumber<c.lineNumber?!0:c.lineNumber<E.lineNumber?!1:E.column<=c.column}static compare(E,c){const L=E.lineNumber|0,v=c.lineNumber|0;if(L===v){const l=E.column|0,f=c.column|0;return l-f}return L-v}clone(){return new _(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(E){return new _(E.lineNumber,E.column)}static isIPosition(E){return E&&typeof E.lineNumber=="number"&&typeof E.column=="number"}}r.Position=_}),X(Q[2],J([0,1,3]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Range=void 0;class e{constructor(c,L,v,l){c>v||c===v&&L>l?(this.startLineNumber=v,this.startColumn=l,this.endLineNumber=c,this.endColumn=L):(this.startLineNumber=c,this.startColumn=L,this.endLineNumber=v,this.endColumn=l)}isEmpty(){return e.isEmpty(this)}static isEmpty(c){return c.startLineNumber===c.endLineNumber&&c.startColumn===c.endColumn}containsPosition(c){return e.containsPosition(this,c)}static containsPosition(c,L){return!(L.lineNumber<c.startLineNumber||L.lineNumber>c.endLineNumber||L.lineNumber===c.startLineNumber&&L.column<c.startColumn||L.lineNumber===c.endLineNumber&&L.column>c.endColumn)}static strictContainsPosition(c,L){return!(L.lineNumber<c.startLineNumber||L.lineNumber>c.endLineNumber||L.lineNumber===c.startLineNumber&&L.column<=c.startColumn||L.lineNumber===c.endLineNumber&&L.column>=c.endColumn)}containsRange(c){return e.containsRange(this,c)}static containsRange(c,L){return!(L.startLineNumber<c.startLineNumber||L.endLineNumber<c.startLineNumber||L.startLineNumber>c.endLineNumber||L.endLineNumber>c.endLineNumber||L.startLineNumber===c.startLineNumber&&L.startColumn<c.startColumn||L.endLineNumber===c.endLineNumber&&L.endColumn>c.endColumn)}strictContainsRange(c){return e.strictContainsRange(this,c)}static strictContainsRange(c,L){return!(L.startLineNumber<c.startLineNumber||L.endLineNumber<c.startLineNumber||L.startLineNumber>c.endLineNumber||L.endLineNumber>c.endLineNumber||L.startLineNumber===c.startLineNumber&&L.startColumn<=c.startColumn||L.endLineNumber===c.endLineNumber&&L.endColumn>=c.endColumn)}plusRange(c){return e.plusRange(this,c)}static plusRange(c,L){let v,l,f,p;return L.startLineNumber<c.startLineNumber?(v=L.startLineNumber,l=L.startColumn):L.startLineNumber===c.startLineNumber?(v=L.startLineNumber,l=Math.min(L.startColumn,c.startColumn)):(v=c.startLineNumber,l=c.startColumn),L.endLineNumber>c.endLineNumber?(f=L.endLineNumber,p=L.endColumn):L.endLineNumber===c.endLineNumber?(f=L.endLineNumber,p=Math.max(L.endColumn,c.endColumn)):(f=c.endLineNumber,p=c.endColumn),new e(v,l,f,p)}intersectRanges(c){return e.intersectRanges(this,c)}static intersectRanges(c,L){let v=c.startLineNumber,l=c.startColumn,f=c.endLineNumber,p=c.endColumn;const t=L.startLineNumber,C=L.startColumn,u=L.endLineNumber,m=L.endColumn;return v<t?(v=t,l=C):v===t&&(l=Math.max(l,C)),f>u?(f=u,p=m):f===u&&(p=Math.min(p,m)),v>f||v===f&&l>p?null:new e(v,l,f,p)}equalsRange(c){return e.equalsRange(this,c)}static equalsRange(c,L){return!c&&!L?!0:!!c&&!!L&&c.startLineNumber===L.startLineNumber&&c.startColumn===L.startColumn&&c.endLineNumber===L.endLineNumber&&c.endColumn===L.endColumn}getEndPosition(){return e.getEndPosition(this)}static getEndPosition(c){return new _.Position(c.endLineNumber,c.endColumn)}getStartPosition(){return e.getStartPosition(this)}static getStartPosition(c){return new _.Position(c.startLineNumber,c.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(c,L){return new e(this.startLineNumber,this.startColumn,c,L)}setStartPosition(c,L){return new e(c,L,this.endLineNumber,this.endColumn)}collapseToStart(){return e.collapseToStart(this)}delta(c){return new e(this.startLineNumber+c,this.startColumn,this.endLineNumber+c,this.endColumn)}static collapseToStart(c){return new e(c.startLineNumber,c.startColumn,c.startLineNumber,c.startColumn)}static fromPositions(c,L=c){return new e(c.lineNumber,c.column,L.lineNumber,L.column)}static lift(c){return c?new e(c.startLineNumber,c.startColumn,c.endLineNumber,c.endColumn):null}static isIRange(c){return c&&typeof c.startLineNumber=="number"&&typeof c.startColumn=="number"&&typeof c.endLineNumber=="number"&&typeof c.endColumn=="number"}static areIntersectingOrTouching(c,L){return!(c.endLineNumber<L.startLineNumber||c.endLineNumber===L.startLineNumber&&c.endColumn<L.startColumn||L.endLineNumber<c.startLineNumber||L.endLineNumber===c.startLineNumber&&L.endColumn<c.startColumn)}static areIntersecting(c,L){return!(c.endLineNumber<L.startLineNumber||c.endLineNumber===L.startLineNumber&&c.endColumn<=L.startColumn||L.endLineNumber<c.startLineNumber||L.endLineNumber===c.startLineNumber&&L.endColumn<=c.startColumn)}static compareRangesUsingStarts(c,L){if(c&&L){const f=c.startLineNumber|0,p=L.startLineNumber|0;if(f===p){const t=c.startColumn|0,C=L.startColumn|0;if(t===C){const u=c.endLineNumber|0,m=L.endLineNumber|0;if(u===m){const y=c.endColumn|0,S=L.endColumn|0;return y-S}return u-m}return t-C}return f-p}return(c?1:0)-(L?1:0)}static compareRangesUsingEnds(c,L){return c.endLineNumber===L.endLineNumber?c.endColumn===L.endColumn?c.startLineNumber===L.startLineNumber?c.startColumn-L.startColumn:c.startLineNumber-L.startLineNumber:c.endColumn-L.endColumn:c.endLineNumber-L.endLineNumber}static spansMultipleLines(c){return c.endLineNumber>c.startLineNumber}toJSON(){return this}}r.Range=e}),X(Q[31],J([0,1,3,2]),function(I,r,_,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Selection=void 0;class E extends e.Range{constructor(L,v,l,f){super(L,v,l,f),this.selectionStartLineNumber=L,this.selectionStartColumn=v,this.positionLineNumber=l,this.positionColumn=f}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(L){return E.selectionsEqual(this,L)}static selectionsEqual(L,v){return L.selectionStartLineNumber===v.selectionStartLineNumber&&L.selectionStartColumn===v.selectionStartColumn&&L.positionLineNumber===v.positionLineNumber&&L.positionColumn===v.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(L,v){return this.getDirection()===0?new E(this.startLineNumber,this.startColumn,L,v):new E(L,v,this.startLineNumber,this.startColumn)}getPosition(){return new _.Position(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new _.Position(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(L,v){return this.getDirection()===0?new E(L,v,this.endLineNumber,this.endColumn):new E(this.endLineNumber,this.endColumn,L,v)}static fromPositions(L,v=L){return new E(L.lineNumber,L.column,v.lineNumber,v.column)}static fromRange(L,v){return v===0?new E(L.startLineNumber,L.startColumn,L.endLineNumber,L.endColumn):new E(L.endLineNumber,L.endColumn,L.startLineNumber,L.startColumn)}static liftSelection(L){return new E(L.selectionStartLineNumber,L.selectionStartColumn,L.positionLineNumber,L.positionColumn)}static selectionsArrEqual(L,v){if(L&&!v||!L&&v)return!1;if(!L&&!v)return!0;if(L.length!==v.length)return!1;for(let l=0,f=L.length;l<f;l++)if(!this.selectionsEqual(L[l],v[l]))return!1;return!0}static isISelection(L){return L&&typeof L.selectionStartLineNumber=="number"&&typeof L.selectionStartColumn=="number"&&typeof L.positionLineNumber=="number"&&typeof L.positionColumn=="number"}static createWithDirection(L,v,l,f,p){return p===0?new E(L,v,l,f):new E(l,f,L,v)}}r.Selection=E}),X(Q[32],J([0,1,17]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.getMapForWordSeparators=r.WordCharacterClassifier=void 0;class e extends _.CharacterClassifier{constructor(L){super(0);for(let v=0,l=L.length;v<l;v++)this.set(L.charCodeAt(v),2);this.set(32,1),this.set(9,1)}}r.WordCharacterClassifier=e;function E(c){const L={};return v=>(L.hasOwnProperty(v)||(L[v]=c(v)),L[v])}r.getMapForWordSeparators=E(c=>new e(c))}),X(Q[18],J([0,1,13,14]),function(I,r,_,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.getWordAtText=r.ensureValidWordDefinition=r.DEFAULT_WORD_REGEXP=r.USUAL_WORD_SEPARATORS=void 0,r.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function E(f=""){let p="(-?\\d*\\.\\d\\w*)|([^";for(const t of r.USUAL_WORD_SEPARATORS)f.indexOf(t)>=0||(p+="\\"+t);return p+="\\s]+)",new RegExp(p,"g")}r.DEFAULT_WORD_REGEXP=E();function c(f){let p=r.DEFAULT_WORD_REGEXP;if(f&&f instanceof RegExp)if(f.global)p=f;else{let t="g";f.ignoreCase&&(t+="i"),f.multiline&&(t+="m"),f.unicode&&(t+="u"),p=new RegExp(f.source,t)}return p.lastIndex=0,p}r.ensureValidWordDefinition=c;const L=new e.LinkedList;L.unshift({maxLen:1e3,windowSize:15,timeBudget:150});function v(f,p,t,C,u){if(u||(u=_.Iterable.first(L)),t.length>u.maxLen){let b=f-u.maxLen/2;return b<0?b=0:C+=b,t=t.substring(b,f+u.maxLen/2),v(f,p,t,C,u)}const m=Date.now(),y=f-1-C;let S=-1,N=null;for(let b=1;!(Date.now()-m>=u.timeBudget);b++){const a=y-u.windowSize*b;p.lastIndex=Math.max(0,a);const i=l(p,t,y,S);if(!i&&N||(N=i,a<=0))break;S=a}if(N){const b={word:N[0],startColumn:C+1+N.index,endColumn:C+1+N.index+N[0].length};return p.lastIndex=0,b}return null}r.getWordAtText=v;function l(f,p,t,C){let u;for(;u=f.exec(p);){const m=u.index||0;if(m<=t&&f.lastIndex>=t)return u;if(C>0&&m>C)return null}return null}}),X(Q[6],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.OffsetRange=r.SequenceDiff=void 0;class _{constructor(c,L){this.seq1Range=c,this.seq2Range=L}reverse(){return new _(this.seq2Range,this.seq1Range)}toString(){return`${this.seq1Range} <-> ${this.seq2Range}`}}r.SequenceDiff=_;class e{constructor(c,L){this.start=c,this.endExclusive=L}get isEmpty(){return this.start===this.endExclusive}delta(c){return new e(this.start+c,this.endExclusive+c)}get length(){return this.endExclusive-this.start}toString(){return`[${this.start}, ${this.endExclusive})`}join(c){return new e(Math.min(this.start,c.start),Math.max(this.endExclusive,c.endExclusive))}}r.OffsetRange=e}),X(Q[33],J([0,1,6]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.shiftSequenceDiffs=r.joinSequenceDiffs=r.smoothenSequenceDiffs=r.optimizeSequenceDiffs=void 0;function e(l,f,p){let t=p;return t=c(l,f,t),t=L(l,f,t),t}r.optimizeSequenceDiffs=e;function E(l,f,p){const t=[];for(const C of p){const u=t[t.length-1];if(!u){t.push(C);continue}C.seq1Range.start-u.seq1Range.endExclusive<=2||C.seq2Range.start-u.seq2Range.endExclusive<=2?t[t.length-1]=new _.SequenceDiff(u.seq1Range.join(C.seq1Range),u.seq2Range.join(C.seq2Range)):t.push(C)}return t}r.smoothenSequenceDiffs=E;function c(l,f,p){const t=[];p.length>0&&t.push(p[0]);for(let C=1;C<p.length;C++){const u=t[t.length-1],m=p[C];if(m.seq1Range.isEmpty){let y=!0;const S=m.seq1Range.start-u.seq1Range.endExclusive;for(let N=1;N<=S;N++)if(f.getElement(m.seq2Range.start-N)!==f.getElement(m.seq2Range.endExclusive-N)){y=!1;break}if(y){t[t.length-1]=new _.SequenceDiff(u.seq1Range,new _.OffsetRange(u.seq2Range.start,m.seq2Range.endExclusive-S));continue}}t.push(m)}return t}r.joinSequenceDiffs=c;function L(l,f,p){if(!l.getBoundaryScore||!f.getBoundaryScore)return p;for(let t=0;t<p.length;t++){const C=p[t];if(C.seq1Range.isEmpty){const u=t>0?p[t-1].seq2Range.endExclusive:-1,m=t+1<p.length?p[t+1].seq2Range.start:f.length;p[t]=v(C,l,f,m,u)}else if(C.seq2Range.isEmpty){const u=t>0?p[t-1].seq1Range.endExclusive:-1,m=t+1<p.length?p[t+1].seq1Range.start:l.length;p[t]=v(C.reverse(),f,l,m,u).reverse()}}return p}r.shiftSequenceDiffs=L;function v(l,f,p,t,C){let m=1;for(;l.seq2Range.start-m>C&&p.getElement(l.seq2Range.start-m)===p.getElement(l.seq2Range.endExclusive-m)&&m<20;)m++;m--;let y=0;for(;l.seq2Range.start+y<t&&p.getElement(l.seq2Range.start+y)===p.getElement(l.seq2Range.endExclusive+y)&&y<20;)y++;if(m===0&&y===0)return l;let S=0,N=-1;for(let b=-m;b<=y;b++){const a=l.seq2Range.start+b,i=l.seq2Range.endExclusive+b,o=l.seq1Range.start+b,g=f.getBoundaryScore(o)+p.getBoundaryScore(a)+p.getBoundaryScore(i);g>N&&(N=g,S=b)}return S!==0?new _.SequenceDiff(l.seq1Range.delta(S),l.seq2Range.delta(S)):l}}),X(Q[34],J([0,1,6]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.MyersDiffAlgorithm=void 0;class e{compute(l,f){if(l.length===0)return[new _.SequenceDiff(new _.OffsetRange(0,0),new _.OffsetRange(0,f.length))];if(f.length===0)return[new _.SequenceDiff(new _.OffsetRange(0,l.length),new _.OffsetRange(0,0))];function p(a,i){for(;a<l.length&&i<f.length&&l.getElement(a)===f.getElement(i);)a++,i++;return a}let t=0;const C=new c;C.set(0,p(0,0));const u=new L;u.set(0,C.get(0)===0?null:new E(null,0,0,C.get(0)));let m=0;e:for(;;)for(t++,m=-t;m<=t;m+=2){const a=m===t?-1:C.get(m+1),i=m===-t?-1:C.get(m-1)+1,o=Math.min(Math.max(a,i),l.length),g=o-m,d=p(o,g);C.set(m,d);const s=o===a?u.get(m+1):u.get(m-1);if(u.set(m,d!==o?new E(s,o,g,d-o):s),C.get(m)===l.length&&C.get(m)-m===f.length)break e}let y=u.get(m);const S=[];let N=l.length,b=f.length;for(;;){const a=y?y.x+y.length:0,i=y?y.y+y.length:0;if((a!==N||i!==b)&&S.push(new _.SequenceDiff(new _.OffsetRange(a,N),new _.OffsetRange(i,b))),!y)break;N=y.x,b=y.y,y=y.prev}return S.reverse(),S}}r.MyersDiffAlgorithm=e;class E{constructor(l,f,p,t){this.prev=l,this.x=f,this.y=p,this.length=t}}class c{constructor(){this.a=new Int32Array(10),this.b=new Int32Array(10)}get(l){return l<0?(l=-l-1,this.b[l]):this.a[l]}set(l,f){if(l<0){if(l=-l-1,l>=this.b.length){const p=this.b;this.b=new Int32Array(p.length*2),this.b.set(p)}this.b[l]=f}else{if(l>=this.a.length){const p=this.a;this.a=new Int32Array(p.length*2),this.a.set(p)}this.a[l]=f}}}class L{constructor(){this.a=[],this.b=[]}get(l){return l<0?(l=-l-1,this.b[l]):this.a[l]}set(l,f){l<0?(l=-l-1,this.b[l]=f):this.a[l]=f}}}),X(Q[35],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Array2D=void 0;class _{constructor(E,c){this.width=E,this.height=c,this.a=[],this.a=new Array(E*c)}get(E,c){return this.a[E+c*this.width]}set(E,c,L){this.a[E+c*this.width]=L}}r.Array2D=_}),X(Q[36],J([0,1,6,35]),function(I,r,_,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DynamicProgrammingDiffing=void 0;class E{compute(L,v,l){const f=new e.Array2D(L.length,v.length),p=new e.Array2D(L.length,v.length),t=new e.Array2D(L.length,v.length);for(let b=0;b<L.length;b++)for(let a=0;a<v.length;a++){const i=b===0?0:f.get(b-1,a),o=a===0?0:f.get(b,a-1);let g;L.getElement(b)===v.getElement(a)?(b===0||a===0?g=0:g=f.get(b-1,a-1),b>0&&a>0&&p.get(b-1,a-1)===3&&(g+=t.get(b-1,a-1)),g+=l?l(b,a):1):g=-1;const d=Math.max(i,o,g);if(d===g){const s=b>0&&a>0?t.get(b-1,a-1):0;t.set(b,a,s+1),p.set(b,a,3)}else d===i?(t.set(b,a,0),p.set(b,a,1)):d===o&&(t.set(b,a,0),p.set(b,a,2));f.set(b,a,d)}const C=[];let u=L.length,m=v.length;function y(b,a){(b+1!==u||a+1!==m)&&C.push(new _.SequenceDiff(new _.OffsetRange(b+1,u),new _.OffsetRange(a+1,m))),u=b,m=a}let S=L.length-1,N=v.length-1;for(;S>=0&&N>=0;)p.get(S,N)===3?(y(S,N),S--,N--):p.get(S,N)===1?S--:N--;return y(-1,-1),C.reverse(),C}}r.DynamicProgrammingDiffing=E}),X(Q[19],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LineRange=r.RangeMapping=r.LineRangeMapping=void 0;class _{constructor(L,v,l){this.originalRange=L,this.modifiedRange=v,this.innerChanges=l}toString(){return`{${this.originalRange.toString()}->${this.modifiedRange.toString()}}`}}r.LineRangeMapping=_;class e{constructor(L,v){this.originalRange=L,this.modifiedRange=v}toString(){return`{${this.originalRange.toString()}->${this.modifiedRange.toString()}}`}}r.RangeMapping=e;class E{constructor(L,v){this.startLineNumber=L,this.endLineNumberExclusive=v}get isEmpty(){return this.startLineNumber===this.endLineNumberExclusive}delta(L){return new E(this.startLineNumber+L,this.endLineNumberExclusive+L)}get length(){return this.endLineNumberExclusive-this.startLineNumber}join(L){return new E(Math.min(this.startLineNumber,L.startLineNumber),Math.max(this.endLineNumberExclusive,L.endLineNumberExclusive))}toString(){return`[${this.startLineNumber},${this.endLineNumberExclusive})`}}r.LineRange=E}),X(Q[37],J([0,1,15,19,4,2,9]),function(I,r,_,e,E,c,L){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DiffComputer=r.SmartLinesDiffComputer=void 0;const v=3;class l{computeDiff(i,o,g){var d;const h=new y(i,o,{maxComputationTime:g.maxComputationTimeMs,shouldIgnoreTrimWhitespace:g.ignoreTrimWhitespace,shouldComputeCharChanges:!0,shouldMakePrettyDiff:!0,shouldPostProcessCharChanges:!0}).computeDiff(),w=[];let A=null;for(const R of h.changes){let D;R.originalEndLineNumber===0?D=new e.LineRange(R.originalStartLineNumber+1,R.originalStartLineNumber+1):D=new e.LineRange(R.originalStartLineNumber,R.originalEndLineNumber+1);let P;R.modifiedEndLineNumber===0?P=new e.LineRange(R.modifiedStartLineNumber+1,R.modifiedStartLineNumber+1):P=new e.LineRange(R.modifiedStartLineNumber,R.modifiedEndLineNumber+1);let O=new e.LineRangeMapping(D,P,(d=R.charChanges)===null||d===void 0?void 0:d.map(q=>new e.RangeMapping(new c.Range(q.originalStartLineNumber,q.originalStartColumn,q.originalEndLineNumber,q.originalEndColumn),new c.Range(q.modifiedStartLineNumber,q.modifiedStartColumn,q.modifiedEndLineNumber,q.modifiedEndColumn))));A&&(A.modifiedRange.endLineNumberExclusive===O.modifiedRange.startLineNumber||A.originalRange.endLineNumberExclusive===O.originalRange.startLineNumber)&&(O=new e.LineRangeMapping(A.originalRange.join(O.originalRange),A.modifiedRange.join(O.modifiedRange),A.innerChanges&&O.innerChanges?A.innerChanges.concat(O.innerChanges):void 0),w.pop()),w.push(O),A=O}return(0,L.assertFn)(()=>(0,L.checkAdjacentItems)(w,(R,D)=>D.originalRange.startLineNumber-R.originalRange.endLineNumberExclusive===D.modifiedRange.startLineNumber-R.modifiedRange.endLineNumberExclusive&&R.originalRange.endLineNumberExclusive<D.originalRange.startLineNumber&&R.modifiedRange.endLineNumberExclusive<D.modifiedRange.startLineNumber)),{quitEarly:h.quitEarly,changes:w}}}r.SmartLinesDiffComputer=l;function f(a,i,o,g){return new _.LcsDiff(a,i,o).ComputeDiff(g)}class p{constructor(i){const o=[],g=[];for(let d=0,s=i.length;d<s;d++)o[d]=S(i[d],1),g[d]=N(i[d],1);this.lines=i,this.a=o,this.b=g}getElements(){const i=[];for(let o=0,g=this.lines.length;o<g;o++)i[o]=this.lines[o].substring(this.a[o]-1,this.b[o]-1);return i}getStrictElement(i){return this.lines[i]}getStartLineNumber(i){return i+1}getEndLineNumber(i){return i+1}createCharSequence(i,o,g){const d=[],s=[],h=[];let w=0;for(let A=o;A<=g;A++){const R=this.lines[A],D=i?this.a[A]:1,P=i?this.b[A]:R.length+1;for(let O=D;O<P;O++)d[w]=R.charCodeAt(O-1),s[w]=A+1,h[w]=O,w++;!i&&A<g&&(d[w]=10,s[w]=A+1,h[w]=R.length+1,w++)}return new t(d,s,h)}}class t{constructor(i,o,g){this.a=i,this.b=o,this.d=g}toString(){return"["+this.a.map((i,o)=>(i===10?"\\n":String.fromCharCode(i))+`-(${this.b[o]},${this.d[o]})`).join(", ")+"]"}e(i,o){if(i<0||i>=o.length)throw new Error("Illegal index")}getElements(){return this.a}getStartLineNumber(i){return i>0&&i===this.b.length?this.getEndLineNumber(i-1):(this.e(i,this.b),this.b[i])}getEndLineNumber(i){return i===-1?this.getStartLineNumber(i+1):(this.e(i,this.b),this.a[i]===10?this.b[i]+1:this.b[i])}getStartColumn(i){return i>0&&i===this.d.length?this.getEndColumn(i-1):(this.e(i,this.d),this.d[i])}getEndColumn(i){return i===-1?this.getStartColumn(i+1):(this.e(i,this.d),this.a[i]===10?1:this.d[i]+1)}}class C{constructor(i,o,g,d,s,h,w,A){this.originalStartLineNumber=i,this.originalStartColumn=o,this.originalEndLineNumber=g,this.originalEndColumn=d,this.modifiedStartLineNumber=s,this.modifiedStartColumn=h,this.modifiedEndLineNumber=w,this.modifiedEndColumn=A}static createFromDiffChange(i,o,g){const d=o.getStartLineNumber(i.originalStart),s=o.getStartColumn(i.originalStart),h=o.getEndLineNumber(i.originalStart+i.originalLength-1),w=o.getEndColumn(i.originalStart+i.originalLength-1),A=g.getStartLineNumber(i.modifiedStart),R=g.getStartColumn(i.modifiedStart),D=g.getEndLineNumber(i.modifiedStart+i.modifiedLength-1),P=g.getEndColumn(i.modifiedStart+i.modifiedLength-1);return new C(d,s,h,w,A,R,D,P)}}function u(a){if(a.length<=1)return a;const i=[a[0]];let o=i[0];for(let g=1,d=a.length;g<d;g++){const s=a[g],h=s.originalStart-(o.originalStart+o.originalLength),w=s.modifiedStart-(o.modifiedStart+o.modifiedLength);Math.min(h,w)<v?(o.originalLength=s.originalStart+s.originalLength-o.originalStart,o.modifiedLength=s.modifiedStart+s.modifiedLength-o.modifiedStart):(i.push(s),o=s)}return i}class m{constructor(i,o,g,d,s){this.originalStartLineNumber=i,this.originalEndLineNumber=o,this.modifiedStartLineNumber=g,this.modifiedEndLineNumber=d,this.charChanges=s}static createFromDiffResult(i,o,g,d,s,h,w){let A,R,D,P,O;if(o.originalLength===0?(A=g.getStartLineNumber(o.originalStart)-1,R=0):(A=g.getStartLineNumber(o.originalStart),R=g.getEndLineNumber(o.originalStart+o.originalLength-1)),o.modifiedLength===0?(D=d.getStartLineNumber(o.modifiedStart)-1,P=0):(D=d.getStartLineNumber(o.modifiedStart),P=d.getEndLineNumber(o.modifiedStart+o.modifiedLength-1)),h&&o.originalLength>0&&o.originalLength<20&&o.modifiedLength>0&&o.modifiedLength<20&&s()){const q=g.createCharSequence(i,o.originalStart,o.originalStart+o.originalLength-1),z=d.createCharSequence(i,o.modifiedStart,o.modifiedStart+o.modifiedLength-1);if(q.getElements().length>0&&z.getElements().length>0){let W=f(q,z,s,!0).changes;w&&(W=u(W)),O=[];for(let k=0,T=W.length;k<T;k++)O.push(C.createFromDiffChange(W[k],q,z))}}return new m(A,R,D,P,O)}}class y{constructor(i,o,g){this.a=g.shouldComputeCharChanges,this.b=g.shouldPostProcessCharChanges,this.d=g.shouldIgnoreTrimWhitespace,this.e=g.shouldMakePrettyDiff,this.f=i,this.g=o,this.h=new p(i),this.j=new p(o),this.k=b(g.maxComputationTime),this.l=b(g.maxComputationTime===0?0:Math.min(g.maxComputationTime,5e3))}computeDiff(){if(this.h.lines.length===1&&this.h.lines[0].length===0)return this.j.lines.length===1&&this.j.lines[0].length===0?{quitEarly:!1,changes:[]}:{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.j.lines.length,charChanges:void 0}]};if(this.j.lines.length===1&&this.j.lines[0].length===0)return{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:this.h.lines.length,modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:void 0}]};const i=f(this.h,this.j,this.k,this.e),o=i.changes,g=i.quitEarly;if(this.d){const w=[];for(let A=0,R=o.length;A<R;A++)w.push(m.createFromDiffResult(this.d,o[A],this.h,this.j,this.l,this.a,this.b));return{quitEarly:g,changes:w}}const d=[];let s=0,h=0;for(let w=-1,A=o.length;w<A;w++){const R=w+1<A?o[w+1]:null,D=R?R.originalStart:this.f.length,P=R?R.modifiedStart:this.g.length;for(;s<D&&h<P;){const O=this.f[s],q=this.g[h];if(O!==q){{let z=S(O,1),W=S(q,1);for(;z>1&&W>1;){const k=O.charCodeAt(z-2),T=q.charCodeAt(W-2);if(k!==T)break;z--,W--}(z>1||W>1)&&this.m(d,s+1,1,z,h+1,1,W)}{let z=N(O,1),W=N(q,1);const k=O.length+1,T=q.length+1;for(;z<k&&W<T;){const F=O.charCodeAt(z-1),B=O.charCodeAt(W-1);if(F!==B)break;z++,W++}(z<k||W<T)&&this.m(d,s+1,z,k,h+1,W,T)}}s++,h++}R&&(d.push(m.createFromDiffResult(this.d,R,this.h,this.j,this.l,this.a,this.b)),s+=R.originalLength,h+=R.modifiedLength)}return{quitEarly:g,changes:d}}m(i,o,g,d,s,h,w){if(this.n(i,o,g,d,s,h,w))return;let A;this.a&&(A=[new C(o,g,o,d,s,h,s,w)]),i.push(new m(o,o,s,s,A))}n(i,o,g,d,s,h,w){const A=i.length;if(A===0)return!1;const R=i[A-1];return R.originalEndLineNumber===0||R.modifiedEndLineNumber===0?!1:R.originalEndLineNumber+1===o&&R.modifiedEndLineNumber+1===s?(R.originalEndLineNumber=o,R.modifiedEndLineNumber=s,this.a&&R.charChanges&&R.charChanges.push(new C(o,g,o,d,s,h,s,w)),!0):!1}}r.DiffComputer=y;function S(a,i){const o=E.firstNonWhitespaceIndex(a);return o===-1?i:o+1}function N(a,i){const o=E.lastNonWhitespaceIndex(a);return o===-1?i:o+2}function b(a){if(a===0)return()=>!0;const i=Date.now();return()=>Date.now()-i<a}}),X(Q[38],J([0,1,9,3,2,6,36,33,34,19]),function(I,r,_,e,E,c,L,v,l,f){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LineSequence=r.lineRangeMappingFromRangeMappings=r.StandardLinesDiffComputer=void 0;class p{constructor(){this.b=new L.DynamicProgrammingDiffing,this.c=new l.MyersDiffAlgorithm}computeDiff(o,g,d){const s=new Map;function h(T){let F=s.get(T);return F===void 0&&(F=s.size,s.set(T,F)),F}const w=o.map(T=>h(T.trim())),A=g.map(T=>h(T.trim())),R=new u(w,o),D=new u(A,g);let P=(()=>R.length+D.length<1500?this.b.compute(R,D,(T,F)=>o[T]===g[F]?g[F].length===0?.1:1+Math.log(1+g[F].length):.99):this.c.compute(R,D))();P=(0,v.optimizeSequenceDiffs)(R,D,P);const O=[],q=T=>{for(let F=0;F<T;F++){const B=z+F,H=W+F;if(o[B]!==g[H]){const n=this.e(o,g,new c.SequenceDiff(new c.OffsetRange(B,B+1),new c.OffsetRange(H,H+1)));for(const se of n)O.push(se)}}};let z=0,W=0;for(const T of P){(0,_.assertFn)(()=>T.seq1Range.start-z===T.seq2Range.start-W);const F=T.seq1Range.start-z;q(F),z=T.seq1Range.endExclusive,W=T.seq2Range.endExclusive;const B=this.e(o,g,T);for(const H of B)O.push(H)}q(o.length-z);const k=t(O);return{quitEarly:!1,changes:k}}e(o,g,d){const s=new y(o,d.seq1Range),h=new y(g,d.seq2Range),w=s.length+h.length<500?this.b.compute(s,h):this.c.compute(s,h);let A=(0,v.optimizeSequenceDiffs)(s,h,w);return A=(0,v.smoothenSequenceDiffs)(s,h,A),A.map(D=>new f.RangeMapping(s.translateRange(D.seq1Range).delta(d.seq1Range.start),h.translateRange(D.seq2Range).delta(d.seq2Range.start)))}}r.StandardLinesDiffComputer=p;function t(i){const o=[];for(const g of C(i,(d,s)=>s.originalRange.startLineNumber-(d.originalRange.endLineNumber-(d.originalRange.endColumn>1?0:1))<=1||s.modifiedRange.startLineNumber-(d.modifiedRange.endLineNumber-(d.modifiedRange.endColumn>1?0:1))<=1)){const d=g[0],s=g[g.length-1];o.push(new f.LineRangeMapping(new f.LineRange(d.originalRange.startLineNumber,s.originalRange.endLineNumber+(s.originalRange.endColumn>1||s.modifiedRange.endColumn>1?1:0)),new f.LineRange(d.modifiedRange.startLineNumber,s.modifiedRange.endLineNumber+(s.originalRange.endColumn>1||s.modifiedRange.endColumn>1?1:0)),g))}return(0,_.assertFn)(()=>(0,_.checkAdjacentItems)(o,(g,d)=>d.originalRange.startLineNumber-g.originalRange.endLineNumberExclusive===d.modifiedRange.startLineNumber-g.modifiedRange.endLineNumberExclusive&&g.originalRange.endLineNumberExclusive<d.originalRange.startLineNumber&&g.modifiedRange.endLineNumberExclusive<d.modifiedRange.startLineNumber)),o}r.lineRangeMappingFromRangeMappings=t;function*C(i,o){let g,d;for(const s of i)d!==void 0&&o(d,s)?g.push(s):(g&&(yield g),g=[s]),d=s;g&&(yield g)}class u{constructor(o,g){this.b=o,this.c=g}getElement(o){return this.b[o]}get length(){return this.b.length}getBoundaryScore(o){const g=o===0?0:m(this.c[o-1]),d=o===this.c.length?0:m(this.c[o]);return 1e3-(g+d)}}r.LineSequence=u;function m(i){let o=0;for(;o<i.length&&(i.charCodeAt(o)===32||i.charCodeAt(o)===9);)o++;return o}class y{constructor(o,g){this.lines=o,this.lineRange=g;let d=0;this.c=new Int32Array(g.length);for(let h=g.start;h<g.endExclusive;h++)d+=o[h].length,this.c[h-g.start]=d+1,d++;this.b=new Int32Array(d);let s=0;for(let h=g.start;h<g.endExclusive;h++){const w=o[h];for(let A=0;A<w.length;A++)this.b[s+A]=w.charCodeAt(A);s+=w.length,h<o.length-1&&(this.b[s]=`
`.charCodeAt(0),s+=1)}}getElement(o){return this.b[o]}get length(){return this.b.length}getBoundaryScore(o){const g=b(o>0?this.b[o-1]:-1),d=b(o<this.b.length?this.b[o]:-1);if(g===6&&d===7)return 0;let s=0;return g!==d&&(s+=10,d===1&&(s+=1)),s+=N(g),s+=N(d),s}translateOffset(o){let g=0,d=this.c.length;for(;g<d;){const h=Math.floor((g+d)/2);this.c[h]>o?d=h:g=h+1}const s=g===0?0:this.c[g-1];return new e.Position(g+1,o-s+1)}translateRange(o){return E.Range.fromPositions(this.translateOffset(o.start),this.translateOffset(o.endExclusive))}}const S={[0]:0,[1]:0,[2]:0,[3]:10,[4]:2,[5]:3,[6]:10,[7]:10};function N(i){return S[i]}function b(i){return i===10?7:i===13?6:a(i)?5:i>=97&&i<=122?0:i>=65&&i<=90?1:i>=48&&i<=57?2:i===-1?3:4}function a(i){return i===32||i===9}}),X(Q[39],J([0,1,37,38]),function(I,r,_,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.linesDiffComputers=void 0,r.linesDiffComputers={smart:new _.SmartLinesDiffComputer,experimental:new e.StandardLinesDiffComputer}}),X(Q[40],J([0,1,17]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.computeLinks=r.LinkComputer=r.StateMachine=void 0;class e{constructor(C,u,m){const y=new Uint8Array(C*u);for(let S=0,N=C*u;S<N;S++)y[S]=m;this.a=y,this.rows=C,this.cols=u}get(C,u){return this.a[C*this.cols+u]}set(C,u,m){this.a[C*this.cols+u]=m}}class E{constructor(C){let u=0,m=0;for(let S=0,N=C.length;S<N;S++){const[b,a,i]=C[S];a>u&&(u=a),b>m&&(m=b),i>m&&(m=i)}u++,m++;const y=new e(m,u,0);for(let S=0,N=C.length;S<N;S++){const[b,a,i]=C[S];y.set(b,a,i)}this.a=y,this.b=u}nextState(C,u){return u<0||u>=this.b?0:this.a.get(C,u)}}r.StateMachine=E;let c=null;function L(){return c===null&&(c=new E([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),c}let v=null;function l(){if(v===null){v=new _.CharacterClassifier(0);const t=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let u=0;u<t.length;u++)v.set(t.charCodeAt(u),1);const C=".,;:";for(let u=0;u<C.length;u++)v.set(C.charCodeAt(u),2)}return v}class f{static a(C,u,m,y,S){let N=S-1;do{const b=u.charCodeAt(N);if(C.get(b)!==2)break;N--}while(N>y);if(y>0){const b=u.charCodeAt(y-1),a=u.charCodeAt(N);(b===40&&a===41||b===91&&a===93||b===123&&a===125)&&N--}return{range:{startLineNumber:m,startColumn:y+1,endLineNumber:m,endColumn:N+2},url:u.substring(y,N+1)}}static computeLinks(C,u=L()){const m=l(),y=[];for(let S=1,N=C.getLineCount();S<=N;S++){const b=C.getLineContent(S),a=b.length;let i=0,o=0,g=0,d=1,s=!1,h=!1,w=!1,A=!1;for(;i<a;){let R=!1;const D=b.charCodeAt(i);if(d===13){let P;switch(D){case 40:s=!0,P=0;break;case 41:P=s?0:1;break;case 91:w=!0,h=!0,P=0;break;case 93:w=!1,P=h?0:1;break;case 123:A=!0,P=0;break;case 125:P=A?0:1;break;case 39:case 34:case 96:g===D?P=1:g===39||g===34||g===96?P=0:P=1;break;case 42:P=g===42?1:0;break;case 124:P=g===124?1:0;break;case 32:P=w?0:1;break;default:P=m.get(D)}P===1&&(y.push(f.a(m,b,S,o,i)),R=!0)}else if(d===12){let P;D===91?(h=!0,P=0):P=m.get(D),P===1?R=!0:d=13}else d=u.nextState(d,D),d===0&&(R=!0);R&&(d=1,s=!1,h=!1,A=!1,o=i+1,g=D),i++}d===13&&y.push(f.a(m,b,S,o,a))}return y}}r.LinkComputer=f;function p(t){return!t||typeof t.getLineCount!="function"||typeof t.getLineContent!="function"?[]:f.computeLinks(t)}r.computeLinks=p}),X(Q[41],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.BasicInplaceReplace=void 0;class _{constructor(){this.c=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}navigateValueSet(E,c,L,v,l){if(E&&c){const f=this.a(c,l);if(f)return{range:E,value:f}}if(L&&v){const f=this.a(v,l);if(f)return{range:L,value:f}}return null}a(E,c){const L=this.b(E,c);return L!==null?L:this.d(E,c)}b(E,c){const L=Math.pow(10,E.length-(E.lastIndexOf(".")+1));let v=Number(E);const l=parseFloat(E);return!isNaN(v)&&!isNaN(l)&&v===l?v===0&&!c?null:(v=Math.floor(v*L),v+=c?L:-L,String(v/L)):null}d(E,c){return this.e(this.c,E,c)}e(E,c,L){let v=null;for(let l=0,f=E.length;v===null&&l<f;l++)v=this.f(E[l],c,L);return v}f(E,c,L){let v=E.indexOf(c);return v>=0?(v+=L?1:-1,v<0?v=E.length-1:v%=E.length,E[v]):null}}r.BasicInplaceReplace=_,_.INSTANCE=new _}),X(Q[42],J([0,1,11]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.shouldSynchronizeModel=r.ApplyEditsResult=r.SearchData=r.ValidAnnotatedEditOperation=r.isITextSnapshot=r.FindMatch=r.TextModelResolvedOptions=r.InjectedTextCursorStops=r.MinimapPosition=r.OverviewRulerLane=void 0;var e;(function(u){u[u.Left=1]="Left",u[u.Center=2]="Center",u[u.Right=4]="Right",u[u.Full=7]="Full"})(e=r.OverviewRulerLane||(r.OverviewRulerLane={}));var E;(function(u){u[u.Inline=1]="Inline",u[u.Gutter=2]="Gutter"})(E=r.MinimapPosition||(r.MinimapPosition={}));var c;(function(u){u[u.Both=0]="Both",u[u.Right=1]="Right",u[u.Left=2]="Left",u[u.None=3]="None"})(c=r.InjectedTextCursorStops||(r.InjectedTextCursorStops={}));class L{constructor(m){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,m.tabSize|0),this.indentSize=Math.max(1,m.indentSize|0),this.insertSpaces=Boolean(m.insertSpaces),this.defaultEOL=m.defaultEOL|0,this.trimAutoWhitespace=Boolean(m.trimAutoWhitespace),this.bracketPairColorizationOptions=m.bracketPairColorizationOptions}equals(m){return this.tabSize===m.tabSize&&this.indentSize===m.indentSize&&this.insertSpaces===m.insertSpaces&&this.defaultEOL===m.defaultEOL&&this.trimAutoWhitespace===m.trimAutoWhitespace&&(0,_.equals)(this.bracketPairColorizationOptions,m.bracketPairColorizationOptions)}createChangeEvent(m){return{tabSize:this.tabSize!==m.tabSize,indentSize:this.indentSize!==m.indentSize,insertSpaces:this.insertSpaces!==m.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==m.trimAutoWhitespace}}}r.TextModelResolvedOptions=L;class v{constructor(m,y){this._findMatchBrand=void 0,this.range=m,this.matches=y}}r.FindMatch=v;function l(u){return u&&typeof u.read=="function"}r.isITextSnapshot=l;class f{constructor(m,y,S,N,b,a){this.identifier=m,this.range=y,this.text=S,this.forceMoveMarkers=N,this.isAutoWhitespaceEdit=b,this._isTracked=a}}r.ValidAnnotatedEditOperation=f;class p{constructor(m,y,S){this.regex=m,this.wordSeparators=y,this.simpleSearch=S}}r.SearchData=p;class t{constructor(m,y,S){this.reverseEdits=m,this.changes=y,this.trimAutoWhitespaceLineNumbers=S}}r.ApplyEditsResult=t;function C(u){return!u.isTooLargeForSyncing()&&!u.isForSimpleWidget}r.shouldSynchronizeModel=C}),X(Q[43],J([0,1,22,16]),function(I,r,_,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.PrefixSumIndexOfResult=r.ConstantTimePrefixSumComputer=r.PrefixSumComputer=void 0;class E{constructor(l){this.a=l,this.b=new Uint32Array(l.length),this.c=new Int32Array(1),this.c[0]=-1}insertValues(l,f){l=(0,e.toUint32)(l);const p=this.a,t=this.b,C=f.length;return C===0?!1:(this.a=new Uint32Array(p.length+C),this.a.set(p.subarray(0,l),0),this.a.set(p.subarray(l),l+C),this.a.set(f,l),l-1<this.c[0]&&(this.c[0]=l-1),this.b=new Uint32Array(this.a.length),this.c[0]>=0&&this.b.set(t.subarray(0,this.c[0]+1)),!0)}setValue(l,f){return l=(0,e.toUint32)(l),f=(0,e.toUint32)(f),this.a[l]===f?!1:(this.a[l]=f,l-1<this.c[0]&&(this.c[0]=l-1),!0)}removeValues(l,f){l=(0,e.toUint32)(l),f=(0,e.toUint32)(f);const p=this.a,t=this.b;if(l>=p.length)return!1;const C=p.length-l;return f>=C&&(f=C),f===0?!1:(this.a=new Uint32Array(p.length-f),this.a.set(p.subarray(0,l),0),this.a.set(p.subarray(l+f),l),this.b=new Uint32Array(this.a.length),l-1<this.c[0]&&(this.c[0]=l-1),this.c[0]>=0&&this.b.set(t.subarray(0,this.c[0]+1)),!0)}getTotalSum(){return this.a.length===0?0:this.d(this.a.length-1)}getPrefixSum(l){return l<0?0:(l=(0,e.toUint32)(l),this.d(l))}d(l){if(l<=this.c[0])return this.b[l];let f=this.c[0]+1;f===0&&(this.b[0]=this.a[0],f++),l>=this.a.length&&(l=this.a.length-1);for(let p=f;p<=l;p++)this.b[p]=this.b[p-1]+this.a[p];return this.c[0]=Math.max(this.c[0],l),this.b[l]}getIndexOf(l){l=Math.floor(l),this.getTotalSum();let f=0,p=this.a.length-1,t=0,C=0,u=0;for(;f<=p;)if(t=f+(p-f)/2|0,C=this.b[t],u=C-this.a[t],l<u)p=t-1;else if(l>=C)f=t+1;else break;return new L(t,l-u)}}r.PrefixSumComputer=E;class c{constructor(l){this.a=l,this.b=!1,this.c=-1,this.d=[],this.e=[]}getTotalSum(){return this.g(),this.e.length}getPrefixSum(l){return this.g(),l===0?0:this.d[l-1]}getIndexOf(l){this.g();const f=this.e[l],p=f>0?this.d[f-1]:0;return new L(f,l-p)}removeValues(l,f){this.a.splice(l,f),this.f(l)}insertValues(l,f){this.a=(0,_.arrayInsert)(this.a,l,f),this.f(l)}f(l){this.b=!1,this.c=Math.min(this.c,l-1)}g(){if(!this.b){for(let l=this.c+1,f=this.a.length;l<f;l++){const p=this.a[l],t=l>0?this.d[l-1]:0;this.d[l]=t+p;for(let C=0;C<p;C++)this.e[t+C]=l}this.d.length=this.a.length,this.e.length=this.d[this.d.length-1],this.b=!0,this.c=this.a.length-1}}setValue(l,f){this.a[l]!==f&&(this.a[l]=f,this.f(l))}}r.ConstantTimePrefixSumComputer=c;class L{constructor(l,f){this.index=l,this.remainder=f,this._prefixSumIndexOfResultBrand=void 0,this.index=l,this.remainder=f}}r.PrefixSumIndexOfResult=L}),X(Q[44],J([0,1,4,3,43]),function(I,r,_,e,E){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.MirrorTextModel=void 0;class c{constructor(v,l,f,p){this.c=v,this.d=l,this.f=f,this.g=p,this.h=null,this.j=null}dispose(){this.d.length=0}get version(){return this.g}getText(){return this.j===null&&(this.j=this.d.join(this.f)),this.j}onEvents(v){v.eol&&v.eol!==this.f&&(this.f=v.eol,this.h=null);const l=v.changes;for(const f of l)this.n(f.range),this.o(new e.Position(f.range.startLineNumber,f.range.startColumn),f.text);this.g=v.versionId,this.j=null}k(){if(!this.h){const v=this.f.length,l=this.d.length,f=new Uint32Array(l);for(let p=0;p<l;p++)f[p]=this.d[p].length+v;this.h=new E.PrefixSumComputer(f)}}l(v,l){this.d[v]=l,this.h&&this.h.setValue(v,this.d[v].length+this.f.length)}n(v){if(v.startLineNumber===v.endLineNumber){if(v.startColumn===v.endColumn)return;this.l(v.startLineNumber-1,this.d[v.startLineNumber-1].substring(0,v.startColumn-1)+this.d[v.startLineNumber-1].substring(v.endColumn-1));return}this.l(v.startLineNumber-1,this.d[v.startLineNumber-1].substring(0,v.startColumn-1)+this.d[v.endLineNumber-1].substring(v.endColumn-1)),this.d.splice(v.startLineNumber,v.endLineNumber-v.startLineNumber),this.h&&this.h.removeValues(v.startLineNumber,v.endLineNumber-v.startLineNumber)}o(v,l){if(l.length===0)return;const f=(0,_.splitLines)(l);if(f.length===1){this.l(v.lineNumber-1,this.d[v.lineNumber-1].substring(0,v.column-1)+f[0]+this.d[v.lineNumber-1].substring(v.column-1));return}f[f.length-1]+=this.d[v.lineNumber-1].substring(v.column-1),this.l(v.lineNumber-1,this.d[v.lineNumber-1].substring(0,v.column-1)+f[0]);const p=new Uint32Array(f.length-1);for(let t=1;t<f.length;t++)this.d.splice(v.lineNumber+t-1,0,f[t]),p[t-1]=f[t].length+this.f.length;this.h&&this.h.insertValues(v.lineNumber,p)}}r.MirrorTextModel=c}),X(Q[45],J([0,1,4,32,3,2,42]),function(I,r,_,e,E,c,L){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Searcher=r.isValidMatch=r.TextModelSearch=r.createFindMatch=r.isMultilineRegexSource=r.SearchParams=void 0;const v=999;class l{constructor(b,a,i,o){this.searchString=b,this.isRegex=a,this.matchCase=i,this.wordSeparators=o}parseSearchRequest(){if(this.searchString==="")return null;let b;this.isRegex?b=f(this.searchString):b=this.searchString.indexOf(`
`)>=0;let a=null;try{a=_.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:b,global:!0,unicode:!0})}catch{return null}if(!a)return null;let i=!this.isRegex&&!b;return i&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(i=this.matchCase),new L.SearchData(a,this.wordSeparators?(0,e.getMapForWordSeparators)(this.wordSeparators):null,i?this.searchString:null)}}r.SearchParams=l;function f(N){if(!N||N.length===0)return!1;for(let b=0,a=N.length;b<a;b++){const i=N.charCodeAt(b);if(i===10)return!0;if(i===92){if(b++,b>=a)break;const o=N.charCodeAt(b);if(o===110||o===114||o===87)return!0}}return!1}r.isMultilineRegexSource=f;function p(N,b,a){if(!a)return new L.FindMatch(N,null);const i=[];for(let o=0,g=b.length;o<g;o++)i[o]=b[o];return new L.FindMatch(N,i)}r.createFindMatch=p;class t{constructor(b){const a=[];let i=0;for(let o=0,g=b.length;o<g;o++)b.charCodeAt(o)===10&&(a[i++]=o);this.a=a}findLineFeedCountBeforeOffset(b){const a=this.a;let i=0,o=a.length-1;if(o===-1||b<=a[0])return 0;for(;i<o;){const g=i+((o-i)/2>>0);a[g]>=b?o=g-1:a[g+1]>=b?(i=g,o=g):i=g+1}return i+1}}class C{static findMatches(b,a,i,o,g){const d=a.parseSearchRequest();return d?d.regex.multiline?this.b(b,i,new S(d.wordSeparators,d.regex),o,g):this.c(b,i,d,o,g):[]}static a(b,a,i,o,g,d){let s,h=0;o?(h=o.findLineFeedCountBeforeOffset(g),s=a+g+h):s=a+g;let w;if(o){const P=o.findLineFeedCountBeforeOffset(g+d.length)-h;w=s+d.length+P}else w=s+d.length;const A=b.getPositionAt(s),R=b.getPositionAt(w);return new c.Range(A.lineNumber,A.column,R.lineNumber,R.column)}static b(b,a,i,o,g){const d=b.getOffsetAt(a.getStartPosition()),s=b.getValueInRange(a,1),h=b.getEOL()===`\r
`?new t(s):null,w=[];let A=0,R;for(i.reset(0);R=i.next(s);)if(w[A++]=p(this.a(b,d,s,h,R.index,R[0]),R,o),A>=g)return w;return w}static c(b,a,i,o,g){const d=[];let s=0;if(a.startLineNumber===a.endLineNumber){const w=b.getLineContent(a.startLineNumber).substring(a.startColumn-1,a.endColumn-1);return s=this.d(i,w,a.startLineNumber,a.startColumn-1,s,d,o,g),d}const h=b.getLineContent(a.startLineNumber).substring(a.startColumn-1);s=this.d(i,h,a.startLineNumber,a.startColumn-1,s,d,o,g);for(let w=a.startLineNumber+1;w<a.endLineNumber&&s<g;w++)s=this.d(i,b.getLineContent(w),w,0,s,d,o,g);if(s<g){const w=b.getLineContent(a.endLineNumber).substring(0,a.endColumn-1);s=this.d(i,w,a.endLineNumber,0,s,d,o,g)}return d}static d(b,a,i,o,g,d,s,h){const w=b.wordSeparators;if(!s&&b.simpleSearch){const D=b.simpleSearch,P=D.length,O=a.length;let q=-P;for(;(q=a.indexOf(D,q+P))!==-1;)if((!w||y(w,a,O,q,P))&&(d[g++]=new L.FindMatch(new c.Range(i,q+1+o,i,q+1+P+o),null),g>=h))return g;return g}const A=new S(b.wordSeparators,b.regex);let R;A.reset(0);do if(R=A.next(a),R&&(d[g++]=p(new c.Range(i,R.index+1+o,i,R.index+1+R[0].length+o),R,s),g>=h))return g;while(R);return g}static findNextMatch(b,a,i,o){const g=a.parseSearchRequest();if(!g)return null;const d=new S(g.wordSeparators,g.regex);return g.regex.multiline?this.e(b,i,d,o):this.f(b,i,d,o)}static e(b,a,i,o){const g=new E.Position(a.lineNumber,1),d=b.getOffsetAt(g),s=b.getLineCount(),h=b.getValueInRange(new c.Range(g.lineNumber,g.column,s,b.getLineMaxColumn(s)),1),w=b.getEOL()===`\r
`?new t(h):null;i.reset(a.column-1);const A=i.next(h);return A?p(this.a(b,d,h,w,A.index,A[0]),A,o):a.lineNumber!==1||a.column!==1?this.e(b,new E.Position(1,1),i,o):null}static f(b,a,i,o){const g=b.getLineCount(),d=a.lineNumber,s=b.getLineContent(d),h=this.g(i,s,d,a.column,o);if(h)return h;for(let w=1;w<=g;w++){const A=(d+w-1)%g,R=b.getLineContent(A+1),D=this.g(i,R,A+1,1,o);if(D)return D}return null}static g(b,a,i,o,g){b.reset(o-1);const d=b.next(a);return d?p(new c.Range(i,d.index+1,i,d.index+1+d[0].length),d,g):null}static findPreviousMatch(b,a,i,o){const g=a.parseSearchRequest();if(!g)return null;const d=new S(g.wordSeparators,g.regex);return g.regex.multiline?this.h(b,i,d,o):this.j(b,i,d,o)}static h(b,a,i,o){const g=this.b(b,new c.Range(1,1,a.lineNumber,a.column),i,o,10*v);if(g.length>0)return g[g.length-1];const d=b.getLineCount();return a.lineNumber!==d||a.column!==b.getLineMaxColumn(d)?this.h(b,new E.Position(d,b.getLineMaxColumn(d)),i,o):null}static j(b,a,i,o){const g=b.getLineCount(),d=a.lineNumber,s=b.getLineContent(d).substring(0,a.column-1),h=this.k(i,s,d,o);if(h)return h;for(let w=1;w<=g;w++){const A=(g+d-w-1)%g,R=b.getLineContent(A+1),D=this.k(i,R,A+1,o);if(D)return D}return null}static k(b,a,i,o){let g=null,d;for(b.reset(0);d=b.next(a);)g=p(new c.Range(i,d.index+1,i,d.index+1+d[0].length),d,o);return g}}r.TextModelSearch=C;function u(N,b,a,i,o){if(i===0)return!0;const g=b.charCodeAt(i-1);if(N.get(g)!==0||g===13||g===10)return!0;if(o>0){const d=b.charCodeAt(i);if(N.get(d)!==0)return!0}return!1}function m(N,b,a,i,o){if(i+o===a)return!0;const g=b.charCodeAt(i+o);if(N.get(g)!==0||g===13||g===10)return!0;if(o>0){const d=b.charCodeAt(i+o-1);if(N.get(d)!==0)return!0}return!1}function y(N,b,a,i,o){return u(N,b,a,i,o)&&m(N,b,a,i,o)}r.isValidMatch=y;class S{constructor(b,a){this._wordSeparators=b,this.a=a,this.b=-1,this.c=0}reset(b){this.a.lastIndex=b,this.b=-1,this.c=0}next(b){const a=b.length;let i;do{if(this.b+this.c===a||(i=this.a.exec(b),!i))return null;const o=i.index,g=i[0].length;if(o===this.b&&g===this.c){if(g===0){_.getNextCodePoint(b,a,this.a.lastIndex)>65535?this.a.lastIndex+=2:this.a.lastIndex+=1;continue}return null}if(this.b=o,this.c=g,!this._wordSeparators||y(this._wordSeparators,b,a,o,g))return i}while(i);return null}}r.Searcher=S}),X(Q[46],J([0,1,2,45,4,9,18]),function(I,r,_,e,E,c,L){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.UnicodeTextModelHighlighter=void 0;class v{static computeUnicodeHighlights(C,u,m){const y=m?m.startLineNumber:1,S=m?m.endLineNumber:C.getLineCount(),N=new f(u),b=N.getCandidateCodePoints();let a;b==="allNonBasicAscii"?a=new RegExp("[^\\t\\n\\r\\x20-\\x7E]","g"):a=new RegExp(`${l(Array.from(b))}`,"g");const i=new e.Searcher(null,a),o=[];let g=!1,d,s=0,h=0,w=0;e:for(let A=y,R=S;A<=R;A++){const D=C.getLineContent(A),P=D.length;i.reset(0);do if(d=i.next(D),d){let O=d.index,q=d.index+d[0].length;if(O>0){const T=D.charCodeAt(O-1);E.isHighSurrogate(T)&&O--}if(q+1<P){const T=D.charCodeAt(q-1);E.isHighSurrogate(T)&&q++}const z=D.substring(O,q);let W=(0,L.getWordAtText)(O+1,L.DEFAULT_WORD_REGEXP,D,0);W&&W.endColumn<=O+1&&(W=null);const k=N.shouldHighlightNonBasicASCII(z,W?W.word:null);if(k!==0){k===3?s++:k===2?h++:k===1?w++:(0,c.assertNever)(k);const T=1e3;if(o.length>=T){g=!0;break e}o.push(new _.Range(A,O+1,A,q+1))}}while(d)}return{ranges:o,hasMore:g,ambiguousCharacterCount:s,invisibleCharacterCount:h,nonBasicAsciiCharacterCount:w}}static computeUnicodeHighlightReason(C,u){const m=new f(u);switch(m.shouldHighlightNonBasicASCII(C,null)){case 0:return null;case 2:return{kind:1};case 3:{const S=C.codePointAt(0),N=m.ambiguousCharacters.getPrimaryConfusable(S),b=E.AmbiguousCharacters.getLocales().filter(a=>!E.AmbiguousCharacters.getInstance(new Set([...u.allowedLocales,a])).isAmbiguous(S));return{kind:0,confusableWith:String.fromCodePoint(N),notAmbiguousInLocales:b}}case 1:return{kind:2}}}}r.UnicodeTextModelHighlighter=v;function l(t,C){return`[${E.escapeRegExpCharacters(t.map(m=>String.fromCodePoint(m)).join(""))}]`}class f{constructor(C){this.b=C,this.a=new Set(C.allowedCodePoints),this.ambiguousCharacters=E.AmbiguousCharacters.getInstance(new Set(C.allowedLocales))}getCandidateCodePoints(){if(this.b.nonBasicASCII)return"allNonBasicAscii";const C=new Set;if(this.b.invisibleCharacters)for(const u of E.InvisibleCharacters.codePoints)p(String.fromCodePoint(u))||C.add(u);if(this.b.ambiguousCharacters)for(const u of this.ambiguousCharacters.getConfusableCodePoints())C.add(u);for(const u of this.a)C.delete(u);return C}shouldHighlightNonBasicASCII(C,u){const m=C.codePointAt(0);if(this.a.has(m))return 0;if(this.b.nonBasicASCII)return 1;let y=!1,S=!1;if(u)for(const N of u){const b=N.codePointAt(0),a=E.isBasicASCII(N);y=y||a,!a&&!this.ambiguousCharacters.isAmbiguous(b)&&!E.InvisibleCharacters.isInvisibleCharacter(b)&&(S=!0)}return!y&&S?0:this.b.invisibleCharacters&&!p(C)&&E.InvisibleCharacters.isInvisibleCharacter(m)?2:this.b.ambiguousCharacters&&this.ambiguousCharacters.isAmbiguous(m)?3:0}}function p(t){return t===" "||t===`
`||t==="	"}}),X(Q[47],J([0,1]),function(I,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.WrappingIndent=r.TrackedRangeStickiness=r.TextEditorCursorStyle=r.TextEditorCursorBlinkingStyle=r.SymbolTag=r.SymbolKind=r.SignatureHelpTriggerKind=r.SelectionDirection=r.ScrollbarVisibility=r.ScrollType=r.RenderMinimap=r.RenderLineNumbersType=r.PositionAffinity=r.OverviewRulerLane=r.OverlayWidgetPositionPreference=r.MouseTargetType=r.MinimapPosition=r.MarkerTag=r.MarkerSeverity=r.KeyCode=r.InlineCompletionTriggerKind=r.InlayHintKind=r.InjectedTextCursorStops=r.IndentAction=r.EndOfLineSequence=r.EndOfLinePreference=r.EditorOption=r.EditorAutoIndentStrategy=r.DocumentHighlightKind=r.DefaultEndOfLine=r.CursorChangeReason=r.ContentWidgetPositionPreference=r.CompletionTriggerKind=r.CompletionItemTag=r.CompletionItemKind=r.CompletionItemInsertTextRule=r.CodeActionTriggerType=r.AccessibilitySupport=void 0;var _;(function(n){n[n.Unknown=0]="Unknown",n[n.Disabled=1]="Disabled",n[n.Enabled=2]="Enabled"})(_=r.AccessibilitySupport||(r.AccessibilitySupport={}));var e;(function(n){n[n.Invoke=1]="Invoke",n[n.Auto=2]="Auto"})(e=r.CodeActionTriggerType||(r.CodeActionTriggerType={}));var E;(function(n){n[n.None=0]="None",n[n.KeepWhitespace=1]="KeepWhitespace",n[n.InsertAsSnippet=4]="InsertAsSnippet"})(E=r.CompletionItemInsertTextRule||(r.CompletionItemInsertTextRule={}));var c;(function(n){n[n.Method=0]="Method",n[n.Function=1]="Function",n[n.Constructor=2]="Constructor",n[n.Field=3]="Field",n[n.Variable=4]="Variable",n[n.Class=5]="Class",n[n.Struct=6]="Struct",n[n.Interface=7]="Interface",n[n.Module=8]="Module",n[n.Property=9]="Property",n[n.Event=10]="Event",n[n.Operator=11]="Operator",n[n.Unit=12]="Unit",n[n.Value=13]="Value",n[n.Constant=14]="Constant",n[n.Enum=15]="Enum",n[n.EnumMember=16]="EnumMember",n[n.Keyword=17]="Keyword",n[n.Text=18]="Text",n[n.Color=19]="Color",n[n.File=20]="File",n[n.Reference=21]="Reference",n[n.Customcolor=22]="Customcolor",n[n.Folder=23]="Folder",n[n.TypeParameter=24]="TypeParameter",n[n.User=25]="User",n[n.Issue=26]="Issue",n[n.Snippet=27]="Snippet"})(c=r.CompletionItemKind||(r.CompletionItemKind={}));var L;(function(n){n[n.Deprecated=1]="Deprecated"})(L=r.CompletionItemTag||(r.CompletionItemTag={}));var v;(function(n){n[n.Invoke=0]="Invoke",n[n.TriggerCharacter=1]="TriggerCharacter",n[n.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(v=r.CompletionTriggerKind||(r.CompletionTriggerKind={}));var l;(function(n){n[n.EXACT=0]="EXACT",n[n.ABOVE=1]="ABOVE",n[n.BELOW=2]="BELOW"})(l=r.ContentWidgetPositionPreference||(r.ContentWidgetPositionPreference={}));var f;(function(n){n[n.NotSet=0]="NotSet",n[n.ContentFlush=1]="ContentFlush",n[n.RecoverFromMarkers=2]="RecoverFromMarkers",n[n.Explicit=3]="Explicit",n[n.Paste=4]="Paste",n[n.Undo=5]="Undo",n[n.Redo=6]="Redo"})(f=r.CursorChangeReason||(r.CursorChangeReason={}));var p;(function(n){n[n.LF=1]="LF",n[n.CRLF=2]="CRLF"})(p=r.DefaultEndOfLine||(r.DefaultEndOfLine={}));var t;(function(n){n[n.Text=0]="Text",n[n.Read=1]="Read",n[n.Write=2]="Write"})(t=r.DocumentHighlightKind||(r.DocumentHighlightKind={}));var C;(function(n){n[n.None=0]="None",n[n.Keep=1]="Keep",n[n.Brackets=2]="Brackets",n[n.Advanced=3]="Advanced",n[n.Full=4]="Full"})(C=r.EditorAutoIndentStrategy||(r.EditorAutoIndentStrategy={}));var u;(function(n){n[n.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",n[n.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",n[n.accessibilitySupport=2]="accessibilitySupport",n[n.accessibilityPageSize=3]="accessibilityPageSize",n[n.ariaLabel=4]="ariaLabel",n[n.autoClosingBrackets=5]="autoClosingBrackets",n[n.autoClosingDelete=6]="autoClosingDelete",n[n.autoClosingOvertype=7]="autoClosingOvertype",n[n.autoClosingQuotes=8]="autoClosingQuotes",n[n.autoIndent=9]="autoIndent",n[n.automaticLayout=10]="automaticLayout",n[n.autoSurround=11]="autoSurround",n[n.bracketPairColorization=12]="bracketPairColorization",n[n.guides=13]="guides",n[n.codeLens=14]="codeLens",n[n.codeLensFontFamily=15]="codeLensFontFamily",n[n.codeLensFontSize=16]="codeLensFontSize",n[n.colorDecorators=17]="colorDecorators",n[n.columnSelection=18]="columnSelection",n[n.comments=19]="comments",n[n.contextmenu=20]="contextmenu",n[n.copyWithSyntaxHighlighting=21]="copyWithSyntaxHighlighting",n[n.cursorBlinking=22]="cursorBlinking",n[n.cursorSmoothCaretAnimation=23]="cursorSmoothCaretAnimation",n[n.cursorStyle=24]="cursorStyle",n[n.cursorSurroundingLines=25]="cursorSurroundingLines",n[n.cursorSurroundingLinesStyle=26]="cursorSurroundingLinesStyle",n[n.cursorWidth=27]="cursorWidth",n[n.disableLayerHinting=28]="disableLayerHinting",n[n.disableMonospaceOptimizations=29]="disableMonospaceOptimizations",n[n.domReadOnly=30]="domReadOnly",n[n.dragAndDrop=31]="dragAndDrop",n[n.dropIntoEditor=32]="dropIntoEditor",n[n.emptySelectionClipboard=33]="emptySelectionClipboard",n[n.extraEditorClassName=34]="extraEditorClassName",n[n.fastScrollSensitivity=35]="fastScrollSensitivity",n[n.find=36]="find",n[n.fixedOverflowWidgets=37]="fixedOverflowWidgets",n[n.folding=38]="folding",n[n.foldingStrategy=39]="foldingStrategy",n[n.foldingHighlight=40]="foldingHighlight",n[n.foldingImportsByDefault=41]="foldingImportsByDefault",n[n.foldingMaximumRegions=42]="foldingMaximumRegions",n[n.unfoldOnClickAfterEndOfLine=43]="unfoldOnClickAfterEndOfLine",n[n.fontFamily=44]="fontFamily",n[n.fontInfo=45]="fontInfo",n[n.fontLigatures=46]="fontLigatures",n[n.fontSize=47]="fontSize",n[n.fontWeight=48]="fontWeight",n[n.fontVariations=49]="fontVariations",n[n.formatOnPaste=50]="formatOnPaste",n[n.formatOnType=51]="formatOnType",n[n.glyphMargin=52]="glyphMargin",n[n.gotoLocation=53]="gotoLocation",n[n.hideCursorInOverviewRuler=54]="hideCursorInOverviewRuler",n[n.hover=55]="hover",n[n.inDiffEditor=56]="inDiffEditor",n[n.inlineSuggest=57]="inlineSuggest",n[n.letterSpacing=58]="letterSpacing",n[n.lightbulb=59]="lightbulb",n[n.lineDecorationsWidth=60]="lineDecorationsWidth",n[n.lineHeight=61]="lineHeight",n[n.lineNumbers=62]="lineNumbers",n[n.lineNumbersMinChars=63]="lineNumbersMinChars",n[n.linkedEditing=64]="linkedEditing",n[n.links=65]="links",n[n.matchBrackets=66]="matchBrackets",n[n.minimap=67]="minimap",n[n.mouseStyle=68]="mouseStyle",n[n.mouseWheelScrollSensitivity=69]="mouseWheelScrollSensitivity",n[n.mouseWheelZoom=70]="mouseWheelZoom",n[n.multiCursorMergeOverlapping=71]="multiCursorMergeOverlapping",n[n.multiCursorModifier=72]="multiCursorModifier",n[n.multiCursorPaste=73]="multiCursorPaste",n[n.multiCursorLimit=74]="multiCursorLimit",n[n.occurrencesHighlight=75]="occurrencesHighlight",n[n.overviewRulerBorder=76]="overviewRulerBorder",n[n.overviewRulerLanes=77]="overviewRulerLanes",n[n.padding=78]="padding",n[n.parameterHints=79]="parameterHints",n[n.peekWidgetDefaultFocus=80]="peekWidgetDefaultFocus",n[n.definitionLinkOpensInPeek=81]="definitionLinkOpensInPeek",n[n.quickSuggestions=82]="quickSuggestions",n[n.quickSuggestionsDelay=83]="quickSuggestionsDelay",n[n.readOnly=84]="readOnly",n[n.renameOnType=85]="renameOnType",n[n.renderControlCharacters=86]="renderControlCharacters",n[n.renderFinalNewline=87]="renderFinalNewline",n[n.renderLineHighlight=88]="renderLineHighlight",n[n.renderLineHighlightOnlyWhenFocus=89]="renderLineHighlightOnlyWhenFocus",n[n.renderValidationDecorations=90]="renderValidationDecorations",n[n.renderWhitespace=91]="renderWhitespace",n[n.revealHorizontalRightPadding=92]="revealHorizontalRightPadding",n[n.roundedSelection=93]="roundedSelection",n[n.rulers=94]="rulers",n[n.scrollbar=95]="scrollbar",n[n.scrollBeyondLastColumn=96]="scrollBeyondLastColumn",n[n.scrollBeyondLastLine=97]="scrollBeyondLastLine",n[n.scrollPredominantAxis=98]="scrollPredominantAxis",n[n.selectionClipboard=99]="selectionClipboard",n[n.selectionHighlight=100]="selectionHighlight",n[n.selectOnLineNumbers=101]="selectOnLineNumbers",n[n.showFoldingControls=102]="showFoldingControls",n[n.showUnused=103]="showUnused",n[n.snippetSuggestions=104]="snippetSuggestions",n[n.smartSelect=105]="smartSelect",n[n.smoothScrolling=106]="smoothScrolling",n[n.stickyScroll=107]="stickyScroll",n[n.stickyTabStops=108]="stickyTabStops",n[n.stopRenderingLineAfter=109]="stopRenderingLineAfter",n[n.suggest=110]="suggest",n[n.suggestFontSize=111]="suggestFontSize",n[n.suggestLineHeight=112]="suggestLineHeight",n[n.suggestOnTriggerCharacters=113]="suggestOnTriggerCharacters",n[n.suggestSelection=114]="suggestSelection",n[n.tabCompletion=115]="tabCompletion",n[n.tabIndex=116]="tabIndex",n[n.unicodeHighlighting=117]="unicodeHighlighting",n[n.unusualLineTerminators=118]="unusualLineTerminators",n[n.useShadowDOM=119]="useShadowDOM",n[n.useTabStops=120]="useTabStops",n[n.wordBreak=121]="wordBreak",n[n.wordSeparators=122]="wordSeparators",n[n.wordWrap=123]="wordWrap",n[n.wordWrapBreakAfterCharacters=124]="wordWrapBreakAfterCharacters",n[n.wordWrapBreakBeforeCharacters=125]="wordWrapBreakBeforeCharacters",n[n.wordWrapColumn=126]="wordWrapColumn",n[n.wordWrapOverride1=127]="wordWrapOverride1",n[n.wordWrapOverride2=128]="wordWrapOverride2",n[n.wrappingIndent=129]="wrappingIndent",n[n.wrappingStrategy=130]="wrappingStrategy",n[n.showDeprecated=131]="showDeprecated",n[n.inlayHints=132]="inlayHints",n[n.editorClassName=133]="editorClassName",n[n.pixelRatio=134]="pixelRatio",n[n.tabFocusMode=135]="tabFocusMode",n[n.layoutInfo=136]="layoutInfo",n[n.wrappingInfo=137]="wrappingInfo"})(u=r.EditorOption||(r.EditorOption={}));var m;(function(n){n[n.TextDefined=0]="TextDefined",n[n.LF=1]="LF",n[n.CRLF=2]="CRLF"})(m=r.EndOfLinePreference||(r.EndOfLinePreference={}));var y;(function(n){n[n.LF=0]="LF",n[n.CRLF=1]="CRLF"})(y=r.EndOfLineSequence||(r.EndOfLineSequence={}));var S;(function(n){n[n.None=0]="None",n[n.Indent=1]="Indent",n[n.IndentOutdent=2]="IndentOutdent",n[n.Outdent=3]="Outdent"})(S=r.IndentAction||(r.IndentAction={}));var N;(function(n){n[n.Both=0]="Both",n[n.Right=1]="Right",n[n.Left=2]="Left",n[n.None=3]="None"})(N=r.InjectedTextCursorStops||(r.InjectedTextCursorStops={}));var b;(function(n){n[n.Type=1]="Type",n[n.Parameter=2]="Parameter"})(b=r.InlayHintKind||(r.InlayHintKind={}));var a;(function(n){n[n.Automatic=0]="Automatic",n[n.Explicit=1]="Explicit"})(a=r.InlineCompletionTriggerKind||(r.InlineCompletionTriggerKind={}));var i;(function(n){n[n.DependsOnKbLayout=-1]="DependsOnKbLayout",n[n.Unknown=0]="Unknown",n[n.Backspace=1]="Backspace",n[n.Tab=2]="Tab",n[n.Enter=3]="Enter",n[n.Shift=4]="Shift",n[n.Ctrl=5]="Ctrl",n[n.Alt=6]="Alt",n[n.PauseBreak=7]="PauseBreak",n[n.CapsLock=8]="CapsLock",n[n.Escape=9]="Escape",n[n.Space=10]="Space",n[n.PageUp=11]="PageUp",n[n.PageDown=12]="PageDown",n[n.End=13]="End",n[n.Home=14]="Home",n[n.LeftArrow=15]="LeftArrow",n[n.UpArrow=16]="UpArrow",n[n.RightArrow=17]="RightArrow",n[n.DownArrow=18]="DownArrow",n[n.Insert=19]="Insert",n[n.Delete=20]="Delete",n[n.Digit0=21]="Digit0",n[n.Digit1=22]="Digit1",n[n.Digit2=23]="Digit2",n[n.Digit3=24]="Digit3",n[n.Digit4=25]="Digit4",n[n.Digit5=26]="Digit5",n[n.Digit6=27]="Digit6",n[n.Digit7=28]="Digit7",n[n.Digit8=29]="Digit8",n[n.Digit9=30]="Digit9",n[n.KeyA=31]="KeyA",n[n.KeyB=32]="KeyB",n[n.KeyC=33]="KeyC",n[n.KeyD=34]="KeyD",n[n.KeyE=35]="KeyE",n[n.KeyF=36]="KeyF",n[n.KeyG=37]="KeyG",n[n.KeyH=38]="KeyH",n[n.KeyI=39]="KeyI",n[n.KeyJ=40]="KeyJ",n[n.KeyK=41]="KeyK",n[n.KeyL=42]="KeyL",n[n.KeyM=43]="KeyM",n[n.KeyN=44]="KeyN",n[n.KeyO=45]="KeyO",n[n.KeyP=46]="KeyP",n[n.KeyQ=47]="KeyQ",n[n.KeyR=48]="KeyR",n[n.KeyS=49]="KeyS",n[n.KeyT=50]="KeyT",n[n.KeyU=51]="KeyU",n[n.KeyV=52]="KeyV",n[n.KeyW=53]="KeyW",n[n.KeyX=54]="KeyX",n[n.KeyY=55]="KeyY",n[n.KeyZ=56]="KeyZ",n[n.Meta=57]="Meta",n[n.ContextMenu=58]="ContextMenu",n[n.F1=59]="F1",n[n.F2=60]="F2",n[n.F3=61]="F3",n[n.F4=62]="F4",n[n.F5=63]="F5",n[n.F6=64]="F6",n[n.F7=65]="F7",n[n.F8=66]="F8",n[n.F9=67]="F9",n[n.F10=68]="F10",n[n.F11=69]="F11",n[n.F12=70]="F12",n[n.F13=71]="F13",n[n.F14=72]="F14",n[n.F15=73]="F15",n[n.F16=74]="F16",n[n.F17=75]="F17",n[n.F18=76]="F18",n[n.F19=77]="F19",n[n.NumLock=78]="NumLock",n[n.ScrollLock=79]="ScrollLock",n[n.Semicolon=80]="Semicolon",n[n.Equal=81]="Equal",n[n.Comma=82]="Comma",n[n.Minus=83]="Minus",n[n.Period=84]="Period",n[n.Slash=85]="Slash",n[n.Backquote=86]="Backquote",n[n.BracketLeft=87]="BracketLeft",n[n.Backslash=88]="Backslash",n[n.BracketRight=89]="BracketRight",n[n.Quote=90]="Quote",n[n.OEM_8=91]="OEM_8",n[n.IntlBackslash=92]="IntlBackslash",n[n.Numpad0=93]="Numpad0",n[n.Numpad1=94]="Numpad1",n[n.Numpad2=95]="Numpad2",n[n.Numpad3=96]="Numpad3",n[n.Numpad4=97]="Numpad4",n[n.Numpad5=98]="Numpad5",n[n.Numpad6=99]="Numpad6",n[n.Numpad7=100]="Numpad7",n[n.Numpad8=101]="Numpad8",n[n.Numpad9=102]="Numpad9",n[n.NumpadMultiply=103]="NumpadMultiply",n[n.NumpadAdd=104]="NumpadAdd",n[n.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",n[n.NumpadSubtract=106]="NumpadSubtract",n[n.NumpadDecimal=107]="NumpadDecimal",n[n.NumpadDivide=108]="NumpadDivide",n[n.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",n[n.ABNT_C1=110]="ABNT_C1",n[n.ABNT_C2=111]="ABNT_C2",n[n.AudioVolumeMute=112]="AudioVolumeMute",n[n.AudioVolumeUp=113]="AudioVolumeUp",n[n.AudioVolumeDown=114]="AudioVolumeDown",n[n.BrowserSearch=115]="BrowserSearch",n[n.BrowserHome=116]="BrowserHome",n[n.BrowserBack=117]="BrowserBack",n[n.BrowserForward=118]="BrowserForward",n[n.MediaTrackNext=119]="MediaTrackNext",n[n.MediaTrackPrevious=120]="MediaTrackPrevious",n[n.MediaStop=121]="MediaStop",n[n.MediaPlayPause=122]="MediaPlayPause",n[n.LaunchMediaPlayer=123]="LaunchMediaPlayer",n[n.LaunchMail=124]="LaunchMail",n[n.LaunchApp2=125]="LaunchApp2",n[n.Clear=126]="Clear",n[n.MAX_VALUE=127]="MAX_VALUE"})(i=r.KeyCode||(r.KeyCode={}));var o;(function(n){n[n.Hint=1]="Hint",n[n.Info=2]="Info",n[n.Warning=4]="Warning",n[n.Error=8]="Error"})(o=r.MarkerSeverity||(r.MarkerSeverity={}));var g;(function(n){n[n.Unnecessary=1]="Unnecessary",n[n.Deprecated=2]="Deprecated"})(g=r.MarkerTag||(r.MarkerTag={}));var d;(function(n){n[n.Inline=1]="Inline",n[n.Gutter=2]="Gutter"})(d=r.MinimapPosition||(r.MinimapPosition={}));var s;(function(n){n[n.UNKNOWN=0]="UNKNOWN",n[n.TEXTAREA=1]="TEXTAREA",n[n.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",n[n.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",n[n.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",n[n.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",n[n.CONTENT_TEXT=6]="CONTENT_TEXT",n[n.CONTENT_EMPTY=7]="CONTENT_EMPTY",n[n.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",n[n.CONTENT_WIDGET=9]="CONTENT_WIDGET",n[n.OVERVIEW_RULER=10]="OVERVIEW_RULER",n[n.SCROLLBAR=11]="SCROLLBAR",n[n.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",n[n.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"})(s=r.MouseTargetType||(r.MouseTargetType={}));var h;(function(n){n[n.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",n[n.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",n[n.TOP_CENTER=2]="TOP_CENTER"})(h=r.OverlayWidgetPositionPreference||(r.OverlayWidgetPositionPreference={}));var w;(function(n){n[n.Left=1]="Left",n[n.Center=2]="Center",n[n.Right=4]="Right",n[n.Full=7]="Full"})(w=r.OverviewRulerLane||(r.OverviewRulerLane={}));var A;(function(n){n[n.Left=0]="Left",n[n.Right=1]="Right",n[n.None=2]="None",n[n.LeftOfInjectedText=3]="LeftOfInjectedText",n[n.RightOfInjectedText=4]="RightOfInjectedText"})(A=r.PositionAffinity||(r.PositionAffinity={}));var R;(function(n){n[n.Off=0]="Off",n[n.On=1]="On",n[n.Relative=2]="Relative",n[n.Interval=3]="Interval",n[n.Custom=4]="Custom"})(R=r.RenderLineNumbersType||(r.RenderLineNumbersType={}));var D;(function(n){n[n.None=0]="None",n[n.Text=1]="Text",n[n.Blocks=2]="Blocks"})(D=r.RenderMinimap||(r.RenderMinimap={}));var P;(function(n){n[n.Smooth=0]="Smooth",n[n.Immediate=1]="Immediate"})(P=r.ScrollType||(r.ScrollType={}));var O;(function(n){n[n.Auto=1]="Auto",n[n.Hidden=2]="Hidden",n[n.Visible=3]="Visible"})(O=r.ScrollbarVisibility||(r.ScrollbarVisibility={}));var q;(function(n){n[n.LTR=0]="LTR",n[n.RTL=1]="RTL"})(q=r.SelectionDirection||(r.SelectionDirection={}));var z;(function(n){n[n.Invoke=1]="Invoke",n[n.TriggerCharacter=2]="TriggerCharacter",n[n.ContentChange=3]="ContentChange"})(z=r.SignatureHelpTriggerKind||(r.SignatureHelpTriggerKind={}));var W;(function(n){n[n.File=0]="File",n[n.Module=1]="Module",n[n.Namespace=2]="Namespace",n[n.Package=3]="Package",n[n.Class=4]="Class",n[n.Method=5]="Method",n[n.Property=6]="Property",n[n.Field=7]="Field",n[n.Constructor=8]="Constructor",n[n.Enum=9]="Enum",n[n.Interface=10]="Interface",n[n.Function=11]="Function",n[n.Variable=12]="Variable",n[n.Constant=13]="Constant",n[n.String=14]="String",n[n.Number=15]="Number",n[n.Boolean=16]="Boolean",n[n.Array=17]="Array",n[n.Object=18]="Object",n[n.Key=19]="Key",n[n.Null=20]="Null",n[n.EnumMember=21]="EnumMember",n[n.Struct=22]="Struct",n[n.Event=23]="Event",n[n.Operator=24]="Operator",n[n.TypeParameter=25]="TypeParameter"})(W=r.SymbolKind||(r.SymbolKind={}));var k;(function(n){n[n.Deprecated=1]="Deprecated"})(k=r.SymbolTag||(r.SymbolTag={}));var T;(function(n){n[n.Hidden=0]="Hidden",n[n.Blink=1]="Blink",n[n.Smooth=2]="Smooth",n[n.Phase=3]="Phase",n[n.Expand=4]="Expand",n[n.Solid=5]="Solid"})(T=r.TextEditorCursorBlinkingStyle||(r.TextEditorCursorBlinkingStyle={}));var F;(function(n){n[n.Line=1]="Line",n[n.Block=2]="Block",n[n.Underline=3]="Underline",n[n.LineThin=4]="LineThin",n[n.BlockOutline=5]="BlockOutline",n[n.UnderlineThin=6]="UnderlineThin"})(F=r.TextEditorCursorStyle||(r.TextEditorCursorStyle={}));var B;(function(n){n[n.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",n[n.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",n[n.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",n[n.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(B=r.TrackedRangeStickiness||(r.TrackedRangeStickiness={}));var H;(function(n){n[n.None=0]="None",n[n.Same=1]="Same",n[n.Indent=2]="Indent",n[n.DeepIndent=3]="DeepIndent"})(H=r.WrappingIndent||(r.WrappingIndent={}))}),X(Q[48],J([21,55]),function(I,r){return I.create("vs/base/common/platform",r)}),X(Q[5],J([0,1,48]),function(I,r,_){"use strict";var e;Object.defineProperty(r,"__esModule",{value:!0}),r.isAndroid=r.isEdge=r.isSafari=r.isFirefox=r.isChrome=r.isLittleEndian=r.OS=r.setTimeout0=r.setTimeout0IsFaster=r.language=r.userAgent=r.isMobile=r.isIOS=r.isWebWorker=r.isWeb=r.isNative=r.isLinux=r.isMacintosh=r.isWindows=r.globals=r.LANGUAGE_DEFAULT=void 0,r.LANGUAGE_DEFAULT="en";let E=!1,c=!1,L=!1,v=!1,l=!1,f=!1,p=!1,t=!1,C=!1,u=!1,m,y=r.LANGUAGE_DEFAULT,S,N;r.globals=typeof self=="object"?self:typeof global=="object"?global:{};let b;typeof r.globals.vscode<"u"&&typeof r.globals.vscode.process<"u"?b=r.globals.vscode.process:typeof process<"u"&&(b=process);const a=typeof((e=b?.versions)===null||e===void 0?void 0:e.electron)=="string",i=a&&b?.type==="renderer";if(typeof navigator=="object"&&!i)N=navigator.userAgent,E=N.indexOf("Windows")>=0,c=N.indexOf("Macintosh")>=0,t=(N.indexOf("Macintosh")>=0||N.indexOf("iPad")>=0||N.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,L=N.indexOf("Linux")>=0,u=N?.indexOf("Mobi")>=0,f=!0,m=_.getConfiguredDefaultLocale(_.localize(0,null))||r.LANGUAGE_DEFAULT,y=m;else if(typeof b=="object"){E=b.platform==="win32",c=b.platform==="darwin",L=b.platform==="linux",v=L&&!!b.env.SNAP&&!!b.env.SNAP_REVISION,p=a,C=!!b.env.CI||!!b.env.BUILD_ARTIFACTSTAGINGDIRECTORY,m=r.LANGUAGE_DEFAULT,y=r.LANGUAGE_DEFAULT;const h=b.env.VSCODE_NLS_CONFIG;if(h)try{const w=JSON.parse(h),A=w.availableLanguages["*"];m=w.locale,y=A||r.LANGUAGE_DEFAULT,S=w._translationsConfigFile}catch{}l=!0}else console.error("Unable to resolve platform.");let o=0;c?o=1:E?o=3:L&&(o=2),r.isWindows=E,r.isMacintosh=c,r.isLinux=L,r.isNative=l,r.isWeb=f,r.isWebWorker=f&&typeof r.globals.importScripts=="function",r.isIOS=t,r.isMobile=u,r.userAgent=N,r.language=y,r.setTimeout0IsFaster=typeof r.globals.postMessage=="function"&&!r.globals.importScripts,r.setTimeout0=(()=>{if(r.setTimeout0IsFaster){const h=[];r.globals.addEventListener("message",A=>{if(A.data&&A.data.vscodeScheduleAsyncWork)for(let R=0,D=h.length;R<D;R++){const P=h[R];if(P.id===A.data.vscodeScheduleAsyncWork){h.splice(R,1),P.callback();return}}});let w=0;return A=>{const R=++w;h.push({id:R,callback:A}),r.globals.postMessage({vscodeScheduleAsyncWork:R},"*")}}return h=>setTimeout(h)})(),r.OS=c||t?2:E?1:3;let g=!0,d=!1;function s(){if(!d){d=!0;const h=new Uint8Array(2);h[0]=1,h[1]=2,g=new Uint16Array(h.buffer)[0]===(2<<8)+1}return g}r.isLittleEndian=s,r.isChrome=!!(r.userAgent&&r.userAgent.indexOf("Chrome")>=0),r.isFirefox=!!(r.userAgent&&r.userAgent.indexOf("Firefox")>=0),r.isSafari=!!(!r.isChrome&&r.userAgent&&r.userAgent.indexOf("Safari")>=0),r.isEdge=!!(r.userAgent&&r.userAgent.indexOf("Edg/")>=0),r.isAndroid=!!(r.userAgent&&r.userAgent.indexOf("Android")>=0)}),X(Q[49],J([0,1,5]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.platform=r.env=r.cwd=void 0;let e;if(typeof _.globals.vscode<"u"&&typeof _.globals.vscode.process<"u"){const E=_.globals.vscode.process;e={get platform(){return E.platform},get arch(){return E.arch},get env(){return E.env},cwd(){return E.cwd()}}}else typeof process<"u"?e={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:e={get platform(){return _.isWindows?"win32":_.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};r.cwd=e.cwd,r.env=e.env,r.platform=e.platform}),X(Q[50],J([0,1,49]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.sep=r.extname=r.basename=r.dirname=r.relative=r.resolve=r.normalize=r.posix=r.win32=void 0;const e=65,E=97,c=90,L=122,v=46,l=47,f=92,p=58,t=63;class C extends Error{constructor(i,o,g){let d;typeof o=="string"&&o.indexOf("not ")===0?(d="must not be",o=o.replace(/^not /,"")):d="must be";const s=i.indexOf(".")!==-1?"property":"argument";let h=`The "${i}" ${s} ${d} of type ${o}`;h+=`. Received type ${typeof g}`,super(h),this.code="ERR_INVALID_ARG_TYPE"}}function u(a,i){if(typeof a!="string")throw new C(i,"string",a)}function m(a){return a===l||a===f}function y(a){return a===l}function S(a){return a>=e&&a<=c||a>=E&&a<=L}function N(a,i,o,g){let d="",s=0,h=-1,w=0,A=0;for(let R=0;R<=a.length;++R){if(R<a.length)A=a.charCodeAt(R);else{if(g(A))break;A=l}if(g(A)){if(!(h===R-1||w===1))if(w===2){if(d.length<2||s!==2||d.charCodeAt(d.length-1)!==v||d.charCodeAt(d.length-2)!==v){if(d.length>2){const D=d.lastIndexOf(o);D===-1?(d="",s=0):(d=d.slice(0,D),s=d.length-1-d.lastIndexOf(o)),h=R,w=0;continue}else if(d.length!==0){d="",s=0,h=R,w=0;continue}}i&&(d+=d.length>0?`${o}..`:"..",s=2)}else d.length>0?d+=`${o}${a.slice(h+1,R)}`:d=a.slice(h+1,R),s=R-h-1;h=R,w=0}else A===v&&w!==-1?++w:w=-1}return d}function b(a,i){if(i===null||typeof i!="object")throw new C("pathObject","Object",i);const o=i.dir||i.root,g=i.base||`${i.name||""}${i.ext||""}`;return o?o===i.root?`${o}${g}`:`${o}${a}${g}`:g}r.win32={resolve(...a){let i="",o="",g=!1;for(let d=a.length-1;d>=-1;d--){let s;if(d>=0){if(s=a[d],u(s,"path"),s.length===0)continue}else i.length===0?s=_.cwd():(s=_.env[`=${i}`]||_.cwd(),(s===void 0||s.slice(0,2).toLowerCase()!==i.toLowerCase()&&s.charCodeAt(2)===f)&&(s=`${i}\\`));const h=s.length;let w=0,A="",R=!1;const D=s.charCodeAt(0);if(h===1)m(D)&&(w=1,R=!0);else if(m(D))if(R=!0,m(s.charCodeAt(1))){let P=2,O=P;for(;P<h&&!m(s.charCodeAt(P));)P++;if(P<h&&P!==O){const q=s.slice(O,P);for(O=P;P<h&&m(s.charCodeAt(P));)P++;if(P<h&&P!==O){for(O=P;P<h&&!m(s.charCodeAt(P));)P++;(P===h||P!==O)&&(A=`\\\\${q}\\${s.slice(O,P)}`,w=P)}}}else w=1;else S(D)&&s.charCodeAt(1)===p&&(A=s.slice(0,2),w=2,h>2&&m(s.charCodeAt(2))&&(R=!0,w=3));if(A.length>0)if(i.length>0){if(A.toLowerCase()!==i.toLowerCase())continue}else i=A;if(g){if(i.length>0)break}else if(o=`${s.slice(w)}\\${o}`,g=R,R&&i.length>0)break}return o=N(o,!g,"\\",m),g?`${i}\\${o}`:`${i}${o}`||"."},normalize(a){u(a,"path");const i=a.length;if(i===0)return".";let o=0,g,d=!1;const s=a.charCodeAt(0);if(i===1)return y(s)?"\\":a;if(m(s))if(d=!0,m(a.charCodeAt(1))){let w=2,A=w;for(;w<i&&!m(a.charCodeAt(w));)w++;if(w<i&&w!==A){const R=a.slice(A,w);for(A=w;w<i&&m(a.charCodeAt(w));)w++;if(w<i&&w!==A){for(A=w;w<i&&!m(a.charCodeAt(w));)w++;if(w===i)return`\\\\${R}\\${a.slice(A)}\\`;w!==A&&(g=`\\\\${R}\\${a.slice(A,w)}`,o=w)}}}else o=1;else S(s)&&a.charCodeAt(1)===p&&(g=a.slice(0,2),o=2,i>2&&m(a.charCodeAt(2))&&(d=!0,o=3));let h=o<i?N(a.slice(o),!d,"\\",m):"";return h.length===0&&!d&&(h="."),h.length>0&&m(a.charCodeAt(i-1))&&(h+="\\"),g===void 0?d?`\\${h}`:h:d?`${g}\\${h}`:`${g}${h}`},isAbsolute(a){u(a,"path");const i=a.length;if(i===0)return!1;const o=a.charCodeAt(0);return m(o)||i>2&&S(o)&&a.charCodeAt(1)===p&&m(a.charCodeAt(2))},join(...a){if(a.length===0)return".";let i,o;for(let s=0;s<a.length;++s){const h=a[s];u(h,"path"),h.length>0&&(i===void 0?i=o=h:i+=`\\${h}`)}if(i===void 0)return".";let g=!0,d=0;if(typeof o=="string"&&m(o.charCodeAt(0))){++d;const s=o.length;s>1&&m(o.charCodeAt(1))&&(++d,s>2&&(m(o.charCodeAt(2))?++d:g=!1))}if(g){for(;d<i.length&&m(i.charCodeAt(d));)d++;d>=2&&(i=`\\${i.slice(d)}`)}return r.win32.normalize(i)},relative(a,i){if(u(a,"from"),u(i,"to"),a===i)return"";const o=r.win32.resolve(a),g=r.win32.resolve(i);if(o===g||(a=o.toLowerCase(),i=g.toLowerCase(),a===i))return"";let d=0;for(;d<a.length&&a.charCodeAt(d)===f;)d++;let s=a.length;for(;s-1>d&&a.charCodeAt(s-1)===f;)s--;const h=s-d;let w=0;for(;w<i.length&&i.charCodeAt(w)===f;)w++;let A=i.length;for(;A-1>w&&i.charCodeAt(A-1)===f;)A--;const R=A-w,D=h<R?h:R;let P=-1,O=0;for(;O<D;O++){const z=a.charCodeAt(d+O);if(z!==i.charCodeAt(w+O))break;z===f&&(P=O)}if(O!==D){if(P===-1)return g}else{if(R>D){if(i.charCodeAt(w+O)===f)return g.slice(w+O+1);if(O===2)return g.slice(w+O)}h>D&&(a.charCodeAt(d+O)===f?P=O:O===2&&(P=3)),P===-1&&(P=0)}let q="";for(O=d+P+1;O<=s;++O)(O===s||a.charCodeAt(O)===f)&&(q+=q.length===0?"..":"\\..");return w+=P,q.length>0?`${q}${g.slice(w,A)}`:(g.charCodeAt(w)===f&&++w,g.slice(w,A))},toNamespacedPath(a){if(typeof a!="string")return a;if(a.length===0)return"";const i=r.win32.resolve(a);if(i.length<=2)return a;if(i.charCodeAt(0)===f){if(i.charCodeAt(1)===f){const o=i.charCodeAt(2);if(o!==t&&o!==v)return`\\\\?\\UNC\\${i.slice(2)}`}}else if(S(i.charCodeAt(0))&&i.charCodeAt(1)===p&&i.charCodeAt(2)===f)return`\\\\?\\${i}`;return a},dirname(a){u(a,"path");const i=a.length;if(i===0)return".";let o=-1,g=0;const d=a.charCodeAt(0);if(i===1)return m(d)?a:".";if(m(d)){if(o=g=1,m(a.charCodeAt(1))){let w=2,A=w;for(;w<i&&!m(a.charCodeAt(w));)w++;if(w<i&&w!==A){for(A=w;w<i&&m(a.charCodeAt(w));)w++;if(w<i&&w!==A){for(A=w;w<i&&!m(a.charCodeAt(w));)w++;if(w===i)return a;w!==A&&(o=g=w+1)}}}}else S(d)&&a.charCodeAt(1)===p&&(o=i>2&&m(a.charCodeAt(2))?3:2,g=o);let s=-1,h=!0;for(let w=i-1;w>=g;--w)if(m(a.charCodeAt(w))){if(!h){s=w;break}}else h=!1;if(s===-1){if(o===-1)return".";s=o}return a.slice(0,s)},basename(a,i){i!==void 0&&u(i,"ext"),u(a,"path");let o=0,g=-1,d=!0,s;if(a.length>=2&&S(a.charCodeAt(0))&&a.charCodeAt(1)===p&&(o=2),i!==void 0&&i.length>0&&i.length<=a.length){if(i===a)return"";let h=i.length-1,w=-1;for(s=a.length-1;s>=o;--s){const A=a.charCodeAt(s);if(m(A)){if(!d){o=s+1;break}}else w===-1&&(d=!1,w=s+1),h>=0&&(A===i.charCodeAt(h)?--h===-1&&(g=s):(h=-1,g=w))}return o===g?g=w:g===-1&&(g=a.length),a.slice(o,g)}for(s=a.length-1;s>=o;--s)if(m(a.charCodeAt(s))){if(!d){o=s+1;break}}else g===-1&&(d=!1,g=s+1);return g===-1?"":a.slice(o,g)},extname(a){u(a,"path");let i=0,o=-1,g=0,d=-1,s=!0,h=0;a.length>=2&&a.charCodeAt(1)===p&&S(a.charCodeAt(0))&&(i=g=2);for(let w=a.length-1;w>=i;--w){const A=a.charCodeAt(w);if(m(A)){if(!s){g=w+1;break}continue}d===-1&&(s=!1,d=w+1),A===v?o===-1?o=w:h!==1&&(h=1):o!==-1&&(h=-1)}return o===-1||d===-1||h===0||h===1&&o===d-1&&o===g+1?"":a.slice(o,d)},format:b.bind(null,"\\"),parse(a){u(a,"path");const i={root:"",dir:"",base:"",ext:"",name:""};if(a.length===0)return i;const o=a.length;let g=0,d=a.charCodeAt(0);if(o===1)return m(d)?(i.root=i.dir=a,i):(i.base=i.name=a,i);if(m(d)){if(g=1,m(a.charCodeAt(1))){let P=2,O=P;for(;P<o&&!m(a.charCodeAt(P));)P++;if(P<o&&P!==O){for(O=P;P<o&&m(a.charCodeAt(P));)P++;if(P<o&&P!==O){for(O=P;P<o&&!m(a.charCodeAt(P));)P++;P===o?g=P:P!==O&&(g=P+1)}}}}else if(S(d)&&a.charCodeAt(1)===p){if(o<=2)return i.root=i.dir=a,i;if(g=2,m(a.charCodeAt(2))){if(o===3)return i.root=i.dir=a,i;g=3}}g>0&&(i.root=a.slice(0,g));let s=-1,h=g,w=-1,A=!0,R=a.length-1,D=0;for(;R>=g;--R){if(d=a.charCodeAt(R),m(d)){if(!A){h=R+1;break}continue}w===-1&&(A=!1,w=R+1),d===v?s===-1?s=R:D!==1&&(D=1):s!==-1&&(D=-1)}return w!==-1&&(s===-1||D===0||D===1&&s===w-1&&s===h+1?i.base=i.name=a.slice(h,w):(i.name=a.slice(h,s),i.base=a.slice(h,w),i.ext=a.slice(s,w))),h>0&&h!==g?i.dir=a.slice(0,h-1):i.dir=i.root,i},sep:"\\",delimiter:";",win32:null,posix:null},r.posix={resolve(...a){let i="",o=!1;for(let g=a.length-1;g>=-1&&!o;g--){const d=g>=0?a[g]:_.cwd();u(d,"path"),d.length!==0&&(i=`${d}/${i}`,o=d.charCodeAt(0)===l)}return i=N(i,!o,"/",y),o?`/${i}`:i.length>0?i:"."},normalize(a){if(u(a,"path"),a.length===0)return".";const i=a.charCodeAt(0)===l,o=a.charCodeAt(a.length-1)===l;return a=N(a,!i,"/",y),a.length===0?i?"/":o?"./":".":(o&&(a+="/"),i?`/${a}`:a)},isAbsolute(a){return u(a,"path"),a.length>0&&a.charCodeAt(0)===l},join(...a){if(a.length===0)return".";let i;for(let o=0;o<a.length;++o){const g=a[o];u(g,"path"),g.length>0&&(i===void 0?i=g:i+=`/${g}`)}return i===void 0?".":r.posix.normalize(i)},relative(a,i){if(u(a,"from"),u(i,"to"),a===i||(a=r.posix.resolve(a),i=r.posix.resolve(i),a===i))return"";const o=1,g=a.length,d=g-o,s=1,h=i.length-s,w=d<h?d:h;let A=-1,R=0;for(;R<w;R++){const P=a.charCodeAt(o+R);if(P!==i.charCodeAt(s+R))break;P===l&&(A=R)}if(R===w)if(h>w){if(i.charCodeAt(s+R)===l)return i.slice(s+R+1);if(R===0)return i.slice(s+R)}else d>w&&(a.charCodeAt(o+R)===l?A=R:R===0&&(A=0));let D="";for(R=o+A+1;R<=g;++R)(R===g||a.charCodeAt(R)===l)&&(D+=D.length===0?"..":"/..");return`${D}${i.slice(s+A)}`},toNamespacedPath(a){return a},dirname(a){if(u(a,"path"),a.length===0)return".";const i=a.charCodeAt(0)===l;let o=-1,g=!0;for(let d=a.length-1;d>=1;--d)if(a.charCodeAt(d)===l){if(!g){o=d;break}}else g=!1;return o===-1?i?"/":".":i&&o===1?"//":a.slice(0,o)},basename(a,i){i!==void 0&&u(i,"ext"),u(a,"path");let o=0,g=-1,d=!0,s;if(i!==void 0&&i.length>0&&i.length<=a.length){if(i===a)return"";let h=i.length-1,w=-1;for(s=a.length-1;s>=0;--s){const A=a.charCodeAt(s);if(A===l){if(!d){o=s+1;break}}else w===-1&&(d=!1,w=s+1),h>=0&&(A===i.charCodeAt(h)?--h===-1&&(g=s):(h=-1,g=w))}return o===g?g=w:g===-1&&(g=a.length),a.slice(o,g)}for(s=a.length-1;s>=0;--s)if(a.charCodeAt(s)===l){if(!d){o=s+1;break}}else g===-1&&(d=!1,g=s+1);return g===-1?"":a.slice(o,g)},extname(a){u(a,"path");let i=-1,o=0,g=-1,d=!0,s=0;for(let h=a.length-1;h>=0;--h){const w=a.charCodeAt(h);if(w===l){if(!d){o=h+1;break}continue}g===-1&&(d=!1,g=h+1),w===v?i===-1?i=h:s!==1&&(s=1):i!==-1&&(s=-1)}return i===-1||g===-1||s===0||s===1&&i===g-1&&i===o+1?"":a.slice(i,g)},format:b.bind(null,"/"),parse(a){u(a,"path");const i={root:"",dir:"",base:"",ext:"",name:""};if(a.length===0)return i;const o=a.charCodeAt(0)===l;let g;o?(i.root="/",g=1):g=0;let d=-1,s=0,h=-1,w=!0,A=a.length-1,R=0;for(;A>=g;--A){const D=a.charCodeAt(A);if(D===l){if(!w){s=A+1;break}continue}h===-1&&(w=!1,h=A+1),D===v?d===-1?d=A:R!==1&&(R=1):d!==-1&&(R=-1)}if(h!==-1){const D=s===0&&o?1:s;d===-1||R===0||R===1&&d===h-1&&d===s+1?i.base=i.name=a.slice(D,h):(i.name=a.slice(D,d),i.base=a.slice(D,h),i.ext=a.slice(d,h))}return s>0?i.dir=a.slice(0,s-1):o&&(i.dir="/"),i},sep:"/",delimiter:":",win32:null,posix:null},r.posix.win32=r.win32.win32=r.win32,r.posix.posix=r.win32.posix=r.posix,r.normalize=_.platform==="win32"?r.win32.normalize:r.posix.normalize,r.resolve=_.platform==="win32"?r.win32.resolve:r.posix.resolve,r.relative=_.platform==="win32"?r.win32.relative:r.posix.relative,r.dirname=_.platform==="win32"?r.win32.dirname:r.posix.dirname,r.basename=_.platform==="win32"?r.win32.basename:r.posix.basename,r.extname=_.platform==="win32"?r.win32.extname:r.posix.extname,r.sep=_.platform==="win32"?r.win32.sep:r.posix.sep}),X(Q[20],J([0,1,5]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.StopWatch=void 0;const e=_.globals.performance&&typeof _.globals.performance.now=="function";class E{static create(L=!0){return new E(L)}constructor(L){this.a=e&&L,this.b=this.d(),this.c=-1}stop(){this.c=this.d()}elapsed(){return this.c!==-1?this.c-this.b:this.d()-this.b}d(){return this.a?_.globals.performance.now():Date.now()}}r.StopWatch=E}),X(Q[7],J([0,1,8,10,14,20]),function(I,r,_,e,E,c){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Relay=r.EventBufferer=r.MicrotaskEmitter=r.DebounceEmitter=r.PauseableEmitter=r.EventDeliveryQueue=r.Emitter=r.EventProfiling=r.Event=void 0;const L=!1,v=!1;var l;(function(d){d.None=()=>e.Disposable.None;function s(Z){if(v){const{onDidAddListener:j}=Z,Y=C.create();let G=0;Z.onDidAddListener=()=>{++G===2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),Y.print()),j?.()}}}function h(Z,j){return W(Z,()=>{},0,void 0,void 0,j)}d.defer=h;function w(Z){return(j,Y=null,G)=>{let x=!1,ee;return ee=Z(te=>{if(!x)return ee?ee.dispose():x=!0,j.call(Y,te)},null,G),x&&ee.dispose(),ee}}d.once=w;function A(Z,j,Y){return z((G,x=null,ee)=>Z(te=>G.call(x,j(te)),null,ee),Y)}d.map=A;function R(Z,j,Y){return z((G,x=null,ee)=>Z(te=>{j(te),G.call(x,te)},null,ee),Y)}d.forEach=R;function D(Z,j,Y){return z((G,x=null,ee)=>Z(te=>j(te)&&G.call(x,te),null,ee),Y)}d.filter=D;function P(Z){return Z}d.signal=P;function O(...Z){return(j,Y=null,G)=>(0,e.combinedDisposable)(...Z.map(x=>x(ee=>j.call(Y,ee),null,G)))}d.any=O;function q(Z,j,Y,G){let x=Y;return A(Z,ee=>(x=j(x,ee),x),G)}d.reduce=q;function z(Z,j){let Y;const G={onWillAddFirstListener(){Y=Z(x.fire,x)},onDidRemoveLastListener(){Y?.dispose()}};j||s(G);const x=new m(G);return j?.add(x),x.event}function W(Z,j,Y=100,G=!1,x,ee){let te,ne,we,ve=0;const Le={leakWarningThreshold:x,onWillAddFirstListener(){te=Z(ue=>{ve++,ne=j(ne,ue),G&&!we&&(Ce.fire(ne),ne=void 0),clearTimeout(we),we=setTimeout(()=>{const me=ne;ne=void 0,we=void 0,(!G||ve>1)&&Ce.fire(me),ve=0},Y)})},onDidRemoveLastListener(){te.dispose()}};ee||s(Le);const Ce=new m(Le);return ee?.add(Ce),Ce.event}d.debounce=W;function k(Z,j=0,Y){return d.debounce(Z,(G,x)=>G?(G.push(x),G):[x],j,void 0,void 0,Y)}d.accumulate=k;function T(Z,j=(G,x)=>G===x,Y){let G=!0,x;return D(Z,ee=>{const te=G||!j(ee,x);return G=!1,x=ee,te},Y)}d.latch=T;function F(Z,j,Y){return[d.filter(Z,j,Y),d.filter(Z,G=>!j(G),Y)]}d.split=F;function B(Z,j=!1,Y=[]){let G=Y.slice(),x=Z(ne=>{G?G.push(ne):te.fire(ne)});const ee=()=>{G?.forEach(ne=>te.fire(ne)),G=null},te=new m({onWillAddFirstListener(){x||(x=Z(ne=>te.fire(ne)))},onDidAddFirstListener(){G&&(j?setTimeout(ee):ee())},onDidRemoveLastListener(){x&&x.dispose(),x=null}});return te.event}d.buffer=B;class H{constructor(j){this.event=j,this.c=new e.DisposableStore}map(j){return new H(A(this.event,j,this.c))}forEach(j){return new H(R(this.event,j,this.c))}filter(j){return new H(D(this.event,j,this.c))}reduce(j,Y){return new H(q(this.event,j,Y,this.c))}latch(){return new H(T(this.event,void 0,this.c))}debounce(j,Y=100,G=!1,x){return new H(W(this.event,j,Y,G,x,this.c))}on(j,Y,G){return this.event(j,Y,G)}once(j,Y,G){return w(this.event)(j,Y,G)}dispose(){this.c.dispose()}}function n(Z){return new H(Z)}d.chain=n;function se(Z,j,Y=G=>G){const G=(...ne)=>te.fire(Y(...ne)),x=()=>Z.on(j,G),ee=()=>Z.removeListener(j,G),te=new m({onWillAddFirstListener:x,onDidRemoveLastListener:ee});return te.event}d.fromNodeEventEmitter=se;function de(Z,j,Y=G=>G){const G=(...ne)=>te.fire(Y(...ne)),x=()=>Z.addEventListener(j,G),ee=()=>Z.removeEventListener(j,G),te=new m({onWillAddFirstListener:x,onDidRemoveLastListener:ee});return te.event}d.fromDOMEventEmitter=de;function ge(Z){return new Promise(j=>w(Z)(j))}d.toPromise=ge;function pe(Z,j){return j(void 0),Z(Y=>j(Y))}d.runAndSubscribe=pe;function Se(Z,j){let Y=null;function G(ee){Y?.dispose(),Y=new e.DisposableStore,j(ee,Y)}G(void 0);const x=Z(ee=>G(ee));return(0,e.toDisposable)(()=>{x.dispose(),Y?.dispose()})}d.runAndSubscribeWithStore=Se;class Ne{constructor(j,Y){this.obs=j,this.c=0,this.d=!1;const G={onWillAddFirstListener:()=>{j.addObserver(this)},onDidRemoveLastListener:()=>{j.removeObserver(this)}};Y||s(G),this.emitter=new m(G),Y&&Y.add(this.emitter)}beginUpdate(j){this.c++}handleChange(j,Y){this.d=!0}endUpdate(j){--this.c===0&&this.d&&(this.d=!1,this.emitter.fire(this.obs.get()))}}function _e(Z,j){return new Ne(Z,j).emitter.event}d.fromObservable=_e})(l=r.Event||(r.Event={}));class f{constructor(s){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${s}_${f.c++}`,f.all.add(this)}start(s){this.d=new c.StopWatch(!0),this.listenerCount=s}stop(){if(this.d){const s=this.d.elapsed();this.durations.push(s),this.elapsedOverall+=s,this.invocationCount+=1,this.d=void 0}}}r.EventProfiling=f,f.all=new Set,f.c=0;let p=-1;class t{constructor(s,h=Math.random().toString(18).slice(2,5)){this.threshold=s,this.name=h,this.d=0}dispose(){var s;(s=this.c)===null||s===void 0||s.clear()}check(s,h){const w=this.threshold;if(w<=0||h<w)return;this.c||(this.c=new Map);const A=this.c.get(s.value)||0;if(this.c.set(s.value,A+1),this.d-=1,this.d<=0){this.d=w*.5;let R,D=0;for(const[P,O]of this.c)(!R||D<O)&&(R=P,D=O);console.warn(`[${this.name}] potential listener LEAK detected, having ${h} listeners already. MOST frequent listener (${D}):`),console.warn(R)}return()=>{const R=this.c.get(s.value)||0;this.c.set(s.value,R-1)}}}class C{static create(){var s;return new C((s=new Error().stack)!==null&&s!==void 0?s:"")}constructor(s){this.value=s}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class u{constructor(s,h,w){this.callback=s,this.callbackThis=h,this.stack=w,this.subscription=new e.SafeDisposable}invoke(s){this.callback.call(this.callbackThis,s)}}class m{constructor(s){var h,w,A,R,D;this.j=!1,this.d=s,this.f=p>0||((h=this.d)===null||h===void 0?void 0:h.leakWarningThreshold)?new t((A=(w=this.d)===null||w===void 0?void 0:w.leakWarningThreshold)!==null&&A!==void 0?A:p):void 0,this.g=!((R=this.d)===null||R===void 0)&&R._profName?new f(this.d._profName):void 0,this.m=(D=this.d)===null||D===void 0?void 0:D.deliveryQueue}dispose(){var s,h,w,A;if(!this.j){if(this.j=!0,this.n){if(L){const R=Array.from(this.n);queueMicrotask(()=>{var D;for(const P of R)P.subscription.isset()&&(P.subscription.unset(),(D=P.stack)===null||D===void 0||D.print())})}this.n.clear()}(s=this.m)===null||s===void 0||s.clear(this),(w=(h=this.d)===null||h===void 0?void 0:h.onDidRemoveLastListener)===null||w===void 0||w.call(h),(A=this.f)===null||A===void 0||A.dispose()}}get event(){return this.l||(this.l=(s,h,w)=>{var A,R,D;if(this.n||(this.n=new E.LinkedList),this.f&&this.n.size>this.f.threshold*3)return console.warn(`[${this.f.name}] REFUSES to accept new listeners because it exceeded its threshold by far`),e.Disposable.None;const P=this.n.isEmpty();P&&((A=this.d)===null||A===void 0?void 0:A.onWillAddFirstListener)&&this.d.onWillAddFirstListener(this);let O,q;this.f&&this.n.size>=Math.ceil(this.f.threshold*.2)&&(q=C.create(),O=this.f.check(q,this.n.size+1)),L&&(q=q??C.create());const z=new u(s,h,q),W=this.n.push(z);P&&((R=this.d)===null||R===void 0?void 0:R.onDidAddFirstListener)&&this.d.onDidAddFirstListener(this),!((D=this.d)===null||D===void 0)&&D.onDidAddListener&&this.d.onDidAddListener(this,s,h);const k=z.subscription.set(()=>{O?.(),this.j||(W(),this.d&&this.d.onDidRemoveLastListener&&(this.n&&!this.n.isEmpty()||this.d.onDidRemoveLastListener(this)))});return w instanceof e.DisposableStore?w.add(k):Array.isArray(w)&&w.push(k),k}),this.l}fire(s){var h,w;if(this.n){this.m||(this.m=new S);for(const A of this.n)this.m.push(this,A,s);(h=this.g)===null||h===void 0||h.start(this.m.size),this.m.deliver(),(w=this.g)===null||w===void 0||w.stop()}}hasListeners(){return this.n?!this.n.isEmpty():!1}}r.Emitter=m;class y{constructor(){this.c=new E.LinkedList}get size(){return this.c.size}push(s,h,w){this.c.push(new N(s,h,w))}clear(s){const h=new E.LinkedList;for(const w of this.c)w.emitter!==s&&h.push(w);this.c=h}deliver(){for(;this.c.size>0;){const s=this.c.shift();try{s.listener.invoke(s.event)}catch(h){(0,_.onUnexpectedError)(h)}}}}r.EventDeliveryQueue=y;class S extends y{clear(s){this.c.clear()}}class N{constructor(s,h,w){this.emitter=s,this.listener=h,this.event=w}}class b extends m{constructor(s){super(s),this.c=0,this.h=new E.LinkedList,this.k=s?.merge}pause(){this.c++}resume(){if(this.c!==0&&--this.c===0)if(this.k){if(this.h.size>0){const s=Array.from(this.h);this.h.clear(),super.fire(this.k(s))}}else for(;!this.c&&this.h.size!==0;)super.fire(this.h.shift())}fire(s){this.n&&(this.c!==0?this.h.push(s):super.fire(s))}}r.PauseableEmitter=b;class a extends b{constructor(s){var h;super(s),this.o=(h=s.delay)!==null&&h!==void 0?h:100}fire(s){this.p||(this.pause(),this.p=setTimeout(()=>{this.p=void 0,this.resume()},this.o)),super.fire(s)}}r.DebounceEmitter=a;class i extends m{constructor(s){super(s),this.c=[],this.h=s?.merge}fire(s){!this.hasListeners()||(this.c.push(s),this.c.length===1&&queueMicrotask(()=>{this.h?super.fire(this.h(this.c)):this.c.forEach(h=>super.fire(h)),this.c=[]}))}}r.MicrotaskEmitter=i;class o{constructor(){this.c=[]}wrapEvent(s){return(h,w,A)=>s(R=>{const D=this.c[this.c.length-1];D?D.push(()=>h.call(w,R)):h.call(w,R)},void 0,A)}bufferEvents(s){const h=[];this.c.push(h);const w=s();return this.c.pop(),h.forEach(A=>A()),w}}r.EventBufferer=o;class g{constructor(){this.c=!1,this.d=l.None,this.f=e.Disposable.None,this.g=new m({onDidAddFirstListener:()=>{this.c=!0,this.f=this.d(this.g.fire,this.g)},onDidRemoveLastListener:()=>{this.c=!1,this.f.dispose()}}),this.event=this.g.event}set input(s){this.d=s,this.c&&(this.f.dispose(),this.f=s(this.g.fire,this.g))}dispose(){this.f.dispose(),this.g.dispose()}}r.Relay=g}),X(Q[51],J([0,1,7]),function(I,r,_){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CancellationTokenSource=r.CancellationToken=void 0;const e=Object.freeze(function(v,l){const f=setTimeout(v.bind(l),0);return{dispose(){clearTimeout(f)}}});var E;(function(v){function l(f){return f===v.None||f===v.Cancelled||f instanceof c?!0:!f||typeof f!="object"?!1:typeof f.isCancellationRequested=="boolean"&&typeof f.onCancellationRequested=="function"}v.isCancellationToken=l,v.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:_.Event.None}),v.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:e})})(E=r.CancellationToken||(r.CancellationToken={}));class c{constructor(){this.a=!1,this.b=null}cancel(){this.a||(this.a=!0,this.b&&(this.b.fire(void 0),this.dispose()))}get isCancellationRequested(){return this.a}get onCancellationRequested(){return this.a?e:(this.b||(this.b=new _.Emitter),this.b.event)}dispose(){this.b&&(this.b.dispose(),this.b=null)}}class L{constructor(l){this.a=void 0,this.b=void 0,this.b=l&&l.onCancellationRequested(this.cancel,this)}get token(){return this.a||(this.a=new c),this.a}cancel(){this.a?this.a instanceof c&&this.a.cancel():this.a=E.Cancelled}dispose(l=!1){var f;l&&this.cancel(),(f=this.b)===null||f===void 0||f.dispose(),this.a?this.a instanceof c&&this.a.dispose():this.a=E.None}}r.CancellationTokenSource=L}),X(Q[12],J([0,1,50,5]),function(I,r,_,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.uriToFsPath=r.URI=void 0;const E=/^\w[\w\d+.-]*$/,c=/^\//,L=/^\/\//;function v(s,h){if(!s.scheme&&h)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${s.authority}", path: "${s.path}", query: "${s.query}", fragment: "${s.fragment}"}`);if(s.scheme&&!E.test(s.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(s.path){if(s.authority){if(!c.test(s.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(L.test(s.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function l(s,h){return!s&&!h?"file":s}function f(s,h){switch(s){case"https":case"http":case"file":h?h[0]!==t&&(h=t+h):h=t;break}return h}const p="",t="/",C=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class u{static isUri(h){return h instanceof u?!0:h?typeof h.authority=="string"&&typeof h.fragment=="string"&&typeof h.path=="string"&&typeof h.query=="string"&&typeof h.scheme=="string"&&typeof h.fsPath=="string"&&typeof h.with=="function"&&typeof h.toString=="function":!1}constructor(h,w,A,R,D,P=!1){typeof h=="object"?(this.scheme=h.scheme||p,this.authority=h.authority||p,this.path=h.path||p,this.query=h.query||p,this.fragment=h.fragment||p):(this.scheme=l(h,P),this.authority=w||p,this.path=f(this.scheme,A||p),this.query=R||p,this.fragment=D||p,v(this,P))}get fsPath(){return a(this,!1)}with(h){if(!h)return this;let{scheme:w,authority:A,path:R,query:D,fragment:P}=h;return w===void 0?w=this.scheme:w===null&&(w=p),A===void 0?A=this.authority:A===null&&(A=p),R===void 0?R=this.path:R===null&&(R=p),D===void 0?D=this.query:D===null&&(D=p),P===void 0?P=this.fragment:P===null&&(P=p),w===this.scheme&&A===this.authority&&R===this.path&&D===this.query&&P===this.fragment?this:new y(w,A,R,D,P)}static parse(h,w=!1){const A=C.exec(h);return A?new y(A[2]||p,d(A[4]||p),d(A[5]||p),d(A[7]||p),d(A[9]||p),w):new y(p,p,p,p,p)}static file(h){let w=p;if(e.isWindows&&(h=h.replace(/\\/g,t)),h[0]===t&&h[1]===t){const A=h.indexOf(t,2);A===-1?(w=h.substring(2),h=t):(w=h.substring(2,A),h=h.substring(A)||t)}return new y("file",w,h,p,p)}static from(h){const w=new y(h.scheme,h.authority,h.path,h.query,h.fragment);return v(w,!0),w}static joinPath(h,...w){if(!h.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let A;return e.isWindows&&h.scheme==="file"?A=u.file(_.win32.join(a(h,!0),...w)).path:A=_.posix.join(h.path,...w),h.with({path:A})}toString(h=!1){return i(this,h)}toJSON(){return this}static revive(h){if(h){if(h instanceof u)return h;{const w=new y(h);return w._formatted=h.external,w._fsPath=h._sep===m?h.fsPath:null,w}}else return h}}r.URI=u;const m=e.isWindows?1:void 0;class y extends u{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=a(this,!1)),this._fsPath}toString(h=!1){return h?i(this,!0):(this._formatted||(this._formatted=i(this,!1)),this._formatted)}toJSON(){const h={$mid:1};return this._fsPath&&(h.fsPath=this._fsPath,h._sep=m),this._formatted&&(h.external=this._formatted),this.path&&(h.path=this.path),this.scheme&&(h.scheme=this.scheme),this.authority&&(h.authority=this.authority),this.query&&(h.query=this.query),this.fragment&&(h.fragment=this.fragment),h}}const S={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function N(s,h,w){let A,R=-1;for(let D=0;D<s.length;D++){const P=s.charCodeAt(D);if(P>=97&&P<=122||P>=65&&P<=90||P>=48&&P<=57||P===45||P===46||P===95||P===126||h&&P===47||w&&P===91||w&&P===93||w&&P===58)R!==-1&&(A+=encodeURIComponent(s.substring(R,D)),R=-1),A!==void 0&&(A+=s.charAt(D));else{A===void 0&&(A=s.substr(0,D));const O=S[P];O!==void 0?(R!==-1&&(A+=encodeURIComponent(s.substring(R,D)),R=-1),A+=O):R===-1&&(R=D)}}return R!==-1&&(A+=encodeURIComponent(s.substring(R))),A!==void 0?A:s}function b(s){let h;for(let w=0;w<s.length;w++){const A=s.charCodeAt(w);A===35||A===63?(h===void 0&&(h=s.substr(0,w)),h+=S[A]):h!==void 0&&(h+=s[w])}return h!==void 0?h:s}function a(s,h){let w;return s.authority&&s.path.length>1&&s.scheme==="file"?w=`//${s.authority}${s.path}`:s.path.charCodeAt(0)===47&&(s.path.charCodeAt(1)>=65&&s.path.charCodeAt(1)<=90||s.path.charCodeAt(1)>=97&&s.path.charCodeAt(1)<=122)&&s.path.charCodeAt(2)===58?h?w=s.path.substr(1):w=s.path[1].toLowerCase()+s.path.substr(2):w=s.path,e.isWindows&&(w=w.replace(/\//g,"\\")),w}r.uriToFsPath=a;function i(s,h){const w=h?b:N;let A="",{scheme:R,authority:D,path:P,query:O,fragment:q}=s;if(R&&(A+=R,A+=":"),(D||R==="file")&&(A+=t,A+=t),D){let z=D.indexOf("@");if(z!==-1){const W=D.substr(0,z);D=D.substr(z+1),z=W.lastIndexOf(":"),z===-1?A+=w(W,!1,!1):(A+=w(W.substr(0,z),!1,!1),A+=":",A+=w(W.substr(z+1),!1,!0)),A+="@"}D=D.toLowerCase(),z=D.lastIndexOf(":"),z===-1?A+=w(D,!1,!0):(A+=w(D.substr(0,z),!1,!0),A+=D.substr(z))}if(P){if(P.length>=3&&P.charCodeAt(0)===47&&P.charCodeAt(2)===58){const z=P.charCodeAt(1);z>=65&&z<=90&&(P=`/${String.fromCharCode(z+32)}:${P.substr(3)}`)}else if(P.length>=2&&P.charCodeAt(1)===58){const z=P.charCodeAt(0);z>=65&&z<=90&&(P=`${String.fromCharCode(z+32)}:${P.substr(2)}`)}A+=w(P,!0,!1)}return O&&(A+="?",A+=w(O,!1,!1)),q&&(A+="#",A+=h?q:N(q,!1,!1)),A}function o(s){try{return decodeURIComponent(s)}catch{return s.length>3?s.substr(0,3)+o(s.substr(3)):s}}const g=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function d(s){return s.match(g)?s.replace(g,h=>o(h)):s}}),X(Q[56],J([0,1,8,7,10,11,5,4]),function(I,r,_,e,E,c,L,v){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.create=r.SimpleWorkerServer=r.SimpleWorkerClient=r.logOnceWebWorkerWarning=void 0;const l="$initialize";let f=!1;function p(d){!L.isWeb||(f||(f=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/microsoft/monaco-editor#faq")),console.warn(d.message))}r.logOnceWebWorkerWarning=p;class t{constructor(s,h,w,A){this.vsWorker=s,this.req=h,this.method=w,this.args=A,this.type=0}}class C{constructor(s,h,w,A){this.vsWorker=s,this.seq=h,this.res=w,this.err=A,this.type=1}}class u{constructor(s,h,w,A){this.vsWorker=s,this.req=h,this.eventName=w,this.arg=A,this.type=2}}class m{constructor(s,h,w){this.vsWorker=s,this.req=h,this.event=w,this.type=3}}class y{constructor(s,h){this.vsWorker=s,this.req=h,this.type=4}}class S{constructor(s){this.a=-1,this.g=s,this.b=0,this.c=Object.create(null),this.d=new Map,this.f=new Map}setWorkerId(s){this.a=s}sendMessage(s,h){const w=String(++this.b);return new Promise((A,R)=>{this.c[w]={resolve:A,reject:R},this.o(new t(this.a,w,s,h))})}listen(s,h){let w=null;const A=new e.Emitter({onWillAddFirstListener:()=>{w=String(++this.b),this.d.set(w,A),this.o(new u(this.a,w,s,h))},onDidRemoveLastListener:()=>{this.d.delete(w),this.o(new y(this.a,w)),w=null}});return A.event}handleMessage(s){!s||!s.vsWorker||this.a!==-1&&s.vsWorker!==this.a||this.h(s)}h(s){switch(s.type){case 1:return this.j(s);case 0:return this.k(s);case 2:return this.l(s);case 3:return this.m(s);case 4:return this.n(s)}}j(s){if(!this.c[s.seq]){console.warn("Got reply to unknown seq");return}const h=this.c[s.seq];if(delete this.c[s.seq],s.err){let w=s.err;s.err.$isError&&(w=new Error,w.name=s.err.name,w.message=s.err.message,w.stack=s.err.stack),h.reject(w);return}h.resolve(s.res)}k(s){const h=s.req;this.g.handleMessage(s.method,s.args).then(A=>{this.o(new C(this.a,h,A,void 0))},A=>{A.detail instanceof Error&&(A.detail=(0,_.transformErrorForSerialization)(A.detail)),this.o(new C(this.a,h,void 0,(0,_.transformErrorForSerialization)(A)))})}l(s){const h=s.req,w=this.g.handleEvent(s.eventName,s.arg)(A=>{this.o(new m(this.a,h,A))});this.f.set(h,w)}m(s){if(!this.d.has(s.req)){console.warn("Got event for unknown req");return}this.d.get(s.req).fire(s.event)}n(s){if(!this.f.has(s.req)){console.warn("Got unsubscribe for unknown req");return}this.f.get(s.req).dispose(),this.f.delete(s.req)}o(s){const h=[];if(s.type===0)for(let w=0;w<s.args.length;w++)s.args[w]instanceof ArrayBuffer&&h.push(s.args[w]);else s.type===1&&s.res instanceof ArrayBuffer&&h.push(s.res);this.g.sendMessage(s,h)}}class N extends E.Disposable{constructor(s,h,w){super();let A=null;this.a=this.q(s.create("vs/base/common/worker/simpleWorker",q=>{this.c.handleMessage(q)},q=>{A?.(q)})),this.c=new S({sendMessage:(q,z)=>{this.a.postMessage(q,z)},handleMessage:(q,z)=>{if(typeof w[q]!="function")return Promise.reject(new Error("Missing method "+q+" on main thread host."));try{return Promise.resolve(w[q].apply(w,z))}catch(W){return Promise.reject(W)}},handleEvent:(q,z)=>{if(a(q)){const W=w[q].call(w,z);if(typeof W!="function")throw new Error(`Missing dynamic event ${q} on main thread host.`);return W}if(b(q)){const W=w[q];if(typeof W!="function")throw new Error(`Missing event ${q} on main thread host.`);return W}throw new Error(`Malformed event name ${q}`)}}),this.c.setWorkerId(this.a.getId());let R=null;typeof L.globals.require<"u"&&typeof L.globals.require.getConfig=="function"?R=L.globals.require.getConfig():typeof L.globals.requirejs<"u"&&(R=L.globals.requirejs.s.contexts._.config);const D=(0,c.getAllMethodNames)(w);this.b=this.c.sendMessage(l,[this.a.getId(),JSON.parse(JSON.stringify(R)),h,D]);const P=(q,z)=>this.h(q,z),O=(q,z)=>this.c.listen(q,z);this.g=new Promise((q,z)=>{A=z,this.b.then(W=>{q(i(W,P,O))},W=>{z(W),this.j("Worker failed to load "+h,W)})})}getProxyObject(){return this.g}h(s,h){return new Promise((w,A)=>{this.b.then(()=>{this.c.sendMessage(s,h).then(w,A)},A)})}j(s,h){console.error(s),console.info(h)}}r.SimpleWorkerClient=N;function b(d){return d[0]==="o"&&d[1]==="n"&&v.isUpperAsciiLetter(d.charCodeAt(2))}function a(d){return/^onDynamic/.test(d)&&v.isUpperAsciiLetter(d.charCodeAt(9))}function i(d,s,h){const w=D=>function(){const P=Array.prototype.slice.call(arguments,0);return s(D,P)},A=D=>function(P){return h(D,P)},R={};for(const D of d){if(a(D)){R[D]=A(D);continue}if(b(D)){R[D]=h(D,void 0);continue}R[D]=w(D)}return R}class o{constructor(s,h){this.a=h,this.b=null,this.c=new S({sendMessage:(w,A)=>{s(w,A)},handleMessage:(w,A)=>this.d(w,A),handleEvent:(w,A)=>this.f(w,A)})}onmessage(s){this.c.handleMessage(s)}d(s,h){if(s===l)return this.g(h[0],h[1],h[2],h[3]);if(!this.b||typeof this.b[s]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+s));try{return Promise.resolve(this.b[s].apply(this.b,h))}catch(w){return Promise.reject(w)}}f(s,h){if(!this.b)throw new Error("Missing requestHandler");if(a(s)){const w=this.b[s].call(this.b,h);if(typeof w!="function")throw new Error(`Missing dynamic event ${s} on request handler.`);return w}if(b(s)){const w=this.b[s];if(typeof w!="function")throw new Error(`Missing event ${s} on request handler.`);return w}throw new Error(`Malformed event name ${s}`)}g(s,h,w,A){this.c.setWorkerId(s);const P=i(A,(O,q)=>this.c.sendMessage(O,q),(O,q)=>this.c.listen(O,q));return this.a?(this.b=this.a(P),Promise.resolve((0,c.getAllMethodNames)(this.b))):(h&&(typeof h.baseUrl<"u"&&delete h.baseUrl,typeof h.paths<"u"&&typeof h.paths.vs<"u"&&delete h.paths.vs,typeof h.trustedTypesPolicy!==void 0&&delete h.trustedTypesPolicy,h.catchError=!0,L.globals.require.config(h)),new Promise((O,q)=>{(L.globals.require||I)([w],W=>{if(this.b=W.create(P),!this.b){q(new Error("No RequestHandler!"));return}O((0,c.getAllMethodNames)(this.b))},q)}))}}r.SimpleWorkerServer=o;function g(d){return new o(d,null)}r.create=g}),X(Q[52],J([0,1,7,10]),function(I,r,_,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.TokenizationRegistry=void 0;class E{constructor(){this.a=new Map,this.b=new Map,this.c=new _.Emitter,this.onDidChange=this.c.event,this.d=null}fire(v){this.c.fire({changedLanguages:v,changedColorMap:!1})}register(v,l){return this.a.set(v,l),this.fire([v]),(0,e.toDisposable)(()=>{this.a.get(v)===l&&(this.a.delete(v),this.fire([v]))})}registerFactory(v,l){var f;(f=this.b.get(v))===null||f===void 0||f.dispose();const p=new c(this,v,l);return this.b.set(v,p),(0,e.toDisposable)(()=>{const t=this.b.get(v);!t||t!==p||(this.b.delete(v),t.dispose())})}getOrCreate(v){return le(this,void 0,void 0,function*(){const l=this.get(v);if(l)return l;const f=this.b.get(v);return!f||f.isResolved?null:(yield f.resolve(),this.get(v))})}get(v){return this.a.get(v)||null}isResolved(v){if(this.get(v))return!0;const f=this.b.get(v);return!!(!f||f.isResolved)}setColorMap(v){this.d=v,this.c.fire({changedLanguages:Array.from(this.a.keys()),changedColorMap:!0})}getColorMap(){return this.d}getDefaultBackground(){return this.d&&this.d.length>2?this.d[2]:null}}r.TokenizationRegistry=E;class c extends e.Disposable{get isResolved(){return this.c}constructor(v,l,f){super(),this.g=v,this.h=l,this.i=f,this.a=!1,this.b=null,this.c=!1}dispose(){this.a=!0,super.dispose()}resolve(){return le(this,void 0,void 0,function*(){return this.b||(this.b=this.j()),this.b})}j(){return le(this,void 0,void 0,function*(){const v=yield Promise.resolve(this.i.createTokenizationSupport());this.c=!0,v&&!this.a&&this.q(this.g.register(this.h,v))})}}}),X(Q[53],J([0,1,24,12,2,52]),function(I,r,_,e,E,c){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.TokenizationRegistry=r.InlayHintKind=r.Command=r.FoldingRangeKind=r.SymbolKinds=r.isLocationLink=r.DocumentHighlightKind=r.SignatureHelpTriggerKind=r.InlineCompletionTriggerKind=r.CompletionItemKinds=r.EncodedTokenizationResult=r.TokenizationResult=r.Token=void 0;class L{constructor(a,i,o){this._tokenBrand=void 0,this.offset=a,this.type=i,this.language=o}toString(){return"("+this.offset+", "+this.type+")"}}r.Token=L;class v{constructor(a,i){this._tokenizationResultBrand=void 0,this.tokens=a,this.endState=i}}r.TokenizationResult=v;class l{constructor(a,i){this._encodedTokenizationResultBrand=void 0,this.tokens=a,this.endState=i}}r.EncodedTokenizationResult=l;var f;(function(b){const a=new Map;a.set(0,_.Codicon.symbolMethod),a.set(1,_.Codicon.symbolFunction),a.set(2,_.Codicon.symbolConstructor),a.set(3,_.Codicon.symbolField),a.set(4,_.Codicon.symbolVariable),a.set(5,_.Codicon.symbolClass),a.set(6,_.Codicon.symbolStruct),a.set(7,_.Codicon.symbolInterface),a.set(8,_.Codicon.symbolModule),a.set(9,_.Codicon.symbolProperty),a.set(10,_.Codicon.symbolEvent),a.set(11,_.Codicon.symbolOperator),a.set(12,_.Codicon.symbolUnit),a.set(13,_.Codicon.symbolValue),a.set(15,_.Codicon.symbolEnum),a.set(14,_.Codicon.symbolConstant),a.set(15,_.Codicon.symbolEnum),a.set(16,_.Codicon.symbolEnumMember),a.set(17,_.Codicon.symbolKeyword),a.set(27,_.Codicon.symbolSnippet),a.set(18,_.Codicon.symbolText),a.set(19,_.Codicon.symbolColor),a.set(20,_.Codicon.symbolFile),a.set(21,_.Codicon.symbolReference),a.set(22,_.Codicon.symbolCustomColor),a.set(23,_.Codicon.symbolFolder),a.set(24,_.Codicon.symbolTypeParameter),a.set(25,_.Codicon.account),a.set(26,_.Codicon.issues);function i(d){let s=a.get(d);return s||(console.info("No codicon found for CompletionItemKind "+d),s=_.Codicon.symbolProperty),s}b.toIcon=i;const o=new Map;o.set("method",0),o.set("function",1),o.set("constructor",2),o.set("field",3),o.set("variable",4),o.set("class",5),o.set("struct",6),o.set("interface",7),o.set("module",8),o.set("property",9),o.set("event",10),o.set("operator",11),o.set("unit",12),o.set("value",13),o.set("constant",14),o.set("enum",15),o.set("enum-member",16),o.set("enumMember",16),o.set("keyword",17),o.set("snippet",27),o.set("text",18),o.set("color",19),o.set("file",20),o.set("reference",21),o.set("customcolor",22),o.set("folder",23),o.set("type-parameter",24),o.set("typeParameter",24),o.set("account",25),o.set("issue",26);function g(d,s){let h=o.get(d);return typeof h>"u"&&!s&&(h=9),h}b.fromString=g})(f=r.CompletionItemKinds||(r.CompletionItemKinds={}));var p;(function(b){b[b.Automatic=0]="Automatic",b[b.Explicit=1]="Explicit"})(p=r.InlineCompletionTriggerKind||(r.InlineCompletionTriggerKind={}));var t;(function(b){b[b.Invoke=1]="Invoke",b[b.TriggerCharacter=2]="TriggerCharacter",b[b.ContentChange=3]="ContentChange"})(t=r.SignatureHelpTriggerKind||(r.SignatureHelpTriggerKind={}));var C;(function(b){b[b.Text=0]="Text",b[b.Read=1]="Read",b[b.Write=2]="Write"})(C=r.DocumentHighlightKind||(r.DocumentHighlightKind={}));function u(b){return b&&e.URI.isUri(b.uri)&&E.Range.isIRange(b.range)&&(E.Range.isIRange(b.originSelectionRange)||E.Range.isIRange(b.targetSelectionRange))}r.isLocationLink=u;var m;(function(b){const a=new Map;a.set(0,_.Codicon.symbolFile),a.set(1,_.Codicon.symbolModule),a.set(2,_.Codicon.symbolNamespace),a.set(3,_.Codicon.symbolPackage),a.set(4,_.Codicon.symbolClass),a.set(5,_.Codicon.symbolMethod),a.set(6,_.Codicon.symbolProperty),a.set(7,_.Codicon.symbolField),a.set(8,_.Codicon.symbolConstructor),a.set(9,_.Codicon.symbolEnum),a.set(10,_.Codicon.symbolInterface),a.set(11,_.Codicon.symbolFunction),a.set(12,_.Codicon.symbolVariable),a.set(13,_.Codicon.symbolConstant),a.set(14,_.Codicon.symbolString),a.set(15,_.Codicon.symbolNumber),a.set(16,_.Codicon.symbolBoolean),a.set(17,_.Codicon.symbolArray),a.set(18,_.Codicon.symbolObject),a.set(19,_.Codicon.symbolKey),a.set(20,_.Codicon.symbolNull),a.set(21,_.Codicon.symbolEnumMember),a.set(22,_.Codicon.symbolStruct),a.set(23,_.Codicon.symbolEvent),a.set(24,_.Codicon.symbolOperator),a.set(25,_.Codicon.symbolTypeParameter);function i(o){let g=a.get(o);return g||(console.info("No codicon found for SymbolKind "+o),g=_.Codicon.symbolProperty),g}b.toIcon=i})(m=r.SymbolKinds||(r.SymbolKinds={}));class y{constructor(a){this.value=a}}r.FoldingRangeKind=y,y.Comment=new y("comment"),y.Imports=new y("imports"),y.Region=new y("region");var S;(function(b){function a(i){return!i||typeof i!="object"?!1:typeof i.id=="string"&&typeof i.title=="string"}b.is=a})(S=r.Command||(r.Command={}));var N;(function(b){b[b.Type=1]="Type",b[b.Parameter=2]="Parameter"})(N=r.InlayHintKind||(r.InlayHintKind={})),r.TokenizationRegistry=new c.TokenizationRegistry}),X(Q[54],J([0,1,51,7,27,12,3,2,31,53,47]),function(I,r,_,e,E,c,L,v,l,f,p){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.createMonacoBaseAPI=r.KeyMod=void 0;class t{static chord(m,y){return(0,E.KeyChord)(m,y)}}r.KeyMod=t,t.CtrlCmd=2048,t.Shift=1024,t.Alt=512,t.WinCtrl=256;function C(){return{editor:void 0,languages:void 0,CancellationTokenSource:_.CancellationTokenSource,Emitter:e.Emitter,KeyCode:p.KeyCode,KeyMod:t,Position:L.Position,Range:v.Range,Selection:l.Selection,SelectionDirection:p.SelectionDirection,MarkerSeverity:p.MarkerSeverity,MarkerTag:p.MarkerTag,Uri:c.URI,Token:f.Token}}r.createMonacoBaseAPI=C}),X(Q[57],J([0,1,15,5,12,3,2,44,18,40,41,54,20,46,39,11]),function(I,r,_,e,E,c,L,v,l,f,p,t,C,u,m,y){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.create=r.EditorSimpleWorker=void 0;class S extends v.MirrorTextModel{get uri(){return this.c}get eol(){return this.f}getValue(){return this.getText()}getLinesContent(){return this.d.slice(0)}getLineCount(){return this.d.length}getLineContent(i){return this.d[i-1]}getWordAtPosition(i,o){const g=(0,l.getWordAtText)(i.column,(0,l.ensureValidWordDefinition)(o),this.d[i.lineNumber-1],0);return g?new L.Range(i.lineNumber,g.startColumn,i.lineNumber,g.endColumn):null}words(i){const o=this.d,g=this.p.bind(this);let d=0,s="",h=0,w=[];return{*[Symbol.iterator](){for(;;)if(h<w.length){const A=s.substring(w[h].start,w[h].end);h+=1,yield A}else if(d<o.length)s=o[d],w=g(s,i),h=0,d+=1;else break}}}getLineWords(i,o){const g=this.d[i-1],d=this.p(g,o),s=[];for(const h of d)s.push({word:g.substring(h.start,h.end),startColumn:h.start+1,endColumn:h.end+1});return s}p(i,o){const g=[];let d;for(o.lastIndex=0;(d=o.exec(i))&&d[0].length!==0;)g.push({start:d.index,end:d.index+d[0].length});return g}getValueInRange(i){if(i=this.q(i),i.startLineNumber===i.endLineNumber)return this.d[i.startLineNumber-1].substring(i.startColumn-1,i.endColumn-1);const o=this.f,g=i.startLineNumber-1,d=i.endLineNumber-1,s=[];s.push(this.d[g].substring(i.startColumn-1));for(let h=g+1;h<d;h++)s.push(this.d[h]);return s.push(this.d[d].substring(0,i.endColumn-1)),s.join(o)}offsetAt(i){return i=this.r(i),this.k(),this.h.getPrefixSum(i.lineNumber-2)+(i.column-1)}positionAt(i){i=Math.floor(i),i=Math.max(0,i),this.k();const o=this.h.getIndexOf(i),g=this.d[o.index].length;return{lineNumber:1+o.index,column:1+Math.min(o.remainder,g)}}q(i){const o=this.r({lineNumber:i.startLineNumber,column:i.startColumn}),g=this.r({lineNumber:i.endLineNumber,column:i.endColumn});return o.lineNumber!==i.startLineNumber||o.column!==i.startColumn||g.lineNumber!==i.endLineNumber||g.column!==i.endColumn?{startLineNumber:o.lineNumber,startColumn:o.column,endLineNumber:g.lineNumber,endColumn:g.column}:i}r(i){if(!c.Position.isIPosition(i))throw new Error("bad position");let{lineNumber:o,column:g}=i,d=!1;if(o<1)o=1,g=1,d=!0;else if(o>this.d.length)o=this.d.length,g=this.d[o-1].length+1,d=!0;else{const s=this.d[o-1].length+1;g<1?(g=1,d=!0):g>s&&(g=s,d=!0)}return d?{lineNumber:o,column:g}:i}}class N{constructor(i,o){this.c=i,this.d=Object.create(null),this.f=o,this.g=null}dispose(){this.d=Object.create(null)}h(i){return this.d[i]}j(){const i=[];return Object.keys(this.d).forEach(o=>i.push(this.d[o])),i}acceptNewModel(i){this.d[i.url]=new S(E.URI.parse(i.url),i.lines,i.EOL,i.versionId)}acceptModelChanged(i,o){if(!this.d[i])return;this.d[i].onEvents(o)}acceptRemovedModel(i){!this.d[i]||delete this.d[i]}computeUnicodeHighlights(i,o,g){return le(this,void 0,void 0,function*(){const d=this.h(i);return d?u.UnicodeTextModelHighlighter.computeUnicodeHighlights(d,o,g):{ranges:[],hasMore:!1,ambiguousCharacterCount:0,invisibleCharacterCount:0,nonBasicAsciiCharacterCount:0}})}computeDiff(i,o,g,d){return le(this,void 0,void 0,function*(){const s=this.h(i),h=this.h(o);return!s||!h?null:N.k(s,h,g,d)})}static k(i,o,g,d){const s=d==="experimental"?m.linesDiffComputers.experimental:m.linesDiffComputers.smart,h=i.getLinesContent(),w=o.getLinesContent(),A=s.computeDiff(h,w,g);return{identical:A.changes.length>0?!1:this.l(i,o),quitEarly:A.quitEarly,changes:A.changes.map(D=>{var P;return[D.originalRange.startLineNumber,D.originalRange.endLineNumberExclusive,D.modifiedRange.startLineNumber,D.modifiedRange.endLineNumberExclusive,(P=D.innerChanges)===null||P===void 0?void 0:P.map(O=>[O.originalRange.startLineNumber,O.originalRange.startColumn,O.originalRange.endLineNumber,O.originalRange.endColumn,O.modifiedRange.startLineNumber,O.modifiedRange.startColumn,O.modifiedRange.endLineNumber,O.modifiedRange.endColumn])]})}}static l(i,o){const g=i.getLineCount(),d=o.getLineCount();if(g!==d)return!1;for(let s=1;s<=g;s++){const h=i.getLineContent(s),w=o.getLineContent(s);if(h!==w)return!1}return!0}computeMoreMinimalEdits(i,o){return le(this,void 0,void 0,function*(){const g=this.h(i);if(!g)return o;const d=[];let s;o=o.slice(0).sort((h,w)=>{if(h.range&&w.range)return L.Range.compareRangesUsingStarts(h.range,w.range);const A=h.range?0:1,R=w.range?0:1;return A-R});for(let{range:h,text:w,eol:A}of o){if(typeof A=="number"&&(s=A),L.Range.isEmpty(h)&&!w)continue;const R=g.getValueInRange(h);if(w=w.replace(/\r\n|\n|\r/g,g.eol),R===w)continue;if(Math.max(w.length,R.length)>N.n){d.push({range:h,text:w});continue}const D=(0,_.stringDiff)(R,w,!1),P=g.offsetAt(L.Range.lift(h).getStartPosition());for(const O of D){const q=g.positionAt(P+O.originalStart),z=g.positionAt(P+O.originalStart+O.originalLength),W={text:w.substr(O.modifiedStart,O.modifiedLength),range:{startLineNumber:q.lineNumber,startColumn:q.column,endLineNumber:z.lineNumber,endColumn:z.column}};g.getValueInRange(W.range)!==W.text&&d.push(W)}}return typeof s=="number"&&d.push({eol:s,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),d})}computeLinks(i){return le(this,void 0,void 0,function*(){const o=this.h(i);return o?(0,f.computeLinks)(o):null})}textualSuggest(i,o,g,d){return le(this,void 0,void 0,function*(){const s=new C.StopWatch(!0),h=new RegExp(g,d),w=new Set;e:for(const A of i){const R=this.h(A);if(!!R){for(const D of R.words(h))if(!(D===o||!isNaN(Number(D)))&&(w.add(D),w.size>N.o))break e}}return{words:Array.from(w),duration:s.elapsed()}})}computeWordRanges(i,o,g,d){return le(this,void 0,void 0,function*(){const s=this.h(i);if(!s)return Object.create(null);const h=new RegExp(g,d),w=Object.create(null);for(let A=o.startLineNumber;A<o.endLineNumber;A++){const R=s.getLineWords(A,h);for(const D of R){if(!isNaN(Number(D.word)))continue;let P=w[D.word];P||(P=[],w[D.word]=P),P.push({startLineNumber:A,startColumn:D.startColumn,endLineNumber:A,endColumn:D.endColumn})}}return w})}navigateValueSet(i,o,g,d,s){return le(this,void 0,void 0,function*(){const h=this.h(i);if(!h)return null;const w=new RegExp(d,s);o.startColumn===o.endColumn&&(o={startLineNumber:o.startLineNumber,startColumn:o.startColumn,endLineNumber:o.endLineNumber,endColumn:o.endColumn+1});const A=h.getValueInRange(o),R=h.getWordAtPosition({lineNumber:o.startLineNumber,column:o.startColumn},w);if(!R)return null;const D=h.getValueInRange(R);return p.BasicInplaceReplace.INSTANCE.navigateValueSet(o,A,R,D,g)})}loadForeignModule(i,o,g){const d=(w,A)=>this.c.fhr(w,A),h={host:(0,y.createProxyObject)(g,d),getMirrorModels:()=>this.j()};return this.f?(this.g=this.f(h,o),Promise.resolve((0,y.getAllMethodNames)(this.g))):new Promise((w,A)=>{I([i],R=>{this.g=R.create(h,o),w((0,y.getAllMethodNames)(this.g))},A)})}fmr(i,o){if(!this.g||typeof this.g[i]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+i));try{return Promise.resolve(this.g[i].apply(this.g,o))}catch(g){return Promise.reject(g)}}}r.EditorSimpleWorker=N,N.n=1e5,N.o=1e4;function b(a){return new N(a,null)}r.create=b,typeof importScripts=="function"&&(e.globals.monaco=(0,t.createMonacoBaseAPI)())})}).call(this);

//# sourceMappingURL=../../../../min-maps/vs/base/worker/workerMain.js.map